<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public affillink, startdate, enddate, mainpage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        pd.browserNoCache()
        pd.loginredirect = "Off"
        pd.LoadPDadmin(3)
        If Not (Page.IsPostBack) Then
        End If

        affillink = pd.getrequest("affillink")
        startdate = pd.getrequest("startdate")
        enddate = pd.getrequest("enddate")

        searchrepeater.DataSource = pd.bindaffiliatereport(startdate, enddate, affillink)
        searchrepeater.DataBind()

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">

            <div>
                <%
                    pd.createadmintab("Report", "")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">

                <div>
                    <div class="pageheading1" style="float: left;">
                        Affiliate Sales Report
                    </div>
                    <div class="nonprint" style="float: right;">
                        <input type="button" class="formbutton" onclick="window.print()" value="Print" />
                    </div>
                    <div class="tr">
                    </div>
                    <div class="message">
                        <%=pd.getFormError()%>
                    </div>
                </div>
                <asp:Repeater ID="searchrepeater" runat="server">
                    <HeaderTemplate>
                        <div class="reportheader" style="width: 100%;">
                            <div class="areportcolumn_1">
                                Affiliate Name
                            </div>
                            <div class="areportcolumn_2">
                                Order Date
                            </div>
                            <div class="areportcolumn_3">
                                Order No.
                            </div>
                            <div class="areportcolumn_4">
                                Sale Amount
                            </div>
                            <div class="areportcolumn_5">
                                Percent
                            </div>
                            <div class="areportcolumn_6">
                                Commission
                            </div>
                            <div style="clear: both;">
                            </div>
                        </div>
                    </HeaderTemplate>
                    <ItemTemplate>
                        <div class="reporttxt" style="width: 100%;">
                            <div class="areportcolumn_1">
                                <%# Container.DataItem("affiliatename") %>
                            </div>
                            <div class="areportcolumn_2">
                                <%# Container.DataItem("shortorderdate") %>
                            </div>
                            <div class="areportcolumn_3">
                                <%# Container.DataItem("orderno") %>
                            </div>
                            <div class="areportcolumn_4">
                                <%# Container.DataItem("saleamount") %>
                            </div>
                            <div class="areportcolumn_5">
                                <%# Container.DataItem("commission") %>
                            </div>
                            <div class="areportcolumn_6">
                                <%# Container.DataItem("commissionamount") %>
                            </div>
                            <div style="clear: both;">
                            </div>
                        </div>
                    </ItemTemplate>
                    <FooterTemplate>
                        <div class="reportheader" style="width: 100%;">
                            &nbsp;
                        </div>
                        <div class="reporttxt" style="width: 100%;">
                            <div class="areportcolumn_1">
                                &nbsp;
                            </div>
                            <div class="areportcolumn_2">
                                &nbsp;
                            </div>
                            <div class="areportcolumn_3">
                                &nbsp;
                            </div>
                            <div class="areportcolumn_4">
                                <%=pd.sfoot3%>
                            </div>
                            <div class="areportcolumn_5">
                                &nbsp;
                            </div>
                            <div class="areportcolumn_6">
                                <%=pd.sfoot5%>
                            </div>
                            <div style="clear: both;">
                            </div>
                        </div>
                    </FooterTemplate>
                </asp:Repeater>
                <div align="center" class="paginglinks">
                    <br />
                    <%=pd.paginglinks%><br />
                    <br />
                </div>

            </div>

        </div>
    </div>
</asp:Content>
