<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public task, refer, capimgno As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

        If Page.IsPostBack And pd.shopdemomode <> "Yes" Then
         
            'Reset Error
            pd.formerror = ""

            'Verify Old Password
            If pd.passwordverified("security", pd.adminuserid, password.Text) = False Then
                pd.formerror = "OLD Password is Incorrect!"
            End If
             
            If pd.formerror = "" Then
                 
                pd.OpenDataWriter("security WHERE id=" & pd.adminuserid)
                pd.AddFormData("password", newpassword.Text, "Password", "X", 1, 50)

                If newpassword.Text <> newpassword2.Text Then
                    pd.formerror = pd.formerror & "New Passwords Do Not Match!"
                End If
                 
                'Enforce Strong Passwords (if enabled)
                If pd.isPasswordStrong(newpassword.Text) = False Then
                    pd.formerror = pd.formerror & "Passwords Must be 7 characters in length, and must include a number and both upper and lower case letters!"
                End If
                pd.formerror = pd.formerror & pd.checkchr(newpassword.Text, "Password")

                'If no errors, Add/Update record in database
                If pd.formerror = "" Then
                 
                    'Reset timer for another 90 days
                    tempnewmin = pd.getCurrentMinutes() + 129600
                    pd.AddData("pwchgmin", tempnewmin, "T")
                     
                    'Save New Password
                    pd.SaveData()
                    pd.formerror = "Password Changed!"
                    pd.LogAdminEvent(107, 0, "")
                    pd.removeCookie("pwchng")
                    'pd.pdRedirect("home.aspx")
                                           
                End If

            End If
             
             
            'Force Password fields to show masked passwords.
            If Not newpassword.Text = "" Then
                ViewState(newpassword.Text) = newpassword.Text
                newpassword.Attributes.Add("value", ViewState(newpassword.Text).ToString())
            End If
            If Not password.Text = "" Then
                ViewState(password.Text) = password.Text
                password.Attributes.Add("value", ViewState(password.Text).ToString())
            End If
            If Not newpassword2.Text = "" Then
                ViewState(newpassword2.Text) = newpassword2.Text
                newpassword2.Attributes.Add("value", ViewState(newpassword2.Text).ToString())
            End If


        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form id="aspnetForm" method="post" runat="server">
            <div>
                <%
                    pd.createadmintab("Change Password", "")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Change My Password</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="helptext">
                    Every 90 days you are required to change your password.</div>
                <div class="formheading">
                    Current Password</div>
                <div>
                    <asp:TextBox class="formfield2" ID="password" runat="server" TextMode="password" />
                </div>
                <div class="formheading">
                    New Password</div>
                <div>
                    <asp:TextBox class="formfield2" ID="newpassword" runat="server" TextMode="password" />
                </div>
                <div class="formheading">
                    Confirm New Password</div>
                <div>
                    <asp:TextBox class="formfield2" ID="newpassword2" runat="server" TextMode="password" />
                </div>
                <div class="formbutton_div">
                    <input type="submit" value="Continue" class="formbutton" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
