<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, affillink, affilurl, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

        'Get Record IDs
        id = pd.getrequest("id")

        'Check IDs
        If id <> "" Then
            If IsNumeric(id) = False Then
                id = ""
            End If
        End If

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            If id <> "" Then
                'Open Database, get values
                pd.OpenDataReader("SELECT * FROM affiliates WHERE id=" & id)
                If pd.ReadDataItem.Read Then

                    affillink = pd.ReadData("affillink")
                    affilurl = pd.ReadData("affilurl")

                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()

            End If

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then
         
            pd.gotonextpage()

        End If


    End Sub




</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <div>
                <form method="POST" runat="server" id="aspnetForm" style="margin: 0;">
                <%
                    pd.createadmintab("Details", "editaffiliate.aspx?id=" & id)
                    pd.createadmintab("Sales Report", "editaffiliate-sales.aspx?id=" & id)
                    pd.writeadmintabs()
                %>
                </form>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Affiliate Reports</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="formheading">
                    Affiliate ID</div>
                <div>
                    <input type="text" class="roformfield2" id="affillink" value="<%=affillink%>" /></div>
                <div class="formheading">
                    Affiliate Website</div>
                <div>
                    <input type="text" class="roformfield1" id="affilurl" value="<%=affilurl %>" /></div>
                <div>
                    <form method="POST" action="affiliatereportoutput.aspx" name="affilform" id="affilform">
                    <div class="pageheading2">
                        Build a Quick Report</div>
                    <div class="formheading">
                        Start Date</div>
                    <div>
                        <input class="formfield2" type="text" name="startdate" size="10" value="<%=pd.showdate(DateTime.Now.AddDays(-31).ToShortDateString)%>"></div>
                    <div class="formheading">
                        End Date</div>
                    <div>
                        <input class="formfield2" type="text" name="enddate" size="10" value="<%=pd.showdate(DateTime.Now.ToShortDateString)%>"></div>
                    <div class="button_div">
                        <input type="submit" value="Run Report" class="formbutton" /></div>
                    <input type="hidden" name="affillink" value="<%=affillink%>" />
                    </form>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
