<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

        'Get Record IDs
        id = pd.getrequest("id")

        'Check IDs
        If id <> "" Then
            If IsNumeric(id) = False Then
                id = ""
            End If
        End If

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            If id <> "" Then
                'Open Database, get values
                pd.OpenDataReader("SELECT * FROM customer WHERE id=" & id)
                If pd.ReadDataItem.Read Then

                    name.Text = pd.ReadData("name")
                    email.Text = pd.ReadData("email")
                    expemail = pd.ReadData("email")

                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()

            End If

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then
            pd.gotonextpage()
        End If
         
         
        If IsNumeric(id) Then

            'Regular & Express checkout orders 
            orders.DataSource = pd.bindthissql("SELECT * FROM orders WHERE (orders.customerid=" & id & " AND status<>'Incomplete') OR (orders.billemail='" & pd.FormatSqlText(expemail) & "' AND orders.customerid=0 AND status<>'Incomplete') ORDER BY orderno")
            orders.DataBind()

        End If


    End Sub




</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id%>" />
            <div>
                <%
                    pd.createadmintab("Details", "editcustomer.aspx?id=" & id)
                    pd.createadmintab("Orders", "editcustomer-orders.aspx?id=" & id)
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Customer</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <% If deleterecord = "yes" Then%>
                <div class="message">
                    Are you sure you want to delete this customer, including all of this customers's
                    orders?<br />
                    <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
                    <a href="?id=<%=id%>">NO</a></div>
                <% End If%>
                <div class="formheading">
                    Email</div>
                <div>
                    <asp:TextBox class="roformfield1" ID="email" runat="server" /></div>
                <div class="formheading">
                    Name</div>
                <div>
                    <asp:TextBox class="roformfield1" ID="name" runat="server" /></div>
                <div class="pageheading2">
                    Orders</div>
                <div class="helptext">
                    This customer has the following orders</div>
                <div class="inner_div">
                    <asp:Repeater ID="orders" runat="server">
                        <ItemTemplate>
                            <div class="editlinks">
                                <a href="editorder.aspx?id=<%# Container.DataItem("id") %>">
                                    <%# Container.DataItem("orderno") %></div>
                        </ItemTemplate>
                    </asp:Repeater>
                </div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
