<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

        'Get Record IDs
        id = pd.getrequest("id")

        'Check IDs
        If id <> "" Then
            If IsNumeric(id) = False Then
                id = ""
            End If
        End If

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then


            If id <> "" Then
                'Open Database, get values
                pd.OpenDataReader("SELECT * FROM customer WHERE id=" & id)
                If pd.ReadDataItem.Read Then
                    
                    'password.Text = pd.ReadDataX("password") 'Get Encrypted Data
                    'password2.Text = pd.ReadDataX("password") 'Get Encrypted Data
                    
                    name.Text = pd.ReadData("name")
                    If pd.compen > 0 Then
                        company.Text = pd.ReadData("company")
                    End If
                    email.Text = pd.ReadData("email")
                    phone.Text = pd.ReadData("phone")
                    street1.Text = pd.ReadData("street1")
                    street2.Text = pd.ReadData("street2")
                    city.Text = pd.ReadData("city")
                    zip.Text = pd.ReadData("zip")
                    pricedisc.Text = pd.ReadDataN("pricedisc")

                    state.Text = pd.ReadData("state")
                    country.Text = pd.ReadData("country")
                    level.SelectedIndex = level.Items.IndexOf(level.Items.FindByValue(pd.ReadDataN("pricelevel")))
    
                    If pd.ReadDataN("optin") = 1 Then optin.Checked = True
                    If pd.ReadDataN("lockout") = 1 Then lockout.Checked = True
                    If pd.ReadDataN("taxexempt") = 1 Then taxexempt.Checked = True

                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()
                
                'Log Event
                pd.LogAdminEvent(111, id, "")

            Else
                'Default values when adding new record.
                pricedisc.Text = 0

            End If

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            If id = "" Then
                pd.OpenDataWriter("customer")
                'Check for conflicting records
                pd.OpenDataReader("SELECT id FROM customer WHERE email='" & pd.FormatSqlText(email.Text) & "'")
                If pd.ReadDataItem.Read Then
                    pd.formerror = pd.formerror & "'" & email.Text & "' Already Exists!"
                End If
                pd.CloseData()
            Else
                pd.OpenDataWriter("customer WHERE id=" & id)
                
                'Check for existing Email Address
                pd.OpenDataReader("SELECT id FROM customer WHERE id<>" & id & " AND email='" & pd.FormatSqlText(email.Text) & "'")
                If pd.ReadDataItem.Read Then
                    pd.formerror = pd.formerror & "Email Address already exists in another customer record!"
                End If
                pd.CloseData()
                
            End If

            pd.AddFormData("email", email.Text, "Email", "E", 5, 50)
            pd.formerror = pd.formerror & pd.checkchr(email.Text, "Email")
            pd.AddFormData("phone", phone.Text, "Phone", "T", 0, 50)
            pd.AddFormData("name", name.Text, "Name", "T", 5, 50)
            If pd.compen = 1 Then
                pd.AddFormData("company", company.Text, pd.getsystext("sys147"), "T", 0, 50)
            End If
            If pd.compen = 2 Then
                pd.AddFormData("company", company.Text, pd.getsystext("sys147"), "T", 5, 50)
            End If
            pd.AddFormData("street1", street1.Text, "Street", "T", 0, 50)
            pd.AddFormData("street2", street2.Text, "Street", "T", 0, 50)
            pd.AddFormData("state", state.Text, "State", "T", 0, 50)
            pd.AddFormData("city", city.Text, "City", "T", 0, 50)
            pd.AddFormData("country", country.Text, "Country", "T", 0, 50)
            pd.AddFormData("zip", zip.Text, "Zip/Postal Code", "T", 0, 50)
            pd.AddFormData("pricedisc", pricedisc.Text, "Discount", "N", 0, 0)
            pd.AddFormData("pricelevel", level.SelectedItem.Value, "Price Level", "N", 0, 0)
            
            If optin.Checked = True Then
                pd.AddData("optin", 1, "N")
            Else
                pd.AddData("optin", 0, "N")
            End If
            
            If lockout.Checked = True Then
                pd.AddData("lockout", "1", "N")
            Else
                pd.AddData("lockout", "0", "N")
            End If
             
            If taxexempt.Checked = True Then
                pd.AddData("taxexempt", "1", "N")
            Else
                pd.AddData("taxexempt", "0", "N")
            End If
            
            'Create New Password
            If password.Text <> "" Or id = "" Then
                
                If password.Text <> password2.Text Then
                    pd.formerror = pd.formerror & "Passwords Do Not Match!"
                End If
                pd.formerror = pd.formerror & pd.checkchr(password.Text, "Password")
            
                'Enforce Strong Passwords (if enabled)
                If pd.isPasswordStrong(password.Text) = False Then
                    pd.formerror = pd.formerror & "Passwords Must be 7 characters in length, and must include a number and both upper and lower case letters!"
                End If
                pd.AddFormData("password", password.Text, "Password", "X", 1, 50)
                
            End If
            
            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then
                Dim tempid As Int32
                tempid = pd.SaveData()
                If tempid > 0 Then id = tempid
                pd.formerror = "Record Saved!"
                 
                pd.gotonextpage()
                 
            End If

        End If

        'Delete Record (and related records in other tables)
        If id <> "" And IsNumeric(id) And deleterecord = "yes" And confirmdelete = "yes" And pd.adminlevel = 1 Then
            'Perform Delete
            pd.sqlexecute("DELETE FROM customer WHERE id=" & id)
            pd.sqlexecute("DELETE FROM orders WHERE customerid=" & id)
            pd.sqlexecute("DELETE FROM orderdetail WHERE customerid=" & id)
            pd.LogAdminEvent(112, id, "")
            pd.formerror = "Record Deleted!"
            id = ""
            deleterecord = "done"
        End If

        'Force Password fields to show masked passwords.
        If Not password.Text = "" And Not password2.Text = "" Then
            ViewState(password.Text) = password.Text
            password.Attributes.Add("value", ViewState(password.Text).ToString())
            ViewState(password2.Text) = password2.Text
            password2.Attributes.Add("value", ViewState(password2.Text).ToString())
        End If

    End Sub

   


</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If deleterecord = "done" Then%>
    <script type="text/javascript">
        {
            pdshopalert('Customer has been Deleted!', 'editcustomer.aspx');
        }
    </script>
    <%End If%>
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id%>" />
            <div>
                <%
                    pd.createadmintab("Details", "editcustomer.aspx?id=" & id)
                    pd.createadmintab("Orders", "editcustomer-orders.aspx?id=" & id)
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Customer</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <% If deleterecord = "yes" Then%>
                <div class="message">
                    Are you sure you want to delete this customer, including all of this customers's
                    orders?<br />
                    <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
                    <a href="?id=<%=id%>">NO</a></div>
                <% End If%>
                <div class="formheading">
                    Email</div>
                <div>
                    <asp:TextBox class="formfield1" ID="email" runat="server" /></div>
                <div class="formheading">
                    Name</div>
                <div>
                    <asp:TextBox class="formfield1" ID="name" runat="server" /></div>
                <% If pd.compen > 0 Then%>
                <div class="formheading">
                    <%= pd.getsystext("sys147")%></div>
                <div>
                    <asp:TextBox class="formfield1" ID="company" runat="server" />
                </div>
                <% End If%>
                <div class="check_div">
                    <asp:CheckBox ID="optin" runat="server" />Newsletter/Email (Opt-In)
                </div>
                <div class="pageheading2">
                    Billing Address</div>
                <div class="formheading">
                    Address</div>
                <div>
                    <asp:TextBox class="formfield1" ID="street1" runat="server" /></div>
                <div>
                    <asp:TextBox class="formfield1" ID="street2" runat="server" /></div>
                <div class="formheading">
                    City</div>
                <div>
                    <asp:TextBox class="formfield1" ID="city" runat="server" /></div>
                <div class="formheading">
                    State/Province</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="state" runat="server" /></div>
                <div class="formheading">
                    Zip/Postal Code</div>
                <div>
                    <asp:TextBox class="formfield1" ID="zip" runat="server" /></div>
                <div class="formheading">
                    Country</div>
                <div>
                    <asp:TextBox class="formfield1" ID="country" runat="server" /></div>
                <div class="formheading">
                    Phone</div>
                <div>
                    <asp:TextBox class="formfield1" ID="phone" runat="server" /></div>
                <div class="pageheading2">
                    Pricing / Discounts</div>
                <div class="formheading">
                    Price Level</div>
                <div>
                    <asp:DropDownList ID="level" runat="server">
                        <asp:ListItem Value="0" Text="Normal/Regular" />
                        <asp:ListItem Value="1" Text="Level 1" />
                        <asp:ListItem Value="2" Text="Level 2" />
                    </asp:DropDownList>
                </div>
                <div class="formheading">
                    Discount: (Percent)</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="pricedisc" runat="server" /></div>
                <div class="check_div">
                    <asp:CheckBox ID="taxexempt" runat="server" />Tax Exempt</div>
                <div class="pageheading2">
                    Login</div>
                <div class="formheading">
                    New Password</div>
                <div>
                    <asp:TextBox class="formfield2" TextMode="password" ID="password" runat="server" /></div>
                <div class="formheading">
                    Confirm New Password</div>
                <div>
                    <asp:TextBox class="formfield2" TextMode="password" ID="password2" runat="server" /></div>
                <div class="check_div">
                    <asp:CheckBox ID="lockout" runat="server" />Account Disabled (Locked Out)</div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
                <% If pd.adminlevel = 1 And id <> "" Then%>
                <div class="check_div">
                    <input type="checkbox" name="deleterecord" value="yes" />Delete this Customer?</div>
                <% End If%>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
