<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, deleterecord, confirmdelete, helppage As String
    Public vsmallimage, vlargeimage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

        'Get Record IDs
        id = pd.getrequest("id")


        'Retrieve/Display Record
        If IsNumeric(id) Then
            
            'Open Database, get values
            pd.OpenDataReader("SELECT * FROM items WHERE id=" & id)
            If pd.ReadDataItem.Read Then

                'Text Inputs
                name.Text = pd.ReadData("name")
                itemno.Text = pd.ReadData("itemno")
                vsmallimage = pd.ReadData("smallimage")
                vlargeimage = pd.ReadData("largeimage")

            Else
                pd.showErrorMessage("Record Not Found")
            End If
            pd.CloseData()
         
            categories.DataSource = pd.bindthissql("SELECT catlinks.id as linkid, catlinks.itemid, category.name, category.id as catid FROM catlinks INNER JOIN category on category.id=catlinks.catid WHERE itemid=" & id & " ORDER BY name")
            categories.DataBind()

        End If
         
        If (Page.IsPostBack) Then
            pd.gotonextpage()
        End If
         
        
        'Only show locally hosted images
        If Left(LCase(vsmallimage), 4) = "http" Then vsmallimage = ""
        If Left(LCase(vlargeimage), 4) = "http" Then vlargeimage = ""
        

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id %>" />
            <div>
                <%
                    pd.createadmintab("Details", "edititem.aspx?id=" & id)
                    pd.createadmintab("Categories", "edititem-category.aspx?id=" & id)
                    pd.createadmintab("Images", "edititem-images.aspx?id=" & id)
                    pd.createadmintab("Options", "edititem-options.aspx?id=" & id)
                    pd.createadmintab("Discounts", "edititem-discounts.aspx?id=" & id)
                    pd.createadmintab("Related Items", "edititem-related.aspx?id=" & id)
                    pd.createadmintab("Reviews", "edititem-reviews.aspx?id=" & id)
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div id="theimages">
                    <% If vsmallimage <> "" Then%><a href="javascript: popuphelp('../images/<%=vsmallimage%>')"><img
                        id="imgthumb" alt="Thumbnail Image: '<%=vsmallimage%>'" src="../images/<%=vsmallimage%>" /></a>
                    <% End If%>
                    <% If vlargeimage <> "" Then%><a href="javascript: popuphelp('../images/<%=vlargeimage%>')"><img
                        id="imglarge" alt="Large Image: '<%=vlargeimage%>'" src="../images/<%=vlargeimage%>" /></a>
                    <% End If%>
                </div>
                <div class="pageheading1">
                    Item/Product Details</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="formheading">
                    Item No</div>
                <div>
                    <asp:TextBox class="roformfield2" ReadOnly="true" ID="itemno" runat="server" /></div>
                <div class="formheading">
                    Item Name
                </div>
                <div>
                    <asp:TextBox class="roformfield4" ReadOnly="true" ID="name" runat="server" /></div>
                <div class="pageheading2">
                    Categories</div>
                <div class="helptext">
                    This item is in the following Categories</div>
                <div class="inner_div">
                    <asp:Repeater ID="categories" runat="server">
                        <HeaderTemplate>
                        </HeaderTemplate>
                        <ItemTemplate>
                            <div class="editlinks">
                                <a href="javascript: delcatlink('<%# Container.DataItem("linkid") %>')">
                                    <%# pd.doHtmlEncode(Container.DataItem("name")) %></a></div>
                            <div>
                            </div>
                        </ItemTemplate>
                    </asp:Repeater>
                    <div class="button_div">
                        <input type="button" class="formbutton" onclick="editcatlink('<%=id%>','')" value="Add Category" /></div>
                </div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
