<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, customerid, deleterecord, confirmdelete, helppage, taxerror, oldstatus, sendemailnow As String
    Public vsmallimage, vlargeimage As String
    Public taxstatus As Integer
    
    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

        'Get Record IDs
        id = pd.getrequest("id")

        'Check IDs
        If IsNumeric(id) = False Then
            id = ""
        End If

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
             
            status.DataSource = pd.getstatuscodes()
            status.DataBind()
             
            If id <> "" Then

                'Open Database, get values
                pd.OpenDataReader("SELECT * FROM orders WHERE id=" & id)
                If pd.ReadDataItem.Read Then
                    
                    customerid = pd.ReadDataN("customerid")
                    orderno.Text = pd.ReadDataN("orderno")
                    orderdate.Text = pd.ReadDataD("orderdate")
                    ordertime.Text = pd.ReadDataT("ordertime")
                    shipname.Text = pd.ReadData("shipname")
                    If pd.compen > 0 Then
                        shipcompany.Text = pd.ReadData("shipcompany")
                    End If
                    shipstreet1.Text = pd.ReadData("shipstreet1")
                    shipstreet2.Text = pd.ReadData("shipstreet2")
                    shipcity.Text = pd.ReadData("shipcity")
                    shipzip.Text = pd.ReadData("shipzip")
                    shipstate.Text = pd.ReadData("shipstate")
                    shipcountry.Text = pd.ReadData("shipcountry")
                    If pd.ReadDataN("shipresdel") = 1 Then shipresdel.Checked = True
                    carriername.Text = pd.ReadData("carriername")
                    carrierrate.Text = pd.ReadDataC("carrierrate")
                    rocarrierrate.Text = pd.ReadDataC("carrierrate")
                    tracking.Text = pd.ReadData("tracking")
                    tempordstatus = pd.ReadData("status")
                    oldstatus = pd.ReadData("status")
                    orderstatus.Text = pd.ReadData("status")
                    status.SelectedIndex = status.Items.IndexOf(status.Items.FindByText(pd.ReadData("status")))
                     

                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()


                'Handle Incomplete orders
                If tempordstatus = "Incomplete" Then pd.pdRedirect("editorderstatus.aspx?id=" & id)

            Else
                'Default values when adding new record.

            End If

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            If id = "" Then
                'Add New Record
                pd.OpenDataWriter("orders")
            Else
                'Update Existing Record
                pd.OpenDataWriter("orders WHERE id=" & id)
            End If

            'Text Input
            pd.AddFormData("shipname", shipname.Text, "Name", "T", 1, 50)
            If pd.compen = 1 Then
                pd.AddFormData("shipcompany", shipcompany.Text, pd.getsystext("sys147"), "T", 0, 50)
            End If
            If pd.compen = 2 Then
                pd.AddFormData("shipcompany", shipcompany.Text, pd.getsystext("sys147"), "T", 5, 50)
            End If
            pd.AddFormData("shipstreet1", shipstreet1.Text, "Street1", "T", 0, 50)
            pd.AddFormData("shipstreet2", shipstreet2.Text, "Street2", "T", 0, 50)
            pd.AddFormData("shipcity", shipcity.Text, "City", "T", 0, 50)
            pd.AddFormData("shipzip", shipzip.Text, "Zip", "T", 0, 50)
            If Len(carrierrate.Text) > 0 Then
                pd.AddFormData("carrierrate", carrierrate.Text, "Shipping", "N", 0, 0)
            End If
            pd.AddFormData("tracking", tracking.Text, "Tracking Number", "T", 0, 50)
            pd.AddFormData("shipstate", shipstate.Text, "", "T", 0, 50)
            pd.AddFormData("shipcountry", shipcountry.Text, "", "T", 0, 50)
            pd.AddFormData("carriername", carriername.Text, "", "T", 0, 50)
            pd.AddFormData("status", status.SelectedItem.Value, "", "T", 0, 50)

            'Check Boxes
            If shipresdel.Checked = True Then
                pd.AddData("shipresdel", 1, "N")
            Else
                pd.AddData("shipresdel", 0, "N")
            End If


            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then
                Dim tempid As Int32
                tempid = pd.SaveData()
                If tempid > 0 Then id = tempid
                pd.formerror = "Record Saved!"
                 
                'Handle Status Change Email
                If pd.getrequest("oldstatus") <> status.SelectedValue Then
                    
                    'Open Database, get values
                    pd.OpenDataReader("SELECT * FROM status WHERE emailen>0 AND name='" & pd.FormatSqlText(status.SelectedValue) & "'")
                    If pd.ReadDataItem.Read Then
                        sendemailnow = "Yes"
                        statusid = pd.ReadDataN("id")
                    End If
                    pd.CloseData()
                    
                End If
                
                If sendemailnow = "Yes" Then
                    pd.pdRedirect("editorder-statusemail.aspx?statusid=" & statusid & "&id=" & id)
                Else
                    pd.gotonextpage()
                End If
                 
            End If

        End If

        'Delete Record (and related records in other tables)
        If id <> "" And deleterecord = "yes" And confirmdelete = "yes" And pd.adminlevel = 1 Then
            'Perform Delete
            pd.sqlexecute("DELETE FROM orders WHERE id=" & id)
            pd.sqlexecute("DELETE FROM orderdetail WHERE orderid=" & id)
            pd.formerror = "Record Deleted!"
            id = ""
            deleterecord = "done"
        End If

        If IsNumeric(id) Then
        
            pd.OpenDataReader("SELECT * FROM orders WHERE id=" & id)
            If pd.ReadDataItem.Read Then
                customerid = pd.ReadDataN("customerid")
                taxstatus = pd.ReadDataN("taxstatus")
            End If
            pd.CloseData()

            pd.getOrderVariables(customerid, id, cartid)
            ordertotal.Text = pd.showcurr(pd.dOrdergrandtotal)
            orderstatus.Text = pd.sStatus

        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id%>" />
            <input type="hidden" name="oldstatus" value="<%=oldstatus%>" />
            <div>
                <%
                    pd.createadmintab("Summary", "editorder.aspx?id=" & id)
                    pd.createadmintab("Billing", "editorder-billing.aspx?id=" & id)
                    pd.createadmintab("Shipping", "editorder-shipping.aspx?id=" & id)
                    pd.createadmintab("Order Items", "editorder-items.aspx?id=" & id)
                    pd.createadmintab("Status/Notes", "editorder-status.aspx?id=" & id)
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Order Details</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <% If deleterecord = "yes" Then%>
                <div class="message">
                    Are you sure you want to delete?<br />
                    <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
                    <a href="?id=<%=id%>">NO</a></div>
                <% End If%>
                <div>
                    <table width="100%" cellpadding="0" cellspacing="0">
                        <tr>
                            <td valign="top">
                                <div class="formheading">
                                    Order No</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield3" ID="orderno" runat="server" /></div>
                                <div class="formheading">
                                    Order Total</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield3" ID="ordertotal" runat="server" /></div>
                            </td>
                            <td valign="top">
                                <div class="formheading">
                                    Order Date</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield3" ID="orderdate" runat="server" />
                                    <asp:TextBox ReadOnly="true" class="roformfield3" ID="ordertime" runat="server" />
                                </div>
                                <div class="formheading">
                                    Status</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield4" ID="orderstatus" runat="server" /></div>
                            </td>
                        </tr>
                    </table>
                </div>
                <div class="pageheading2">
                    Shipping Address</div>
                <div class="formheading">
                    Name</div>
                <div>
                    <asp:TextBox class="formfield1" ID="shipname" runat="server" /></div>
                <% If pd.compen > 0 Then%>
                <div class="formheading">
                    <%= pd.getsystext("sys147")%></div>
                <div>
                    <asp:TextBox class="formfield1" ID="shipcompany" runat="server" />
                </div>
                <% End If%>
                <div class="formheading">
                    Address</div>
                <div>
                    <asp:TextBox class="formfield1" ID="shipstreet1" runat="server" /></div>
                <div>
                    <asp:TextBox class="formfield1" ID="shipstreet2" runat="server" /></div>
                <div class="formheading">
                    City</div>
                <div>
                    <asp:TextBox class="formfield1" ID="shipcity" runat="server" /></div>
                <div class="formheading">
                    State/Province</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="shipstate" runat="server" /></div>
                <div class="formheading">
                    Zip/Postal Code</div>
                <div>
                    <asp:TextBox class="formfield1" ID="shipzip" runat="server" /></div>
                <div class="formheading">
                    Country</div>
                <div>
                    <asp:TextBox class="formfield1" ID="shipcountry" runat="server" /></div>
                <div class="formheading">
                    Order Status</div>
                <div>
                    <asp:DropDownList ID="status" runat="server" DataValueField="name" DataTextField="name" />
                </div>
                <div class="formheading">
                    Shipping Carrier</div>
                <div>
                    <asp:TextBox class="formfield1" ID="carriername" runat="server" /></div>
                <div class="formheading">
                    Total Shipping Charges</div>
                <% If taxstatus = 3 Then%><div>
                    <asp:TextBox class="roformfieldnumber" ReadOnly="true" ID="rocarrierrate" runat="server" /></div>
                <div class="helptext">
                    You cannot change some items in this order. You must first Remove/Refund Tax, see
                    "Billing" Tab.</div>
                <% Else%>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="carrierrate" runat="server" /></div>
                <% End If%>
                <div class="formheading">
                    Tracking Number</div>
                <div>
                    <asp:TextBox class="formfield1" ID="tracking" runat="server" /></div>
                <div class="check_div">
                    <asp:CheckBox ID="shipresdel" runat="server" />Residential Address?
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
