<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, customerid, deleterecord, confirmdelete, helppage As String
    Public vsmallimage, vlargeimage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

        'Get Record IDs
        id = pd.getrequest("id")

        'Check IDs
        If IsNumeric(id) = False Then
            id = ""
        End If
         
        'Remove, used to redirect from order notification
        pd.removeCookie("oid")

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then


            If id <> "" Then

                'Open Database, get values
                pd.OpenDataReader("SELECT * FROM orders WHERE id=" & id)
                If pd.ReadDataItem.Read Then
                    customerid = pd.ReadDataN("customerid")
                    orderno.Text = pd.ReadDataN("orderno")
                    orderdate.Text = pd.ReadDataD("orderdate")
                    ordertime.Text = pd.ReadDataT("ordertime")
                    tempordstatus = pd.ReadData("status")
                    orderstatus.Text = pd.ReadData("status")
                Else
                    pd.showErrorMessage("Record Not Found")
                    tempordstatus = ""
                End If
                pd.CloseData()

                'Handle Incomplete orders
                If tempordstatus = "Incomplete" Then pd.pdRedirect("editorderstatus.aspx?id=" & id)

            Else
                'Default values when adding new record.

            End If

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then
            pd.gotonextpage()
        End If

        'Delete Record (and related records in other tables)
        If id <> "" And deleterecord = "yes" And confirmdelete = "yes" And pd.adminlevel = 1 Then
            'Perform Delete
            pd.sqlexecute("DELETE FROM orders WHERE id=" & id)
            pd.sqlexecute("DELETE FROM orderdetail WHERE orderid=" & id)
            pd.formerror = "Record Deleted!"
            id = ""
            deleterecord = "done"
        End If

        If IsNumeric(id) Then

            pd.OpenDataReader("SELECT * FROM orders WHERE id=" & id)
            If pd.ReadDataItem.Read Then
                customerid = pd.ReadDataN("customerid")
            End If
            pd.CloseData()

            'pd.getCustomerVariables(customerid)
            pd.getOrderVariables(customerid, id, "")
            ordertotal.Text = pd.showcurr(pd.dOrdergrandtotal)
            orderstatus.Text = pd.sStatus
            orderdetail.DataSource = pd.bindorderdetail("", id)
            orderdetail.DataBind()
            
            'Log Event
            pd.LogAdminEvent(110, id, "")
                  

        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If deleterecord = "done" Then%>
    <script type="text/javascript">

        pdshopalert('The order has been deleted!', 'home.aspx');

    </script>
    <%End If%>
    <div class="body_container">
        <div class="content_container">
            <form method="POST" action="editorder.aspx" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id%>" />
            <div>
                <%
                    pd.createadmintab("Summary", "editorder.aspx?id=" & id)
                    pd.createadmintab("Billing", "editorder-billing.aspx?id=" & id)
                    pd.createadmintab("Shipping", "editorder-shipping.aspx?id=" & id)
                    pd.createadmintab("Order Items", "editorder-items.aspx?id=" & id)
                    pd.createadmintab("Status/Notes", "editorder-status.aspx?id=" & id)
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="nonprint">
                    <div class="pageheading1">
                        Order Details</div>
                    <div class="message">
                        <%=pd.getFormError()%></div>
                    <% If deleterecord = "yes" Then%>
                    <div class="message">
                        Are you sure you want to delete?<br />
                        <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
                        <a href="?id=<%=id%>">NO</a></div>
                    <% End If%>
                    <table width="100%" cellpadding="0" cellspacing="0">
                        <tr>
                            <td valign="top">
                                <div class="formheading">
                                    Order No</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield3" ID="orderno" runat="server" />
                                </div>
                                <div class="formheading">
                                    Order Total</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield3" ID="ordertotal" runat="server" />
                                </div>
                            </td>
                            <td valign="top">
                                <div class="formheading">
                                    Order Date</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield3" ID="orderdate" runat="server" />
                                    <asp:TextBox ReadOnly="true" class="roformfield3" ID="ordertime" runat="server" />
                                </div>
                                <div class="formheading">
                                    Status</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield4" ID="orderstatus" runat="server" />
                                </div>
                            </td>
                        </tr>
                    </table>
                </div>
                <div class="nonprint">
                    <div class="pageheading2" style="float: left;">
                        Order Summary</div>
                    <div class="pageheading2" style="float: right;">
                        <input type="button" class="formbutton" onclick="orderviewpopup('<%=id %>','print')"
                            value="Print" /><input type="button" class="formbutton" onclick="orderviewpopup('<%=id %>','')"
                                value="View" /></div>
                    <div class="tr">
                    </div>
                </div>
                <div class="innerorder_div">
                    <!-- ORDER SUMMARY-->
                    <div style="width: 100%;">
                        <table width="100%" cellpadding="0" cellspacing="0">
                            <tr>
                                <td width="49%" valign="top">
                                    <div style="width: 49%; float: left; overflow: hidden;">
                                        <div class="innerorderheader">
                                            <%=pd.getsystext("sys65")%></div>
                                        <div class="innerordertxt">
                                            <%=pd.iOrderno%></div>
                                    </div>
                                    <div style="width: 49%; float: left; overflow: hidden;">
                                        <div class="innerorderheader">
                                            <%=pd.getsystext("sys66")%></div>
                                        <div class="innerordertxt">
                                            <%=pd.showdate(pd.sOrderdate)%></div>
                                    </div>
                                    <div class="tr">
                                    </div>
                                    <div style="width: 98%;">
                                        <div class="innerorderheader">
                                            <%=pd.getsystext("sys67")%></div>
                                        <div class="innerordertxt">
                                            <%= pd.dohtmlencode(pd.sStatus)%></div>
                                        <div class="innerorderheader">
                                            <%=pd.getsystext("sys23")%></div>
                                        <div class="innerordertxt">
                                            <%= pd.dohtmlencode(pd.sBillEmail)%></div>
                                        <div class="innerorderheader">
                                            <%=pd.getsystext("sys27")%></div>
                                        <div class="innerordertxt">
                                            <%= pd.dohtmlencode(pd.sBillPhone)%></div>
                                        <div class="innerorderheader">
                                            <%=pd.getsystext("sys40")%></div>
                                        <div class="innerordertxt">
                                            <%=pd.doHtmlEncode(pd.sCarriername)%>
                                            <br />
                                            <%= pd.dohtmlencode(pd.sTracking)%></div>
                                    </div>
                                </td>
                                <td width="2%">
                                </td>
                                <td width="49%" valign="top">
                                    <div style="width: 49%; float: left; overflow: hidden;">
                                        <div class="innerorderheader">
                                            <%=pd.getsystext("sys33")%></div>
                                        <div class="innerordertxt">
                                            <%= pd.dohtmlencode(pd.sBillName)%>
                                            <br />
                                            <% If pd.sBillCompany <> "" Then%>
                                            <%= pd.dohtmlencode(pd.sBillCompany)%><br />
                                            <% End If%>
                                            <%= pd.dohtmlencode(pd.sBillstreet1)%>
                                            <br />
                                            <%= pd.dohtmlencode(pd.sBillstreet2)%>
                                            <br />
                                            <%= pd.dohtmlencode(pd.sBillcity)%>
                                            <br />
                                            <%= pd.dohtmlencode(pd.sBillstate)%>
                                            <br />
                                            <%= pd.dohtmlencode(pd.sBillZip)%>
                                            <br />
                                            <%= pd.dohtmlencode(pd.sBillcountry)%></div>
                                    </div>
                                    <div style="width: 49%; float: left; overflow: hidden;">
                                        <div class="innerorderheader">
                                            <%=pd.getsystext("sys34")%></div>
                                        <div class="innerordertxt">
                                            <%= pd.dohtmlencode(pd.sShipName)%>
                                            <br />
                                            <% If pd.sShipCompany <> "" Then%>
                                            <%= pd.dohtmlencode(pd.sShipCompany)%><br />
                                            <% End If%>
                                            <%= pd.dohtmlencode(pd.sShipstreet1)%>
                                            <br />
                                            <%= pd.dohtmlencode(pd.sShipstreet2)%>
                                            <br />
                                            <%= pd.dohtmlencode(pd.sShipcity)%>
                                            <br />
                                            <%= pd.dohtmlencode(pd.sShipstate)%>
                                            <br />
                                            <%= pd.dohtmlencode(pd.sShipzip)%>
                                            <br />
                                            <%= pd.dohtmlencode(pd.sShipcountry)%></div>
                                    </div>
                                    <div class="tr">
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </div>
                    <% If pd.adminlevel < 3 Then%>
                    <div class="innerorderheader" style="width: 100%;">
                        <div style="width: 30%; float: left;">
                            <%=pd.getsystext("sys47")%></div>
                        <div style="width: 41%; float: left;">
                            <%=pd.getsystext("sys48")%></div>
                        <div style="width: 29%; float: left;">
                            <%=pd.getsystext("sys50")%></div>
                        <div style="clear: both;">
                        </div>
                    </div>
                    <div class="innerordertxt" style="width: 100%;">
                        <div style="width: 30%; float: left;">
                            <%= pd.dohtmlencode(pd.sCctype)%><%If pd.sCctype = "PayPal" Then%>
                            (<%= pd.dohtmlencode(pd.sCctrxid)%>)<%End If%></div>
                        <div style="width: 41%; float: left;">
                            <%= pd.dohtmlencode(pd.sCcardnohide)%>&nbsp;</div>
                        <div style="width: 29%; float: left;">
                            <% If pd.hidecc = 1 Then%>
                            **/**
                            <% Else%>
                            <%= pd.dohtmlencode(pd.sExpmonth)%>/
                            <%= pd.dohtmlencode(pd.sExpyear)%><% End If%></div>
                        <div style="clear: both;">
                        </div>
                    </div>
                    <% End If%>
                    <div class="innerorderheader" style="width: 100%;">
                        <div style="width: 30%; float: left;">
                            Approval / Trx ID</div>
                        <div style="width: 41%; float: left;">
                            Name on Card</div>
                        <div style="width: 29%; float: left;">
                            IP Address</div>
                        <div style="clear: both;">
                        </div>
                    </div>
                    <div class="innerordertxt" style="width: 100%;">
                        <div style="width: 30%; float: left;">
                            <%=pd.doHtmlEncode(pd.sCcapproval)%>
                            /
                            <%=pd.doHtmlEncode(pd.sCctrxid)%></div>
                        <div style="width: 41%; float: left;">
                            <%=pd.doHtmlEncode(pd.sCcnoc)%>&nbsp;</div>
                        <div style="width: 29%; float: left;">
                            <%=pd.doHtmlEncode(pd.sIpaddr)%></div>
                        <div style="clear: both;">
                        </div>
                    </div>
                    <div class="innerorderheader" style="width: 100%;">
                        <div class="ordercolumn_1">
                            <%=pd.getsystext("sys2")%></div>
                        <div class="ordercolumn_2">
                            <%=pd.getsystext("sys1")%></div>
                        <div class="ordercolumn_3">
                            <%=pd.getsystext("sys3")%></div>
                        <div class="ordercolumn_4">
                            <%= pd.getsystext("sys4")%></div>
                        <div class="ordercolumn_5">
                            <%= pd.getsystext("sys5")%></div>
                        <div style="clear: both;">
                        </div>
                    </div>
                    <asp:Repeater ID="orderdetail" runat="server">
                        <ItemTemplate>
                            <div class="innerordertxt" style="width: 100%;">
                                <div class="ordercolumn_1">
                                    <%# Container.DataItem("itemno") %></div>
                                <div class="ordercolumn_2">
                                    <%# Container.DataItem("itemname") %><%# Container.DataItem("notesoptions") %></div>
                                <div class="ordercolumn_3">
                                    <%# Container.DataItem("lineqty") %></div>
                                <div class="ordercolumn_4">
                                    <%# Container.DataItem("linepriceeach") %></div>
                                <div class="ordercolumn_5">
                                    <%# Container.DataItem("linepricetotal") %></div>
                                <div style="clear: both;">
                                </div>
                            </div>
                            <asp:Repeater ID="childRepeater" runat="server" DataSource='<%# Container.DataItem.Row.GetChildRows("itemoptions") %>'>
                                <ItemTemplate>
                                    <div class="innerordertxt" style="width: 100%;">
                                        <div class="ordercolumn_1">
                                            <%# Container.DataItem("itemno") %></div>
                                        <div class="ordercolumn_2">
                                            <%# Container.DataItem("optionname") %>
                                            <br />
                                            <%# Container.DataItem("optiontext") %></div>
                                        <div class="ordercolumn_3">
                                            <%# Container.DataItem("lineqty") %></div>
                                        <div class="ordercolumn_4">
                                            <%# Container.DataItem("linepriceeach") %></div>
                                        <div class="ordercolumn_5">
                                            <%# Container.DataItem("linepricetotal") %></div>
                                        <div style="clear: both;">
                                        </div>
                                    </div>
                                </ItemTemplate>
                            </asp:Repeater>
                        </ItemTemplate>
                    </asp:Repeater>
                    <div class="innerordertxt" style="width: 100%; height: 20px;">
                        &nbsp;
                    </div>
                    <hr class="rowline" />
                    <div class="innerordertxt" style="width: 100%;">
                        <div class="ordertotalcolumn_1">
                            <%=pd.getsystext("sys11")%></div>
                        <div class="ordertotalcolumn_2">
                            <%=pd.showCurr(pd.dordersub)%></div>
                        <div style="clear: both;">
                        </div>
                    </div>
                    <% If pd.dDiscounts > 0 Then%>
                    <div class="innerordertxt" style="width: 100%;">
                        <div class="ordertotalcolumn_1">
                            (<%=pd.sDisccode%>)
                            <%=pd.getsystext("sys7")%></div>
                        <div class="ordertotalcolumn_2">
                            -<%=pd.showCurr(pd.dDiscounts)%></div>
                        <div style="clear: both;">
                        </div>
                    </div>
                    <% End If%>
                    <% If pd.sCarriername <> "" Then%>
                    <div class="innerordertxt" style="width: 100%;">
                        <div class="ordertotalcolumn_1">
                            <%If pd.sRatemethod = "2" Then Response.Write("*")%><%=pd.getsystext("sys39")%></div>
                        <div class="ordertotalcolumn_2">
                            <%
                                If pd.sRatemethod = "3" And pd.dCarrierrate <= 0 Then
                                    Response.Write(pd.getsystext("sys109"))
                                Else
                                    Response.Write(pd.showcurr(pd.dCarrierrate))
                                End If
                            %></div>
                        <div style="clear: both;">
                        </div>
                    </div>
                    <% End If%>
                    <% If pd.dOrdertaxtotal > 0 Then%>
                    <div class="innerordertxt" style="width: 100%;">
                        <div class="ordertotalcolumn_1">
                            <%=pd.getsystext("sys60")%></div>
                        <div class="ordertotalcolumn_2">
                            <%=pd.showCurr(pd.dOrdertaxtotal)%></div>
                        <div style="clear: both;">
                        </div>
                    </div>
                    <% End If%>
                    <% If pd.dGiftamt > 0 Then%>
                    <div class="innerordertxt" style="width: 100%;">
                        <div class="ordertotalcolumn_1">
                            <%=pd.getsystext("sys9")%></div>
                        <div class="ordertotalcolumn_2">
                            -<%=pd.showCurr(pd.dGiftamt)%></div>
                        <div style="clear: both;">
                        </div>
                    </div>
                    <% End If%>
                    <% If pd.dDiscounts > 0 Or pd.dCarrierrate > 0 Or pd.dOrdertaxtotal > 0 Or pd.dGiftamt > 0 Then%>
                    <div class="innerordertxt" style="width: 100%;">
                        <div class="ordertotalcolumn_1">
                            <%=pd.getsystext("sys61")%></div>
                        <div class="ordertotalcolumn_2">
                            <%=pd.showCurr(pd.dOrdergrandtotal)%></div>
                        <div style="clear: both;">
                        </div>
                    </div>
                    <% End If%>
                    <% If pd.sNotes <> "" Then%>
                    <div class="innerorderheader">
                        Notes (internal)</div>
                    <div class="innerordertxt">
                        <%= pd.dohtmlencode(pd.sNotes)%></div>
                    <% End If%>
                    <% If pd.sNotes2 <> "" Then%>
                    <div class="innerorderheader">
                        Public Notes (To customer)</div>
                    <div class="innerordertxt">
                        <%= pd.dohtmlencode(pd.sNotes2)%></div>
                    <% End If%>
                    <% If pd.sNotes3 <> "" Then%>
                    <div class="innerorderheader">
                        Order Notes (From customer)</div>
                    <div class="innerordertxt">
                        <%= pd.dohtmlencode(pd.sNotes3)%></div>
                    <% End If%>
                    <% If pd.sNotes4 <> "" Then%>
                    <div class="innerorderheader">
                        Shipping Notes (From customer)</div>
                    <div class="innerordertxt">
                        <%= pd.dohtmlencode(pd.sNotes4)%></div>
                    <% End If%>
                    <% If pd.sNotes5 <> "" Then%>
                    <div class="innerorderheader">
                        Payment/Billing Notes (From customer)</div>
                    <div class="innerordertxt">
                        <%= pd.dohtmlencode(pd.sNotes5)%></div>
                    <% End If%>
                    <!-- END ORDER SUMMARY-->
                </div>
                <div class="nonprint">
                    <div class="formbutton_div">
                        <input type="submit" class="formbutton" value="Save Changes" /></div>
                    <% If pd.adminlevel = 1 And id <> "" Then%>
                    <div class="check_div">
                        <input type="checkbox" name="deleterecord" value="yes" />Delete this Order?</div>
                    <% End If%>
                </div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
