<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public folder, folderhead, listletter, task As String
    Public closewin As String
    Public count, countb As Int32

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        task = pd.getrequest("task")
        listletter = pd.getrequest("listletter")

        'Find the Files to Delete
        If task = "delete" Then

            countb = Int(pd.getrequest("countb"))
            For i = 0 To countb

                tempfilename = pd.getrequest("filename" & i)
                If tempfilename <> "" Then

                    'Delete the File
                    pd.adminDeleteFile("I", tempfilename)


                End If
            Next i

        End If

        'List Files
        If listletter = "" Then listletter = "A"
        fileList.Text = pd.adminListFiles("I", listletter, "N")

        pd.gotonextpage()
        
        
    End Sub




</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" id="aspnetForm" name="aspnetForm" action="images-filemanager.aspx">
            <input type="hidden" name="task" value="delete" />
            <input type="hidden" name="listletter" value="<%=listletter%>" />
            <input type="hidden" name="countb" value="<%=pd.pdcount%>" />
            <div>
                <%
                    pd.createadmintab("Upload Images", "images-upload.aspx")
                    pd.createadmintab("File Manager", "images-filemanager.aspx")
                    pd.createadmintab("Settings", "setup-images.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Images File Manager</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="formheading">
                    <a href="javascript: window.location.reload(true)">Refresh</a> | <a href="images-filemanager.aspx?listletter=ALL">
                        Show ALL</a>
                </div>
                <div class="pageheading2">
                    <% For i = 65 To 90%>
                    <% If listletter = Chr(i) Then%><%=chr(i)%><% Else%><a href="images-filemanager.aspx?listletter=<%=chr(i)%>"><%=chr(i)%><% End If%></a>&nbsp;
                    <%Next%>
                    <% For i = 48 To 57%>
                    <% If listletter = Chr(i) Then%><%=chr(i)%><% Else%><a href="images-filemanager.aspx?listletter=<%=chr(i)%>"><%=chr(i)%><% End If%></a>&nbsp;
                    <%Next%></div>
                <div class="inner_div">
                    <div class="tdl2head">
                        FileName</div>
                    <div class="tdm2head">
                        Last Modified</div>
                    <div class="tdxshead">
                        <a href="javascript: deletefilesnow()">Delete</a>?</div>
                    <div class="tr">
                    </div>
                    <div class="imagefiles_div">
                        <asp:Label ID="fileList" runat="server" /></div>
                </div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
