<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" EnableViewState="false" %>

<%@ MasterType VirtualPath="admin.master" %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.oledb" %>
<%@ Import Namespace="System.ComponentModel" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public tempa, filename, sheet, filepath As String
    Public columncount, pd_num As Integer
    Public importcolumn, importcolumno As ArrayList

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        'pd.browserNoCache()
        pd.LoadPDadmin(1)
        If Not (Page.IsPostBack) Then
        End If
        filename = pd.getrequest("filename")
        filepath = Server.MapPath("../import/" & filename)
        sheet = pd.getrequest("sheet")


        'Make sure file has a sheet.
        If sheet = "" Then pd.pdRedirect("import-sheet.aspx?filename=" & filename)

        Dim strConn As String = "Provider=Microsoft.Jet.oledb.4.0;Data Source=" & filepath & ";Extended Properties=Excel 8.0;"
        Dim daset As New DataSet()
        Dim da As OleDbDataAdapter

        da = New OleDbDataAdapter("SELECT * FROM [" & sheet & "]", strConn)
        da.Fill(daset, "test")

        importcolumn = New ArrayList()
        importcolumno = New ArrayList()

        Dim j As Integer

        For j = 0 To (daset.Tables(0).Columns.Count - 1)
            importcolumn.Add(daset.Tables(0).Columns(j).ColumnName)
            importcolumno.Add(j)
        Next

        columncount = daset.Tables(0).Columns.Count.ToString()

        categorylist.DataSource = pd.Getcategorytree("DropDown")
        categorylist.DataBind()
        
        
        If (Page.IsPostBack) Then
            pd.gotonextpage()
        End If
        
        
    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" action="import-do.aspx" id="aspnetForm">
            <input type="hidden" name="task" value="" />
            <input type="hidden" name="filename" value="<%=filename%>" />
            <input type="hidden" name="sheet" value="<%=sheet%>" />
            <div>
                <%
                    pd.createadmintab("Step 1", "link:import.aspx")
                    pd.createadmintab("Step 2", "link:import-sheet.aspx")
                    pd.createadmintab("Step 3", "link:import-map.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Import Data</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    Step 3</div>
                <div class="helptext">
                    Map Data Fields. Match up your data columns with the Shop's. Use caution, you cannot
                    undo an import. We recommend importing into a blank/new category.</div>
                <div class="formheading">
                    File Name</div>
                <div>
                    <input readonly="readonly" class="roformfield1" name="showfilename" value="<%=filename%>" /></div>
                <div class="formheading">
                    Sheet</div>
                <div>
                    <input readonly="readonly" class="roformfield1" name="showfilename" value="<%=sheet%>" /></div>
                <div class="pageheading2">
                    Map Fields</div>
                <div class="inner_div">
                    <div class="tdmhead">
                        Shop Field</div>
                    <div class="tdmhead">
                        Your Column</div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Item No:
                    </div>
                    <div class="tdm">
                        <select size="1" name="itemno">
                            <option value="-1" selected></option>
                            <%For pd_num = 0 To columncount - 1%>
                            <option value="<%=importcolumno(pd_num)%>">
                                <%=importcolumn(pd_num)%></option>
                            <%Next%>
                        </select>
                    </div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Name:
                    </div>
                    <div class="tdm">
                        <select size="1" name="name">
                            <option value="-1" selected></option>
                            <%For pd_num = 0 To columncount - 1%>
                            <option value="<%=importcolumno(pd_num)%>">
                                <%=importcolumn(pd_num)%></option>
                            <%Next%>
                        </select>
                    </div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Price:
                    </div>
                    <div class="tdm">
                        <select size="1" name="price">
                            <option value="-1" selected></option>
                            <%For pd_num = 0 To columncount - 1%>
                            <option value="<%=importcolumno(pd_num)%>">
                                <%=importcolumn(pd_num)%></option>
                            <%Next%>
                        </select>
                    </div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Sale Price:
                    </div>
                    <div class="tdm">
                        <select size="1" name="saleprice">
                            <option value="-1" selected></option>
                            <%For pd_num = 0 To columncount - 1%>
                            <option value="<%=importcolumno(pd_num)%>">
                                <%=importcolumn(pd_num)%></option>
                            <%Next%>
                        </select>
                    </div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Weight:
                    </div>
                    <div class="tdm">
                        <select size="1" name="weight">
                            <option value="-1" selected></option>
                            <%For pd_num = 0 To columncount - 1%>
                            <option value="<%=importcolumno(pd_num)%>">
                                <%=importcolumn(pd_num)%></option>
                            <%Next%>
                        </select>
                    </div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Inventory QTY:
                    </div>
                    <div class="tdm">
                        <select size="1" name="qty">
                            <option value="-1" selected></option>
                            <%For pd_num = 0 To columncount - 1%>
                            <option value="<%=importcolumno(pd_num)%>">
                                <%=importcolumn(pd_num)%></option>
                            <%Next%>
                        </select>
                    </div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Small Image:
                    </div>
                    <div class="tdm">
                        <select size="1" name="smallimage">
                            <option value="-1" selected></option>
                            <%For pd_num = 0 To columncount - 1%>
                            <option value="<%=importcolumno(pd_num)%>">
                                <%=importcolumn(pd_num)%></option>
                            <%Next%>
                        </select>
                    </div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Large Image:
                    </div>
                    <div class="tdm">
                        <select size="1" name="largeimage">
                            <option value="-1" selected></option>
                            <%For pd_num = 0 To columncount - 1%>
                            <option value="<%=importcolumno(pd_num)%>">
                                <%=importcolumn(pd_num)%></option>
                            <%Next%>
                        </select>
                    </div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Short Description (Text):
                    </div>
                    <div class="tdm">
                        <select size="1" name="shortdesc">
                            <option value="-1" selected></option>
                            <%For pd_num = 0 To columncount - 1%>
                            <option value="<%=importcolumno(pd_num)%>">
                                <%=importcolumn(pd_num)%></option>
                            <%Next%>
                        </select>
                    </div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Long Description (HTML):
                    </div>
                    <div class="tdm">
                        <select size="1" name="description">
                            <option value="-1" selected></option>
                            <%For pd_num = 0 To columncount - 1%>
                            <option value="<%=importcolumno(pd_num)%>">
                                <%=importcolumn(pd_num)%></option>
                            <%Next%>
                        </select>
                    </div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Custom 1:
                    </div>
                    <div class="tdm">
                        <select size="1" name="custom1">
                            <option value="-1" selected></option>
                            <%For pd_num = 0 To columncount - 1%>
                            <option value="<%=importcolumno(pd_num)%>">
                                <%=importcolumn(pd_num)%></option>
                            <%Next%>
                        </select>
                    </div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Custom 2:
                    </div>
                    <div class="tdm">
                        <select size="1" name="custom2">
                            <option value="-1" selected></option>
                            <%For pd_num = 0 To columncount - 1%>
                            <option value="<%=importcolumno(pd_num)%>">
                                <%=importcolumn(pd_num)%></option>
                            <%Next%>
                        </select>
                    </div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Custom 3:
                    </div>
                    <div class="tdm">
                        <select size="1" name="custom3">
                            <option value="-1" selected></option>
                            <%For pd_num = 0 To columncount - 1%>
                            <option value="<%=importcolumno(pd_num)%>">
                                <%=importcolumn(pd_num)%></option>
                            <%Next%>
                        </select>
                    </div>
                    <div class="tr">
                    </div>
                </div>
                <div class="pageheading2">
                    Importing Options</div>
                <div class="inner_div">
                    <div class="formheading">
                        Import into this Category</div>
                    <div>
                        <select name="catid">
                            <asp:Repeater ID="categorylist" runat="server">
                                <ItemTemplate>
                                    <option value="<%# Container.DataItem("id") %>">
                                        <%# Container.DataItem("dots") %><%# Container.DataItem("name") %></option>
                                </ItemTemplate>
                            </asp:Repeater>
                        </select>
                    </div>
                    <div class="formheading">
                        Active</div>
                    <div>
                        <select name="allactive">
                            <option>Yes</option>
                            <option>No</option>
                        </select>
                    </div>
                    <div class="formheading">
                        Featured</div>
                    <div>
                        <select name="allfeature">
                            <option>Yes</option>
                            <option>No</option>
                        </select>
                    </div>
                    <div class="formheading">
                        On Sale</div>
                    <div>
                        <select name="allonsale">
                            <option>Yes</option>
                            <option>No</option>
                        </select>
                    </div>
                    <div class="formheading">
                        Taxable</div>
                    <div>
                        <select name="alltaxable">
                            <option>Yes</option>
                            <option>No</option>
                        </select>
                    </div>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Next Step" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
