<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public affillink, status, startdate, enddate, mainpage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)
        If Not (Page.IsPostBack) Then
        End If

        status = pd.getrequest("status")
        startdate = pd.getrequest("startdate")
        enddate = pd.getrequest("enddate")

        searchrepeater.DataSource = pd.bindordersreport(startdate, enddate, status)
        searchrepeater.DataBind()

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">

            <div>
                <%
                    pd.createadmintab("Report", "")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">

                <div>
                    <div class="pageheading1" style="float: left;">
                        Order Summary Report
                    </div>
                    <div class="nonprint" style="float: right;">
                        <input type="button" class="formbutton" onclick="window.print()" value="Print" />
                    </div>
                    <div class="tr">
                    </div>
                    <div class="message">
                        <%=pd.getFormError()%>
                    </div>
                </div>
                <div class="reportheading2">
                    Order Status:
                    <%=status%><br />
                    Dates:
                    <%=startdate%>
                    -
                    <%=enddate%>
                </div>
                <asp:Repeater ID="searchrepeater" runat="server">
                    <HeaderTemplate>
                        <div class="reportheader" style="width: 100%;">
                            <div class="oreportcolumn_1">
                                Order Date
                            </div>
                            <div class="oreportcolumn_2">
                                Order No.
                            </div>
                            <div class="oreportcolumn_3">
                                SubTotal
                            </div>
                            <div class="oreportcolumn_4">
                                Discounts
                            </div>
                            <div class="oreportcolumn_5">
                                Shipping
                            </div>
                            <div class="oreportcolumn_6">
                                Tax
                            </div>
                            <div class="oreportcolumn_7">
                                Total
                            </div>
                            <div style="clear: both;">
                            </div>
                        </div>
                    </HeaderTemplate>
                    <ItemTemplate>
                        <div class="reporttxt" style="width: 100%;">
                            <div class="oreportcolumn_1">
                                <%# Container.DataItem("shortorderdate") %>
                            </div>
                            <div class="oreportcolumn_2">
                                <%# Container.DataItem("orderno") %>
                            </div>
                            <div class="oreportcolumn_3">
                                <%# Container.DataItem("ordersubtotal") %>
                            </div>
                            <div class="oreportcolumn_4">
                                <%# Container.DataItem("discounts") %>
                            </div>
                            <div class="oreportcolumn_5">
                                <%# Container.DataItem("shippingcharges") %>
                            </div>
                            <div class="oreportcolumn_6">
                                <%# Container.DataItem("taxtotal") %>
                            </div>
                            <div class="oreportcolumn_7">
                                <%# Container.DataItem("ordertotal") %>
                            </div>
                            <div style="clear: both;">
                            </div>
                        </div>
                    </ItemTemplate>
                    <FooterTemplate>
                        <div class="reportheader" style="width: 100%;">
                            &nbsp;
                        </div>
                        <div class="reporttxt" style="width: 100%;">
                            <div class="oreportcolumn_1">
                                &nbsp;
                            </div>
                            <div class="oreportcolumn_2">
                                &nbsp;
                            </div>
                            <div class="oreportcolumn_3">
                                &nbsp;
                                <%=pd.sfoot1%>
                            </div>
                            <div class="oreportcolumn_4">
                                &nbsp;
                                <%=pd.sfoot2%>
                            </div>
                            <div class="oreportcolumn_5">
                                <%=pd.sfoot3%>
                            </div>
                            <div class="oreportcolumn_6">
                                &nbsp;
                                <%=pd.sfoot4%>
                            </div>
                            <div class="oreportcolumn_7">
                                &nbsp;
                                <%=pd.sfoot5%>
                            </div>
                            <div style="clear: both;">
                            </div>
                        </div>
                    </FooterTemplate>
                </asp:Repeater>
                <div align="center" class="paginglinks">
                    <br />
                    <%=pd.paginglinks%><br />
                    <br />
                </div>

            </div>

        </div>
    </div>
</asp:Content>
