<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, deleterecord, confirmdelete, helppage As String
    Public vsmallimage, vlargeimage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

        'Retrieve/Display
        If Not (Page.IsPostBack) Then

            status.DataSource = pd.getallstatuscodes()
            status.DataBind()
            status.SelectedIndex = status.Items.IndexOf(status.Items.FindByText("Show All"))

            startdate.Text = pd.showdate(DateTime.Now.AddDays(-31).ToShortDateString)
            enddate.Text = pd.showdate(DateTime.Now.ToShortDateString)

        End If

        'If form is posted
        If Page.IsPostBack Then

            pd.gotonextpage()

            If IsDate(pd.savedate(startdate.Text)) = False Or IsDate(pd.savedate(enddate.Text)) = False Then
                pd.formerror = "Problem with Date!"
            Else
                pd.formerror = "" 'if no form errors... clear formerror (demomode may stop report)
            End If
            If pd.formerror = "" Then
                pd.pdRedirect("ordersreportoutput.aspx?status=" & Server.UrlEncode(status.SelectedItem.Value) & "&startdate=" & Server.UrlEncode(startdate.Text) & "&enddate=" & Server.UrlEncode(enddate.Text))
            End If

        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" action="ordersreports.aspx" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id%>" />
            <div>
                <%
                    pd.createadmintab("Items", "itemreports.aspx")
                    pd.createadmintab("Orders", "ordersreports.aspx")
                    pd.createadmintab("Affiliates", "affiliatereports.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Quick Orders Reports</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="formheading">
                    Filter by Order Status</div>
                <div>
                    <asp:DropDownList ID="status" runat="server" DataValueField="status" DataTextField="status" />
                </div>
                <div class="formheading">
                    Start Date</div>
                <div>
                    <asp:TextBox class="formfield2" ID="startdate" runat="server" /></div>
                <div class="formheading">
                    End Date</div>
                <div>
                    <asp:TextBox class="formfield2" ID="enddate" runat="server" /></div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Run Report" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
