<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, itemid, catid, task As String
    Public closewin As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.loginredirect = "Off"
        pd.LoadPDadmin(3)

        'Get Record IDs
        itemid = pd.getrequest("itemid")
        catid = pd.getrequest("catid")
        task = pd.getrequest("task")

        categorytree.DataSource = pd.Getcategorytree("")
        categorytree.DataBind()

        'Handle Task
        If task = "add" And IsNumeric(catid) And IsNumeric(itemid) Then

            'Error Checking
            pd.OpenDataReader("SELECT * FROM catlinks WHERE itemid=" & itemid & " AND catid=" & catid)
            If pd.ReadDataItem.Read Then
                pd.formerror = "This Category is already linked to this item!"
            End If
            pd.CloseData()

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.OpenDataWriter("catlinks")
                pd.AddData("catid", catid, "N")
                pd.AddData("itemid", itemid, "N")
                pd.SaveData()
                pd.formerror = "Record Saved!"
                closewin = "Y"
            End If
             
            'Demo Mode
            If pd.demomode = "Yes" Then closewin = "Y"

        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If closewin = "Y" Then%>
    <script type="text/javascript">
<!--
        window.close();
        window.opener.resubmit();
//-->
    </script>
    <% End If%>
    <div class="popupbody_div">
        <form method="POST" runat="server" id="aspnetForm">
        <div class="pageheading2">
            Add Category</div>
        <div class="helptext">
            Click on the Category you wish to add this item to.</div>
        <div>
            <%=pd.getFormError()%></div>
        <div>
            <asp:Repeater ID="categorytree" runat="server">
                <ItemTemplate>
                    <div class="editlinks">
                        <%# Container.DataItem("dots") %><a href="popup_addcategorylink.aspx?task=add&catid=<%# Container.DataItem("id") %>&itemid=<%=itemid%>"><%# Container.DataItem("name") %></a></div>
                </ItemTemplate>
            </asp:Repeater>
        </div>
        </form>
    </div>
</asp:Content>
