<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, catid, search, task As String
    Public closewin As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.loginredirect = "Off"
        pd.LoadPDadmin(3)

        'Get Record IDs
        catid = pd.getrequest("catid")
        id = pd.getrequest("id")
        search = pd.getrequest("search")
        task = pd.getrequest("task")

        'Handle Task
        If search <> "" Then

            itemsearch.DataSource = pd.bindcategoryitems("S", 1000)
            itemsearch.DataBind()

        End If

        If task = "add" And IsNumeric(id) And IsNumeric(catid) Then
         
            'Error Checking
            pd.OpenDataReader("SELECT * FROM catlinks WHERE catid=" & catid & " AND itemid=" & id)
            If pd.ReadDataItem.Read Then
                pd.formerror = "This item is already related to this category!"
            End If
            pd.CloseData()

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.OpenDataWriter("catlinks")
                pd.AddData("catid", catid, "N")
                pd.AddData("itemid", id, "N")
                pd.SaveData()
                pd.formerror = "Record Saved!"
                closewin = "Y"
            End If
             
            'Demo Mode
            If pd.demomode = "Yes" Then closewin = "Y"

        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If closewin = "Y" Then%>
    <script type="text/javascript">
<!--
        window.close();
        window.opener.resubmit();
//-->
    </script>
    <% End If%>
    <div class="popupbody_div">
        <form method="POST" action="popup_addcatlink.aspx" id="aspnetForm" name="aspnetForm">
        <input type="hidden" name="catid" value="<%=catid%>" />
        <input type="hidden" name="sfield" value="keywords" />
        <input type="hidden" name="sortby" value="name" />
        <div class="pageheading2">
            Add Item to Category</div>
        <div>
            <%=pd.getFormError()%></div>
        <div class="helptext">
            Search for: (Item name, Item No.)</div>
        <div>
            <input type="text" size="25" name="search" value="<%=search%>" />
            <input type="submit" value="Submit" class="formbutton" /><input class="formbutton"
                onclick="document.aspnetForm.search.value='_'" type="submit" value="Show All" />
        </div>
        <div>
            <asp:Repeater ID="itemsearch" runat="server">
                <HeaderTemplate>
                    <div class="itemno_tdhead">
                        Item No.</div>
                    <div class="name_tdhead">
                        Name</div>
                    <div class="tr">
                    </div>
                </HeaderTemplate>
                <ItemTemplate>
                    <div class="itemno_td">
                        <a href="popup_addcatlink.aspx?task=add&catid=<%=catid%>&id=<%# Container.DataItem("theid")%>">
                            <%# Container.DataItem("itemno") %></a></div>
                    <div class="name_td">
                        <a href="popup_addcatlink.aspx?task=add&catid=<%=catid%>&id=<%# Container.DataItem("theid")%>">
                            <%# Container.DataItem("name") %></a></div>
                    <div class="tr">
                    </div>
                </ItemTemplate>
                <FooterTemplate>
                </FooterTemplate>
            </asp:Repeater>
        </div>
        </form>
    </div>
</asp:Content>
