<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public sectcolors, secname, sectype, temp, closewin, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.loginredirect = "Off"
        pd.browserNoCache()
        pd.LoadPDadmin(1)
        helppage = ""

        secname = pd.getrequest("secname")
        sectype = pd.getrequest("sectype")
        
        
        Dim namearr As Array
        namearr = Split(secname, ",")
        Dim tempname, temptype As String
        
        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
            
            For i = 0 To 0
                
                tempname = namearr(i)
                If InStr(tempname, ".") > 0 Then
                    temptype = "classes"
                ElseIf InStr(tempname, "#") > 0 Then
                    temptype = "ids"
                Else
                    temptype = "tags"
                End If
                
                tempname = Replace(tempname, ".", "")
                tempname = Replace(tempname, "#", "")
                
                'Set current Section's value
                pd.OpenSetupDataReader("setupxml", "design/css/" & temptype & "/" & tempname)
                     
                temp10.SelectedIndex = temp10.Items.IndexOf(temp10.Items.FindByValue(pd.ReadData("A10")))
                startcolor.Text = pd.ReadData("startcolor")
                endcolor.Text = pd.ReadData("endcolor")
                bdcolor.Text = pd.readdata("bdcolor")
                bgimg.Text = pd.ReadData("bgimg")
                bgpos.SelectedIndex = bgpos.Items.IndexOf(bgpos.Items.FindByText(pd.ReadData("bgpos")))
                bgrep.SelectedIndex = bgrep.Items.IndexOf(bgrep.Items.FindByText(pd.ReadData("bgrep")))
                temp14.SelectedIndex = temp14.Items.IndexOf(temp14.Items.FindByValue(pd.ReadData("A14")))
            
                If pd.ReadData("bgstyle") = "0" Or pd.ReadData("bgstyle") = "" Then bgstyle0.Checked = True
                If pd.ReadData("bgstyle") = "1" Then bgstyle1.Checked = True
                If pd.ReadData("bgstyle") = "2" Then bgstyle2.Checked = True
                If pd.ReadData("bgstyle") = "3" Then bgstyle3.Checked = True
            
                'temp99.Text = pd.ReadData("A99")
                pd.CloseData()
                
            Next


        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then
            
            For i = 0 To UBound(namearr)
                
                tempname = namearr(i)
                If InStr(tempname, ".") > 0 Then
                    temptype = "classes"
                ElseIf InStr(tempname, "#") > 0 Then
                    temptype = "ids"
                Else
                    temptype = "tags"
                End If
                
                tempname = Replace(tempname, ".", "")
                tempname = Replace(tempname, "#", "")
                
                pd.formerror = ""
                If InStr(startcolor.Text, ">") Or InStr(startcolor.Text, "<") Or InStr(startcolor.Text, "/") Then pd.formerror = "Invalid character in System Message field, < / > are not allowed!"

                pd.OpenSetupDataWriter("setupxml", "design/css/" & temptype & "/" & tempname)
            
                pd.AddData("A10", temp10.SelectedItem.Value, "T")
                pd.AddData("startcolor", startcolor.Text, "T")
                pd.AddData("endcolor", endcolor.Text, "T")
                pd.AddData("bdcolor", bdcolor.Text, "T")
                pd.AddData("bgimg", bgimg.Text, "T")
                pd.AddData("bgpos", bgpos.SelectedItem.Text, "T")
                pd.AddData("bgrep", bgrep.SelectedItem.Text, "T")
                pd.AddData("A14", temp14.SelectedItem.Value, "T")
            
                'Background type
                If bgstyle0.Checked = True Then
                    pd.AddData("bgstyle", "0", "T")
                ElseIf bgstyle1.Checked = True Then
                    pd.AddData("bgstyle", "1", "T")
                    
                    'Check border style
                    If temp14.SelectedItem.Value <> "0" And temp14.SelectedItem.Value <> "" Then
                        pd.formerror = pd.formerror & "Rounded Corners cannot be used with Gradient backgrounds.  This combination is not supported by Microsoft's Internet Explorer."
                    End If
                
                ElseIf bgstyle2.Checked = True Then
                    pd.AddData("bgstyle", "2", "T")
                ElseIf bgstyle3.Checked = True Then
                    pd.AddData("bgstyle", "3", "T")
                End If
                'pd.AddData("A99", temp99.Text, "T")
            
                'If InStr(temp99.Text, "{") Or InStr(temp99.Text, "}") Then
                ' pd.formerror = pd.formerror & "Brackets {} are not allowed.  CSS attributes seprated by a semicolon only."
                'End If
            
                'If no errors, Add/Update record in database
                If pd.formerror = "" And deleterecord = "" Then
                    pd.SaveData()
                    pd.clearpdshopcache()
                    pd.formerror = "Record Saved!"
                    closewin = "Y"
                End If
                
            Next
            
             
            'Demo Mode
            If pd.demomode = "Yes" Then closewin = "Y"

        End If
        
        startcolora.Style.Value = "background-color: " & startcolor.Text
        endcolora.Style.Value = "background-color: " & endcolor.Text
        bdcolora.Style.Value = "background-color: " & bdcolor.Text
        
    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If closewin = "Y" Then%>
    <script type="text/javascript">
<!--
        window.close();
//-->
    </script>
    <% End If%>

    <div class="popupbody_div">
        <form method="POST" runat="server" id="aspnetForm">
        <input type="hidden" name="secname" value="<%=secname%>" />
        <input type="hidden" name="sectype" value="<%=sectype%>" />
        <div class="pageheading2">
            Background Style</div>
        <div class="message">
            <%=pd.getFormError()%></div>
        <% If deleterecord = "yes" Then%>
        <div class="message">
            Are you sure you want to delete?<br />
            <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
            <a href="?id=<%=id%>">NO</a></div>
        <% End If%>
        <div class="radio_div">
            <asp:RadioButton GroupName="bgstyle" ID="bgstyle0" runat="server" />
            None</div>
        <div class="radio_div">
            <asp:RadioButton GroupName="bgstyle" ID="bgstyle1" runat="server" />
            Color Gradient</div>
        <div style="padding-left: 25px;">
            <div class="formheading">
                Start</div>
            <div class="tdbox" id="startcolora" runat="server">
            </div>
            <div class="td">
                <asp:TextBox class="formfieldnumber" ID="startcolor" runat="server" />
            </div>
            <div class="td">
                <a href="javascript: insertcolor('startcolor');">
                    <img src="img/pd_txcolor.gif" alt="" /></a></div>
            <div class="tr">
            </div>
            <div class="formheading">
                End</div>
            <div class="tdbox" id="endcolora" runat="server">
            </div>
            <div class="td">
                <asp:TextBox class="formfieldnumber" ID="endcolor" runat="server" />
            </div>
            <div class="td">
                <a href="javascript: insertcolor('endcolor');">
                    <img src="img/pd_txcolor.gif" alt="" /></a></div>
            <div class="tr">
            </div>
        </div>
        <div class="radio_div">
            <asp:RadioButton GroupName="bgstyle" ID="bgstyle2" runat="server" />
            Texture</div>
        <div style="padding-left: 25px;">
            <asp:DropDownList ID="temp10" runat="server">
                <asp:ListItem Text="Inner Shadow at Top" Value="topshadow" />
                <asp:ListItem Text="Inner Shadow at Bottom" Value="bottomshadow" />
                <asp:ListItem Text="Fabric Texture" Value="bg_fabrictexture.png" />
                <asp:ListItem Text="Fabric Texture Zoom" Value="bg_fabric2texture.png" />
                <asp:ListItem Text="Cement Texture" Value="bg_cementtexture.png" />
                <asp:ListItem Text="Clouds Texture" Value="bg_cloudstexture.png" />
                <asp:ListItem Text="Jeans Texture" Value="bg_jeanstexture.png" />
                <asp:ListItem Text="Brick Texture" Value="bg_bricktexture.png" />
                <asp:ListItem Text="Weave Texture" Value="bg_weavetexture.png" />
                <asp:ListItem Text="Bubbles Texture" Value="bg_bubblestexture.png" />
                <asp:ListItem Text="Wood Grain Texture" Value="bg_woodgraintexture.png" />
                <asp:ListItem Text="Squiggles Texture" Value="bg_squigglestexture.png" />
                <asp:ListItem Text="Grid Texture" Value="bg_tinygridtexture.png" />
                <asp:ListItem Text="Grid Texture Zoom" Value="bg_gridtexture.png" />
            </asp:DropDownList>
            <!--<asp:ListItem text="Drop Shadow" value="dropshadow" />
                            <asp:ListItem text="Inner Shadow" value="innershadow" />-->
        </div>
        <div class="radio_div">
            <asp:RadioButton GroupName="bgstyle" ID="bgstyle3" runat="server" />
            Image</div>
        <div style="padding-left: 25px;">
            <div class="helptext">
                (Enter image from "images" folder or enter a URL, ex. http://yoursite.com/file.gif)</div>
            <div class="formheading">
                <asp:TextBox class="formfield1" ID="bgimg" runat="server" />
                <a href="javascript: insertimage('bgimg')">
                    <img align="middle" border="0" src="img/pd_image.gif" alt="Insert Image (from 'images' folder)"></a><a
                        href="javascript: uploadimage('bgimg')"><img align="middle" border="0" src="img/pd_disk.gif"
                            alt="Upload Image"></a></div>
            <div class="formheading">
                Image Position</div>
            <div>
                <asp:DropDownList ID="bgpos" runat="server">
                    <asp:ListItem Text="left top" />
                    <asp:ListItem Text="left center" />
                    <asp:ListItem Text="left bottom" />
                    <asp:ListItem Text="right top" />
                    <asp:ListItem Text="right center" />
                    <asp:ListItem Text="right bottom" />
                    <asp:ListItem Text="center top" />
                    <asp:ListItem Text="center center" />
                    <asp:ListItem Text="center bottom" />
                    <asp:ListItem Text="inherit" />
                </asp:DropDownList>
                <asp:DropDownList ID="bgrep" runat="server">
                    <asp:ListItem Text="repeat" />
                    <asp:ListItem Text="repeat-x" />
                    <asp:ListItem Text="repeat-y" />
                    <asp:ListItem Text="no-repeat" />
                    <asp:ListItem Text="inherit" />
                </asp:DropDownList>
            </div>
        </div>
        <div class="pageheading2">
            Border Style</div>
        <div class="formheading">
            Border Style</div>
        <div class="formheading">
            <asp:DropDownList ID="temp14" runat="server">
                <asp:ListItem Text="No Border" Value="0" />
                <asp:ListItem Text="Square/Normal" Value="" />
                <asp:ListItem Text="Rounded Corners - Small (10px)" Value="S" />
                <asp:ListItem Text="Rounded Corners - Medium (25px)" Value="M" />
                <asp:ListItem Text="Rounded Corners - Large (50px)" Value="L" />
                <asp:ListItem Text="Rounded Corners - Top - Small (10px)" Value="ST" />
                <asp:ListItem Text="Rounded Corners - Top - Medium (25px)" Value="MT" />
                <asp:ListItem Text="Rounded Corners - Top - Large (50px)" Value="LT" />
                <asp:ListItem Text="Rounded Corners - Bottom - Small (10px)" Value="SB" />
                <asp:ListItem Text="Rounded Corners - Bottom - Medium (25px)" Value="MB" />
                <asp:ListItem Text="Rounded Corners - Bottom - Large (50px)" Value="LB" />
            </asp:DropDownList>
        </div>
        <div class="formheading">
            Border Color</div>
        <div class="tdbox" id="bdcolora" bgcolor="<%=bdcolora%>" runat="server">
        </div>
        <div class="td">
            <asp:TextBox class="formfieldnumber" ID="bdcolor" runat="server" />
        </div>
        <div class="td">
            <a href="Javascript: insertcolor('bdcolor')">
                <img src="img/pd_txcolor.gif" alt="" /></a></div>
        <div class="tr">
        </div>
        <!--
                <div>
                    <div class="pageheading2">
                        Other CSS</div>
                    <div class="helptext">
                        (Enter your own CSS attributes here, separated by semicolon ";" and do not include
                        any brackets "{" as this will be appended to the current class)</div>
                    <div class="formheading">
                        <asp:textbox class="formfield1" id="temp99" runat="server" />
                    </div>
                </div>-->
        <div class="popupformbutton_div">
            <input type="submit" class="formbutton" value="Save Changes" /></div>
        </form>
    </div>
</asp:Content>
