<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" ValidateRequest="False" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public task, edit, edittype, editorcontent, closewin, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.loginredirect = "Off"
        pd.LoadPDadmin(3)
        helppage = ""

        'Get Record IDs
        edittype = pd.getrequest("edittype")
        edit = pd.getrequest("edit")
        task = pd.getrequest("task")

        'Retrieve/Display Record
        If task <> "update" Then

            If (edittype = "other") And pd.isdbfieldname(edit) = True Then
                pd.OpenSetupDataReader("otherxml", "misc")
                editorcontent = Server.HtmlEncode(pd.ReadData(edit))
                pd.CloseData()
            End If
             
            If (edittype = "commondata") And pd.isdbfieldname(edit) = True Then
                pd.OpenDataReader("SELECT * FROM pd_commondata")
                If pd.ReadDataItem.Read Then
                    editorcontent = Server.HtmlEncode(pd.ReadData(edit))
                End If
                pd.CloseData()
            End If

            If edittype = "item" And IsNumeric(edit) Then
                pd.OpenDataReader("SELECT description FROM items WHERE id=" & edit)
                If pd.ReadDataItem.Read Then
                    editorcontent = Server.HtmlEncode(pd.ReadData("description"))
                End If
                pd.CloseData()
            End If

            If edittype = "category" And IsNumeric(edit) Then
                pd.OpenDataReader("SELECT description FROM category WHERE id=" & edit)
                If pd.ReadDataItem.Read Then
                    editorcontent = Server.HtmlEncode(pd.ReadData("description"))
                End If
                pd.CloseData()
            End If

            If edittype = "custompage" And IsNumeric(edit) Then
                pd.OpenDataReader("Select * From custompages Where id=" & edit)
                If pd.ReadDataItem.Read Then
                    editorcontent = Server.HtmlEncode(pd.ReadData("description"))
                End If
                pd.CloseData()
            End If
             
            If pd.pdxmldebug = "ON" Then
                If (edittype = "xml") And (edit = "setupxml" Or edit = "langxml" Or edit = "otherxml") Then
                    editorcontent = pd.dbgetxmltoedit(edit)
                End If
            End If
             

        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <script type="text/javascript">

<!--

        function savechanges() {
            str = document.editor.thecontent.value;
            str = str.replace(/</g, "##L##");
            document.editor.thecontent.value = str
            document.editor.submit();
        }

-->
    </script>
    <div class="popupbody_div">
        <form method="POST" action="popup_editor_save.aspx" name="editor" id="editor">
        <input type="hidden" name="edittype" value="<%=pd.dohtmlencode(edittype)%>" />
        <input type="hidden" name="edit" value="<%=pd.dohtmlencode(edit)%>" />
        <input type="hidden" name="task" value="update" />
        <div class="pageheading2">
            Plain Text (no formatting) or HTML</div>
        <div class="message">
            <%=pd.getFormError()%></div>
        <div>
            <textarea class="formfield" rows="20" name="thecontent" cols="80"  ><%=editorcontent%></textarea></div>
        <div>
        </div>
        <div class="popupformbutton_div">
            <input type="submit" onclick="savechanges();" class="formbutton" value="Save Changes" /></div>
        </form>
    </div>
</asp:Content>
