<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public folder, filename, confirmdelete As String
    Public closewin As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.loginredirect = "Off"
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get Record IDs
        filename = pd.getrequest("filename")
        folder = pd.getrequest("folder")
        confirmdelete = pd.getrequest("confirmdelete")

        'Delete Record (and related records in other tables)
        If confirmdelete = "yes" Then


            'Delete the File
            pd.adminDeleteFile(folder, filename)
            closewin = "Y"

        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If closewin = "Y" Then%>
    <script type="text/javascript">
<!--
        window.close();
        window.opener.resubmit();
//-->
    </script>
    <% End If%>
    <div class="popupbody_div">
        <form method="POST" runat="server" id="aspnetForm">
        <div class="pageheading2">
            Delete File</div>
        <div class="formheading">
            "<%=filename%>"</div>
        <div>
            <%=pd.getFormError()%></div>
        <div class="message">
            Are you sure you want to Delete?
            <br />
            <a href="javascript: document.deletethis.submit();">Yes</a>&nbsp;&nbsp; |&nbsp;&nbsp;
            <a href="javascript: window.close();">No</a><br />
            <br />
        </div>
        </form>
    </div>
    <form method="POST" action="popup_filedelete.aspx" id="deletethis" name="deletethis">
    <input type="hidden" name="folder" value="<%=pd.dohtmlencode(folder)%>" />
    <input type="hidden" name="filename" value="<%=pd.dohtmlencode(filename)%>" />
    <input type="hidden" name="confirmdelete" value="yes" />
    </form>
</asp:Content>
