<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, stype, nexttask, closewin, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.loginredirect = "Off"
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get Record IDs
        id = pd.getrequest("id")
        stype = pd.getrequest("stype")

        'Check IDs
        If id <> "" Then
            If IsNumeric(id) = False Then
                id = ""
            End If
        End If


        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            If stype = "GC" Then

                pd.OpenSetupDataReader("otherxml", "email")

                emailfrom.Text = pd.ReadData("emailfrom4")
                emailfromname.Text = pd.ReadData("emailfromname4")
                emailsubject.Text = pd.ReadData("emailsubject4")
                emailbody.Value = pd.ReadData("emailbody4")

                pd.CloseData()


                'Open Database, get values
                pd.OpenDataReader("SELECT * FROM giftcert WHERE id=" & id)
                If pd.ReadDataItem.Read Then

                    'Text Inputs
                    emailto.Text = pd.ReadData("recipemail")
                    emailbody.Value = Replace(emailbody.Value, "##GIFTCODE##", pd.ReadData("code"))
                    emailbody.Value = Replace(emailbody.Value, "##GIFTTO##", pd.ReadData("sentto"))
                    emailbody.Value = Replace(emailbody.Value, "##GIFTFROM##", pd.ReadData("sentfrom"))
                    emailbody.Value = Replace(emailbody.Value, "##GIFTAMOUNT##", pd.showcurr(pd.ReadDataN2("amount")))
                    emailbody.Value = Replace(emailbody.Value, "##GIFTMESSAGE##", pd.ReadData("message"))


                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()

            End If


        End If


        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Arguments(semailto,semailfrom,semailfromname, semailsubject,semailbody,semailformat,semailattachment)
            pd.Sendemail(emailto.Text, "", emailfrom.Text, emailfromname.Text, emailsubject.Text, emailbody.Value, "Text", "")
            pd.pdRedirect("popup_sendemail2.aspx?stype=" & stype & "&id=" & id)

        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If closewin = "Y" Then%>
    <script type="text/javascript">
<!--
        window.close();
        window.opener.resubmit();
//-->
    </script>
    <% End If%>
    <div class="popupbody_div">
        <form method="POST" runat="server" id="aspnetForm">
        <input type="hidden" name="id" value="<%=id%>" />
        <div class="pageheading2">
            Send Email</div>
        <div class="message">
            <%=pd.getFormError()%></div>
        <div class="formheading">
            From</div>
        <div>
            <asp:TextBox class="formfield1" ID="emailfrom" runat="server" /></div>
        <div class="formheading">
            From Name</div>
        <div>
            <asp:TextBox class="formfield1" ID="emailfromname" runat="server" /></div>
        <div class="formheading">
            Email To</div>
        <div>
            <asp:TextBox class="formfield1" ID="emailto" runat="server" /></div>
        <div class="formheading">
            Subject</div>
        <div>
            <asp:TextBox class="formfield1" ID="emailsubject" runat="server" /></div>
        <div class="formheading">
            Message Body</div>
        <div>
            <textarea class="popupformtextarea" rows="8" id="emailbody" cols="30"  
                runat="server" /></div>
        <div class="popupformbutton_div">
            <input type="submit" class="formbutton" value="Send Email" /></div>
        </form>
    </div>
</asp:Content>
