<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, confirm, task, tichtml As String
    Public closewin As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.loginredirect = "Off"
        pd.LoadPDadmin(3)

        'Get Record IDs
        id = pd.getrequest("id")
        task = pd.getrequest("task")
        confirm = pd.getrequest("confirm")

       
        If IsNumeric(id) And task = "lookup" And confirm = "yes" And pd.demomode <> "Yes" Then
            
            'Change Cart id
            newcartid = pd.getrandseq()
            pd.OpenDataWriter("orders WHERE id=" & id)
            pd.AddData("cartid", newcartid, "N")
            pd.SaveData()
            pd.sqlexecute("UPDATE orderdetail SET cartid='" & newcartid & "' WHERE orderid=" & id)
            
            'Perform Lookup then Submit
            pd.dotaxcloudlookup(id)
            If pd.formerror = "" Then
                If pd.formerror = "" Then
                    closewin = "Y"
                End If
            End If
                        
        End If
        
        
        If IsNumeric(id) And task = "remove" And confirm = "yes" And pd.demomode <> "Yes" Then
            
            pd.OpenDataWriter("orders WHERE id=" & id)
            pd.AddData("salestaxamt", 0, "N")
            pd.AddData("taxstatus", 0, "N")
            pd.SaveData()
     
            If pd.formerror = "" Then
                closewin = "Y"
            End If
                        
        End If
        
        
        If IsNumeric(id) And task = "refund" And confirm = "yes" And pd.demomode <> "Yes" Then
            
            'Perform Return
            pd.dotaxcloudreturn(id)
            If pd.formerror = "" Then
                closewin = "Y"
            End If
            
            
        End If
        
        If IsNumeric(id) And task = "auth" And confirm = "yes" And pd.demomode <> "Yes" Then
            
            'Change Cart id
            newcartid = pd.getrandseq()
            pd.OpenDataWriter("orders WHERE id=" & id)
            pd.AddData("cartid", newcartid, "N")
            pd.SaveData()
            pd.sqlexecute("UPDATE orderdetail SET cartid='" & newcartid & "' WHERE orderid=" & id)
            
            'Perform Lookup then Submit
            pd.dotaxcloudlookup(id)
            If pd.formerror = "" Then
                pd.dotaxcloudauth(id)
                If pd.formerror = "" Then
                    closewin = "Y"
                End If
            End If
                        
        End If
        
        
        If IsNumeric(id) And task = "reauth" And confirm = "yes" And pd.demomode <> "Yes" Then
            
            'Change Order Number & Cart id
            newcartid = pd.getrandseq()
            pd.OpenDataWriter("orders WHERE id=" & id)
            pd.AddData("orderno", pd.getorderno(), "N")
            pd.AddData("cartid", newcartid, "N")
            pd.SaveData()
            pd.sqlexecute("UPDATE orderdetail SET cartid='" & newcartid & "' WHERE orderid=" & id)
            
            
            'Perform Lookup then Submit
            pd.dotaxcloudlookup(id)
            If pd.formerror = "" Then
                pd.dotaxcloudauth(id)
                If pd.formerror = "" Then
                    closewin = "Y"
                End If
            End If
                        
        End If
        

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If closewin = "Y" Then%>
    <script type="text/javascript">
<!--
        window.close();
        window.opener.resubmit();
//-->
    </script>
    <% End If%>
    <div class="popupbody_div">
        <form method="POST" runat="server" id="aspnetForm">
        <% If task = "lookup" Then%>
        <div class="pageheading2">
            Lookup Tax</div>
        <div>
            <%=pd.getFormError()%></div>
        <div class="editlinks">
            You are about to re-lookup (and replace) the current tax amount, do you want to
            continue?<br />
            <br />
            <a href="popup_taxcloud.aspx?id=<%=id%>&task=lookup&confirm=yes">YES</a>&nbsp;&nbsp;
            |&nbsp;&nbsp; <a href="javascript: window.close();">NO</a><br />
            <br />
        </div>
        <% End If%>
        <% If task = "remove" Then%>
        <div class="pageheading2">
            Remove Tax</div>
        <div>
            <%=pd.getFormError()%></div>
        <div class="editlinks">
            You are about to remove current tax amount, do you want to continue?<br />
            <br />
            <a href="popup_taxcloud.aspx?id=<%=id%>&task=remove&confirm=yes">YES</a>&nbsp;&nbsp;
            |&nbsp;&nbsp; <a href="javascript: window.close();">NO</a><br />
            <br />
        </div>
        <% End If%>
        <% If task = "auth" Then%>
        <div class="pageheading2">
            Capture Tax</div>
        <div>
            <%=pd.getFormError()%></div>
        <div class="editlinks">
            Are you sure you want to submit this Tax to TaxCloud as a "Captured" Transaction?<br />
            <br />
            <a href="popup_taxcloud.aspx?id=<%=id%>&task=auth&confirm=yes">YES</a>&nbsp;&nbsp;
            |&nbsp;&nbsp; <a href="javascript: window.close();">NO</a><br />
            <br />
        </div>
        <% End If%>
        <% If task = "refund" Then%>
        <div class="pageheading2">
            Remove Tax</div>
        <div>
            <%=pd.getFormError()%></div>
        <div class="editlinks">
            Are you sure you want to remove the tax from this order and submit a "Refund" to
            TaxCloud?<br />
            <br />
            <a href="popup_taxcloud.aspx?id=<%=id%>&task=refund&confirm=yes">YES</a>&nbsp;&nbsp;
            |&nbsp;&nbsp; <a href="javascript: window.close();">NO</a><br />
            <br />
        </div>
        <% End If%>
        <% If task = "reauth" Then%>
        <div class="pageheading2">
            Re-Lookup / Capture Tax</div>
        <div>
            <%=pd.getFormError()%></div>
        <div class="editlinks">
            Are you sure you want to add tax to the order, and re-submit to TaxCloud as a "Captured"
            Transaction?<br />
            <a href="popup_taxcloud.aspx?id=<%=id%>&task=reauth&confirm=yes">YES</a>&nbsp;&nbsp;
            |&nbsp;&nbsp; <a href="javascript: window.close();">NO</a><br />
            <br />
            WARNING: Because this order was previously Authorized & Captured by Tax Cloud, a
            new ORDER NUMBER will be assigned to this order!<br />
            <br />
        </div>
        <% End If%>
        </form>
    </div>
</asp:Content>
