<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public searchtable, showdiv, showdivid As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        'pd.browserNoCache()
        pd.LoadPDadmin(3)
        
        'Get Record IDs
        ID = pd.getrequest("id")

        'Check IDs
        If IsNumeric(ID) = False Then
            ID = ""
        End If
        
        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")
        showdiv = pd.getrequest("showdiv")
        
        If showdiv = "" Then pd.pdRedirect("search.aspx?showdiv=customer")

        If showdiv = "customer" Then
            showdivid = "search_customer"
            searchtable = "customer"
            
            customer_repeater1.DataSource = pd.bindpddata("SELECT COUNT(customer.id) as thecount FROM customer WHERE id>0")
            customer_repeater1.DataBind()
        
        
            customer_repeater2.DataSource = pd.bindpddata("SELECT COUNT(customer.id) as thecount FROM customer WHERE taxexempt=1")
            customer_repeater2.DataBind()
        
            customer_repeater3.DataSource = pd.bindpddata("SELECT COUNT(customer.id) as thecount FROM customer WHERE pricelevel=0 OR pricelevel IS NULL")
            customer_repeater3.DataBind()
        
            customer_repeater4.DataSource = pd.bindpddata("SELECT COUNT(customer.id) as thecount FROM customer WHERE pricelevel=1")
            customer_repeater4.DataBind()
 
            customer_repeater5.DataSource = pd.bindpddata("SELECT COUNT(customer.id) as thecount FROM customer WHERE pricelevel=2")
            customer_repeater5.DataBind()
        
            customer_repeater6.DataSource = pd.bindpddata("SELECT COUNT(customer.id) as thecount FROM customer WHERE lockout=1")
            customer_repeater6.DataBind()
            
        ElseIf showdiv = "orders" Then
            showdivid = "search_orders"
            searchtable = "orders"
            
            orders_repeater1.DataSource = pd.bindpddata("SELECT orders.status as statusname, COUNT(orders.orderno) as ordercount FROM orders WHERE status='New' GROUP BY orders.status")
            orders_repeater1.DataBind()

            orders_repeater2.DataSource = pd.bindpddata("SELECT orders.status as statusname, COUNT(orders.orderno) as ordercount FROM orders WHERE status<>'New' AND status<>'Incomplete' GROUP BY orders.status")
            orders_repeater2.DataBind()
            
        ElseIf showdiv = "items" Then
            showdivid = "search_items"
            searchtable = "items"
            
            itemrepeater1.DataSource = pd.bindpddata("SELECT items.active, COUNT(items.id) as itemcount FROM items WHERE active='Yes' GROUP BY items.active")
            itemrepeater1.DataBind()

            itemrepeater2.DataSource = pd.bindpddata("SELECT items.onsale, COUNT(items.id) as itemcount FROM items WHERE onsale='Yes' GROUP BY items.onsale")
            itemrepeater2.DataBind()

            itemrepeater3.DataSource = pd.bindpddata("SELECT items.feature, COUNT(items.id) as itemcount FROM items WHERE feature='Yes' GROUP BY items.feature")
            itemrepeater3.DataBind()

            itemrepeater4.DataSource = pd.bindpddata("SELECT items.active, COUNT(items.id) as itemcount FROM items WHERE active='No' GROUP BY items.active")
            itemrepeater4.DataBind()
             
            itemrepeater5.DataSource = pd.bindpddata("SELECT COUNT(items.id) as itemcount FROM items WHERE qty>" & pd.oosthresh)
            itemrepeater5.DataBind()
             
            itemrepeater6.DataSource = pd.bindpddata("SELECT COUNT(items.id) as itemcount FROM items WHERE qty<=" & pd.oosthresh)
            itemrepeater6.DataBind()
             
            itemrepeater7.DataSource = pd.bindpddata("SELECT COUNT(optionitem.id) as itemcount FROM (optionitem INNER JOIN optioncat ON optioncat.id=optionitem.optcatid) INNER JOIN items ON items.id=optioncat.itemid WHERE optionitem.inven='ON' AND optionitem.qty>" & pd.oosthresh)
            itemrepeater7.DataBind()
             
            itemrepeater8.DataSource = pd.bindpddata("SELECT COUNT(optionitem.id) as itemcount FROM (optionitem INNER JOIN optioncat ON optioncat.id=optionitem.optcatid) INNER JOIN items ON items.id=optioncat.itemid WHERE optionitem.inven='ON' AND optionitem.qty<=" & pd.oosthresh)
            itemrepeater8.DataBind()
            
        ElseIf showdiv = "category" Then
            showdivid = "search_categories"
            searchtable = "category"
            
            category_repeater1.DataSource = pd.bindpddata("SELECT COUNT(category.id) as thecount FROM category WHERE active='Yes'")
            category_repeater1.DataBind()

            category_repeater2.DataSource = pd.bindpddata("SELECT COUNT(category.id) as thecount FROM category WHERE active='No'")
            category_repeater2.DataBind()
            
        ElseIf showdiv = "discounts" Then
            showdivid = "search_discounts"
            searchtable = "discounts"
            
            discounts.DataSource = pd.bindpddata("SELECT * FROM discounts")
            discounts.DataBind()
            
        ElseIf showdiv = "giftcert" Then
            showdivid = "search_giftcert"
            searchtable = "giftcert"
            
            giftcert_repeater1.DataSource = pd.bindpddata("SELECT COUNT(giftcert.id) as thecount FROM giftcert WHERE status=1")
            giftcert_repeater1.DataBind()

            giftcert_repeater2.DataSource = pd.bindpddata("SELECT COUNT(giftcert.id) as thecount FROM giftcert WHERE status=2")
            giftcert_repeater2.DataBind()
        
            giftcert_repeater3.DataSource = pd.bindpddata("SELECT COUNT(giftcert.id) as thecount FROM giftcert WHERE status=3")
            giftcert_repeater3.DataBind()

            giftcert_repeater4.DataSource = pd.bindpddata("SELECT COUNT(giftcert.id) as thecount FROM giftcert WHERE status=4")
            giftcert_repeater4.DataBind()
            
        ElseIf showdiv = "affiliates" Then
            showdivid = "search_affiliates"
            searchtable = "affiliates"
            
            affiliates_repeater1.DataSource = pd.bindpddata("SELECT COUNT(affiliates.id) as thecount FROM affiliates WHERE id>0")
            affiliates_repeater1.DataBind()
            
        End If
        
        
        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            'Get Drop Down Lists
            status.DataSource = pd.bindthissql("SELECT name FROM status")
            status.DataBind()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then
            pd.gotonextpage()
        End If

        'Delete Record (and related records in other tables)
        If ID <> "" And deleterecord = "yes" And confirmdelete = "yes" And pd.adminlevel = 1 Then
        End If
        
        
        

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <script type="text/javascript">
        function showsection(d) {
            document.getElementById(d).style.display = "block";
        }

        function hidesections() {
            document.getElementById('search_customer').style.display = "none";
            document.getElementById('search_orders').style.display = "none";
            document.getElementById('search_items').style.display = "none";
            document.getElementById('search_discounts').style.display = "none";
            document.getElementById('search_giftcert').style.display = "none";
            document.getElementById('search_affiliates').style.display = "none";

            showsection('<%=showdivid%>');
        }

    </script>
    <div class="body_container">
        <div class="content_container">
            <div>
                <form method="POST" runat="server" id="aspnetForm">
                <%
                    pd.createadmintab("Orders", "search.aspx?showdiv=orders")
                    pd.createadmintab("Customers", "search.aspx?showdiv=customer")
                    pd.createadmintab("Items", "search.aspx?showdiv=items")
                    pd.createadmintab("Categories", "search.aspx?showdiv=category")
                    If pd.adminlevel = 1 Then
                        pd.createadmintab("Custom Pages", "custompagelist.aspx")
                        pd.createadmintab("Page Content", "showsectioncontent.aspx")
                    End If
                    pd.createadmintab("Discounts", "search.aspx?showdiv=discounts")
                    pd.createadmintab("Gift Cards", "search.aspx?showdiv=giftcert")
                    pd.createadmintab("Affiliates", "search.aspx?showdiv=affiliates")
                    pd.writeadmintabs()
                %>
                </form>
            </div>
            <div class="forms">
                <form method="GET" action="searchresults.aspx" id="form1">
                <input type="hidden" name="table" value="<% =searchtable %>" />
                <input type="hidden" name="adv" value="Y" />
                <% If showdiv = "customer" Then%>
                <!-- CUSTOMERS -->
                <div id="search_customer">
                    <div class="pageheading1">
                        Customer Summary</div>
                    <div class="message">
                        <%=pd.getFormError()%></div>
                    <div class="inner_div">
                        <div class="tdlhead">
                            Type</div>
                        <div class="tdshead">
                            Count</div>
                        <div class="tr">
                        </div>
                        <asp:Repeater ID="customer_repeater1" runat="server">
                            <ItemTemplate>
                                <div class="tdl">
                                    <a href="searchresults.aspx?table=customer&field=name,email&data=&sortby=name">All Customers</a></div>
                                <div class="tds">
                                    <%# Container.DataItem("thecount")%></div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                        <asp:Repeater ID="customer_repeater2" runat="server">
                            <ItemTemplate>
                                <div class="tdl">
                                    <a href="searchresults.aspx?table=customer&field=taxexempt,name,email&data=1&sortby=name">
                                        Tax Exempt</a></div>
                                <div class="tds">
                                    <%# Container.DataItem("thecount")%></div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                        <asp:Repeater ID="customer_repeater3" runat="server">
                            <ItemTemplate>
                                <div class="tdl">
                                    <a href="searchresults.aspx?table=customer&field=pricelevel,name,email&data=0&sortby=name">
                                        Price Tier / Discount (Normal)</a></div>
                                <div class="tds">
                                    <%# Container.DataItem("thecount")%></div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                        <asp:Repeater ID="customer_repeater4" runat="server">
                            <ItemTemplate>
                                <div class="tdl">
                                    <a href="searchresults.aspx?table=customer&field=pricelevel,name,email&data=1&sortby=name">
                                        Price Tier / Discount (Level 1)</a></div>
                                <div class="tds">
                                    <%# Container.DataItem("thecount")%></div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                        <asp:Repeater ID="customer_repeater5" runat="server">
                            <ItemTemplate>
                                <div class="tdl">
                                    <a href="searchresults.aspx?table=customer&field=pricelevel,name,email&data=2&sortby=name">
                                        Price Tier / Discount (Level 2)</a></div>
                                <div class="tds">
                                    <%# Container.DataItem("thecount")%></div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                        <asp:Repeater ID="customer_repeater6" runat="server">
                            <ItemTemplate>
                                <div class="tdl">
                                    <a href="searchresults.aspx?table=customer&field=lockout,name,email&data=1&sortby=name">
                                        Account Disabled</a></div>
                                <div class="tds">
                                    <%# Container.DataItem("thecount")%></div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                        <div class="button_div">
                            <input type="button" class="formbutton" onclick="<%=pd.nextpagefunction%>('editcustomer.aspx')"
                                value="New Customer" /></div>
                    </div>
                    <div class="pageheading1">
                        Search</div>
                    <div class="td">
                        <div class="formheading">
                            Search Customers by</div>
                        <div class="check_div">
                            <select size="1" name="customerfield">
                                <option value="name,email,zip">Name</option>
                                <% If pd.compen > 0 Then%>
                                <option value="company,name,email">Company</option>
                                <% End If%>
                                <option value="email,name,zip">Email</option>
                                <option value="phone,name,email">Phone</option>
                                <option value="city,name,email">City</option>
                                <option value="state,city,name,email">State/Province</option>
                                <option value="country,name,email">Country</option>
                                <option value="zip,name,email">Zip/Postal Code</option>
                            </select></div>
                    </div>
                    <div class="td">
                        <div class="formheading">
                            Filter by Price Level</div>
                        <div class="check_div">
                            <input type="checkbox" name="customerfield2" value="pricelevel" />
                            <input type="hidden" name="customerdatatype2" value="num" />
                            <select size="1" name="customerdata2">
                                <option value="0">Normal/Regular</option>
                                <option value="1">Level 1</option>
                                <option value="2">Level 2</option>
                            </select>
                        </div>
                    </div>
                    <div class="td">
                        <div class="formheading">
                            Filter by Tax Exempt</div>
                        <div class="check_div">
                            <input type="checkbox" name="customerfield3" value="taxexempt" />
                            <input type="hidden" name="customerdatatype3" value="num" />
                            <select size="1" name="customerdata3">
                                <option value="0">No</option>
                                <option value="1">Yes</option>
                            </select>
                        </div>
                    </div>
                    <div class="tr">
                    </div>
                </div>
                <% End If%>
                <% If showdiv = "orders" Then%>
                <!-- ORDERS -->
                <div id="search_orders">
                    <div class="pageheading1">
                        Orders Summary</div>
                    <div class="message">
                        <%=pd.getFormError()%></div>
                    <div class="inner_div">
                        <div class="tdmhead">
                            Status</div>
                        <div class="tdshead">
                            Count</div>
                        <div class="tr">
                        </div>
                        <asp:Repeater ID="orders_repeater1" runat="server">
                            <ItemTemplate>
                                <div class="tdm">
                                    <a href="searchresults.aspx?table=orders&field=status,orderno,shipname,orderdate&data=<%# Container.DataItem("statusname") %>&sortby=orderno%20DESC">
                                        <%# Container.DataItem("statusname") %></a></div>
                                <div class="tds">
                                    <%# Container.DataItem("ordercount") %></div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                        <asp:Repeater ID="orders_repeater2" runat="server">
                            <ItemTemplate>
                                <div class="tdm">
                                    <a href="searchresults.aspx?table=orders&field=status,orderno,shipname,orderdate&data=<%# Container.DataItem("statusname") %>&sortby=orderno%20DESC">
                                        <%# Container.DataItem("statusname") %></a></div>
                                <div class="tds">
                                    <%# Container.DataItem("ordercount") %></div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                    </div>
                    <div class="pageheading1">
                        Search</div>
                    <div class="td">
                        <div class="formheading">
                            Search Orders by</div>
                        <div class="">
                            <select size="1" name="ordersfield">
                                <!-- <option value="shipname,orderno,orderdate,status">Name</option> -->
                                <option value="num/orderno,shipname,orderdate,status">Order No.</option>
                                <option value="date/orderdate,shipname,orderno,status">Order Date</option>
                                <option value="shipname,orderno,orderdate,status">Shipping Name</option>
                                <option value="shipcity,orderno,orderdate,status">Shipping City</option>
                                <option value="shipstate,orderno,orderdate,status">Shipping State/Province</option>
                                <option value="shipcountry,orderno,orderdate,status">Shipping Country</option>
                                <option value="shipzip,orderno,orderdate,status">Shipping Zip/Postal Code</option>
                                <option value="billname,orderno,orderdate,status">Billing Name</option>
                                <option value="billemail,orderno,orderdate,status">Billing Email</option>
                                <option value="billphone,orderno,orderdate,status">Billing Phone</option>
                                <option value="billcity,orderno,orderdate,status">Billing City</option>
                                <option value="billstate,orderno,orderdate,status">Billing State/Province</option>
                                <option value="billcountry,orderno,orderdate,status">Billing Country</option>
                                <option value="billzip,orderno,orderdate,status">Billing Zip/Postal Code</option>
                            </select></div>
                    </div>
                    <div class="td">
                        <div class="formheading">
                            Filter by Status</div>
                        <div class="check_div">
                            <input type="checkbox" name="ordersfield2" value="status" />
                            <select size="1" name="ordersdata2">
                                <option value="New">New</option>
                                <asp:Repeater ID="status" runat="server">
                                    <ItemTemplate>
                                        <option>
                                            <%# Container.DataItem("name") %></option>
                                    </ItemTemplate>
                                </asp:Repeater>
                            </select>
                        </div>
                    </div>
                    <div class="td">
                    </div>
                    <div class="tr">
                    </div>
                </div>
                <% End If%>
                <% If showdiv = "items" Then%>
                <!-- ITEMS -->
                <div id="search_items">
                    <div class="pageheading1">
                        Items/Products Summary</div>
                    <div class="message">
                        <%=pd.getFormError()%></div>
                    <div class="inner_div">
                        <div class="tdmhead">
                            Status</div>
                        <div class="tdmhead">
                            Count</div>
                        <div class="tr">
                        </div>
                        <asp:Repeater ID="itemrepeater1" runat="server">
                            <ItemTemplate>
                                <div class="tdm">
                                    <a href="searchresults.aspx?table=items&field=active,itemno,name,price,saleprice&data=Yes&sortby=name">
                                        Active</a></div>
                                <div class="tdm">
                                    <%# Container.DataItem("itemcount") %></div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                        <asp:Repeater ID="itemrepeater3" runat="server">
                            <ItemTemplate>
                                <div class="tdm">
                                    <a href="searchresults.aspx?table=items&field=feature,itemno,name,price,saleprice&data=Yes&sortby=name">
                                        Featured</a></div>
                                <div class="tdm">
                                    <%# Container.DataItem("itemcount") %></div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                        <asp:Repeater ID="itemrepeater2" runat="server">
                            <ItemTemplate>
                                <div class="tdm">
                                    <a href="searchresults.aspx?table=items&field=onsale,itemno,name,price,saleprice&data=Yes&sortby=name">
                                        On Sale</a></div>
                                <div class="tdm">
                                    <%# Container.DataItem("itemcount") %></div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                        <asp:Repeater ID="itemrepeater4" runat="server">
                            <ItemTemplate>
                                <div class="tdm">
                                    <a href="searchresults.aspx?table=items&field=active,itemno,name,price,saleprice&data=No&sortby=name">
                                        Inactive</a></div>
                                <div class="tdm">
                                    <%# Container.DataItem("itemcount") %></div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                        <br />
                        <div class="tdmhead">
                            Regular Items by Inventory Status</div>
                        <div class="tdmhead">
                            Count</div>
                        <div class="tr">
                        </div>
                        <asp:Repeater ID="itemrepeater5" runat="server">
                            <ItemTemplate>
                                <div class="tdm">
                                    <a href="searchresults.aspx?table=items&field=qty,itemno,name&data=<%=pd.oosthresh%>&datatype=numG">
                                        In Stock</a></div>
                                <div class="tdm">
                                    <%# Container.DataItem("itemcount") %></div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                        <asp:Repeater ID="itemrepeater6" runat="server">
                            <ItemTemplate>
                                <div class="tdm">
                                    <a href="searchresults.aspx?table=items&field=qty,itemno,name&data=<%=pd.oosthresh+1%>&datatype=numL">
                                        Out of Stock</a></div>
                                <div class="tdm">
                                    <%# Container.DataItem("itemcount") %></div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                        <br />
                        <div class="tdmhead">
                            Item Options by Inventory Status</div>
                        <div class="tdmhead">
                            Count</div>
                        <div class="tr">
                        </div>
                        <asp:Repeater ID="itemrepeater7" runat="server">
                            <ItemTemplate>
                                <div class="tdm">
                                    <a href="searchresults.aspx?table=special&data=optionsinstock">In Stock</a></div>
                                <div class="tdm">
                                    <%# Container.DataItem("itemcount") %></div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                        <asp:Repeater ID="itemrepeater8" runat="server">
                            <ItemTemplate>
                                <div class="tdm">
                                    <a href="searchresults.aspx?table=special&data=optionsoutofstock">Out of Stock</a></div>
                                <div class="tdm">
                                    <%# Container.DataItem("itemcount") %></div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                        <div class="button_div">
                            <input type="button" class="formbutton" onclick="<%=pd.nextpagefunction%>('edititem.aspx')"
                                value="New Item" />
                            <input type="button" class="formbutton" onclick="<%=pd.nextpagefunction%>('searchresults.aspx?table=items&amp;field=name,itemno,price,saleprice,active,pgvisits&amp;sortby=name&amp;data=')"
                                value="List All Items" />
                            <input type="button" class="formbutton" onclick="<%=pd.nextpagefunction%>('showcats.aspx')"
                                value="List By Category" /></div>
                    </div>
                    <div class="pageheading1">
                        Search</div>
                    <div class="td">
                        <div class="formheading">
                            Search Items by</div>
                        <div class="">
                            <select size="1" name="itemsfield">
                                <option value="itemno,name,qty,pgvisits,active,price,saleprice">Item No/SKU</option>
                                <option value="name,itemno,qty,pgvisits,active,price,saleprice">Item Name</option>
                                <option value="shortdesc,name,itemno">Description</option>
                            </select></div>
                    </div>
                    <div class="td">
                        <div class="formheading">
                            Filter by QTY on Hand</div>
                        <div class="">
                            <input type="checkbox" name="itemsfield2" value="qty" />
                            <input type="hidden" name="itemsdatatype2" value="qtyrange" />
                            <select size="1" name="itemsqtydet2">
                                <option value="&lt;">Less Than</option>
                                <option value="&gt;">Greater Than</option>
                                <option value="=">Equal to</option>
                            </select>
                            <input type="text" name="itemsdata2" class="formfieldnumber" value="0" />
                        </div>
                    </div>
                    <div class="td">
                        <div class="formheading">
                            Filter by Page Visits</div>
                        <div class="">
                            <input type="checkbox" name="itemsfield3" value="pgvisits" />
                            <input type="hidden" name="itemsdatatype3" value="qtyrange" />
                            <select size="1" name="itemsqtydet3">
                                <option value="&gt;">Greater Than</option>
                                <option value="&lt;">Less Than</option>
                                <option value="=">Equal to</option>
                            </select>
                            <input type="text" name="itemsdata3" class="formfieldnumber" value="0" />
                        </div>
                    </div>
                    <div class="tr">
                    </div>
                </div>
                <% End If%>
                <% If showdiv = "category" Then%>
                <!-- CATEGORIES -->
                <div id="search_categories">
                    <div class="pageheading1">
                        Category Summary</div>
                    <div class="message">
                        <%=pd.getFormError()%></div>
                    <div class="inner_div">
                        <div class="tdlhead">
                            Type</div>
                        <div class="tdshead">
                            Count</div>
                        <div class="tr">
                        </div>
                        <asp:Repeater ID="category_repeater1" runat="server">
                            <ItemTemplate>
                                <div class="tdl">
                                    <a href="searchresults.aspx?table=category&field=active,name&data=Yes&sortby=name">Active</a></div>
                                <div class="tds">
                                    <%# Container.DataItem("thecount")%></div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                        <asp:Repeater ID="category_repeater2" runat="server">
                            <ItemTemplate>
                                <div class="tdl">
                                    <a href="searchresults.aspx?table=category&field=active,name&data=No&sortby=name">Inactive</a></div>
                                <div class="tds">
                                    <%# Container.DataItem("thecount")%></div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                        <div class="button_div">
                            <input type="button" class="formbutton" onclick="<%=pd.nextpagefunction%>('editcat.aspx')"
                                value="New Category" />
                            <input type="button" class="formbutton" onclick="<%=pd.nextpagefunction%>('searchresults.aspx?table=category&field=name&data=&sortby=name')"
                                value="Show All Categories (List)" />
                            <input type="button" class="formbutton" onclick="<%=pd.nextpagefunction%>('showcats.aspx')"
                                value="Show All Categories (Tree)" /></div>
                    </div>
                    <div class="pageheading1">
                        Search</div>
                    <div class="formheading">
                        Search Categories by</div>
                    <div class="formheading">
                        <select size="1" name="categoryfield">
                            <option value="name">Name</option>
                            <option value="shortdesc,name">Description</option>
                        </select></div>
                </div>
                <% End If%>
                <% If showdiv = "discounts" Then%>
                <!-- DISCOUNTS -->
                <div id="search_discounts">
                    <div class="pageheading1">
                        Discounts Summary</div>
                    <div class="message">
                        <%=pd.getFormError()%></div>
                    <div class="inner_div">
                        <div class="tdmhead">
                            Code</div>
                        <div class="tdlhead">
                            Name</div>
                        <div class="tr">
                        </div>
                        <asp:Repeater ID="discounts" runat="server">
                            <ItemTemplate>
                                <div class="tdm">
                                    <a href="Javascript: <%=pd.nextpagefunction%>('editdiscount.aspx?id=<%# Container.DataItem("id") %>')">
                                        <%# Container.DataItem("code") %></a></div>
                                <div class="tdl">
                                    <a href="Javascript: <%=pd.nextpagefunction%>('editdiscount.aspx?id=<%# Container.DataItem("id") %>')">
                                        <%# Container.DataItem("name") %></a></div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                        <div class="button_div">
                            <input type="button" class="formbutton" onclick="<%=pd.nextpagefunction%>('editdiscount.aspx')"
                                value="New Discount" /></div>
                    </div>
                    <div class="pageheading1">
                        Search</div>
                    <div class="formheading">
                        Search Discounts by</div>
                    <div class="formheading">
                        <select size="1" name="discountsfield">
                            <option value="code,name,startdate,enddate">Code</option>
                            <option value="date/startdate,code,name">Start Date</option>
                            <option value="date/enddate,code,name">End Date</option>
                        </select></div>
                </div>
                <% End If%>
                <% If showdiv = "giftcert" Then%>
                <!-- GIFT CERT -->
                <div id="search_giftcert">
                    <div class="pageheading1">
                        Gift Cards Summary</div>
                    <div class="message">
                        <%=pd.getFormError()%></div>
                    <div class="inner_div">
                        <div class="tdlhead">
                            Status</div>
                        <div class="tdshead">
                            Count</div>
                        <div class="tr">
                        </div>
                        <asp:Repeater ID="giftcert_repeater1" runat="server">
                            <ItemTemplate>
                                <div class="tdl">
                                    <a href="searchresults.aspx?table=giftcert&field=status,code,sentto&data=1">New (Not
                                        Sent)</a></div>
                                <div class="tds">
                                    <%# Container.DataItem("thecount")%></div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                        <asp:Repeater ID="giftcert_repeater2" runat="server">
                            <ItemTemplate>
                                <div class="tdl">
                                    <a href="searchresults.aspx?table=giftcert&field=status,code,sentto&data=2">Sent</a></div>
                                <div class="tds">
                                    <%# Container.DataItem("thecount")%></div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                        <asp:Repeater ID="giftcert_repeater3" runat="server">
                            <ItemTemplate>
                                <div class="tdl">
                                    <a href="searchresults.aspx?table=giftcert&field=status,code,sentto&data=3">Redeemed
                                        (Partially)</a></div>
                                <div class="tds">
                                    <%# Container.DataItem("thecount")%></div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                        <asp:Repeater ID="giftcert_repeater4" runat="server">
                            <ItemTemplate>
                                <div class="tdl">
                                    <a href="searchresults.aspx?table=giftcert&field=status,code,sentto&data=4">Redeemed</a></div>
                                <div class="tds">
                                    <%# Container.DataItem("thecount")%></div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                        <div class="button_div">
                            <input type="button" class="formbutton" onclick="<%=pd.nextpagefunction%>('editgiftcert.aspx')"
                                value="New Card" /></div>
                    </div>
                    <div class="pageheading1">
                        Search</div>
                    <div class="td">
                        <div class="formheading">
                            Search Gift Cards by</div>
                        <div>
                            <select size="1" name="giftcertfield">
                                <option value="code,recipname,recipemail">Code</option>
                                <option value="recipemail,code,recipname">Recipient's Email</option>
                                <option value="recipname,code,recipemail">Recipient's Name</option>
                            </select></div>
                    </div>
                    <div class="td">
                        <div class="formheading">
                            Filter by Status</div>
                        <div>
                            <input type="checkbox" name="giftcertfield2" value="status" />
                            <input type="hidden" name="giftcertdatatype2" value="num" />
                            <select size="1" name="giftcertdata2">
                                <option value="1">New</option>
                                <option value="2">Sent</option>
                                <option value="4">Redeemed</option>
                                <option value="3">Partially Redeemed</option>
                            </select>
                        </div>
                    </div>
                    <div class="td">
                    </div>
                    <div class="tr">
                    </div>
                </div>
                <% End If%>
                <% If showdiv = "affiliates" Then%>
                <!-- AFFILIATES -->
                <div id="search_affiliates">
                    <div class="pageheading1">
                        Affiliates Summary</div>
                    <div class="message">
                        <%=pd.getFormError()%></div>
                    <div class="inner_div">
                        <div class="tdlhead">
                            Status</div>
                        <div class="tdshead">
                            Count</div>
                        <div class="tr">
                        </div>
                        <asp:Repeater ID="affiliates_repeater1" runat="server">
                            <ItemTemplate>
                                <div class="tdl">
                                    <a href="searchresults.aspx?table=affiliates&field=name,affillink,email&data=">All Affiliates</a></div>
                                <div class="tds">
                                    <%# Container.DataItem("thecount")%></div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                        <div class="button_div">
                            <input type="button" class="formbutton" onclick="<%=pd.nextpagefunction%>('editaffiliate.aspx')"
                                value="New Affiliate" /></div>
                    </div>
                    <div class="pageheading1">
                        Search</div>
                    <div class="formheading">
                        Search Affiliates by</div>
                    <div class="formheading">
                        <select size="1" name="affiliatesfield">
                            <option value="company,affilurl,affillink">Company</option>
                            <option value="affillink,company,affilurl">Affiliate ID</option>
                            <option value="affilurl,company,affillink">Website</option>
                        </select></div>
                </div>
                <% End If%>
                <!-- END of Section -->
                <div class="td">
                    <div class="formheading">
                        Search For: <span class="helptext">(Leave blank to view all)</span></div>
                    <div class="">
                        <input type="text" name="data" class="formfield1" value="<% =pd.dohtmlencode(pd.getrequest("data"))%>" /></div>
                </div>
                <div class="td">
                    <div class="formheading">
                        Display</div>
                    <div class="">
                        <select size="1" name="perpage">
                            <option>25</option>
                            <option>50</option>
                            <option>100</option>
                            <option value="5000">ALL</option>
                        </select>
                    </div>
                </div>
                <div class="td">
                    <div class="formheading">
                        Search Type</div>
                    <div class="">
                        <select size="1" name="matchtype">
                            <option value="AND">ALL Words (AND)</option>
                            <option value="OR">Any Word (OR)</option>
                            <option value="">Exact Phrase</option>
                        </select>
                    </div>
                </div>
                <div class="tr">
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Start Search" />
                </div>
                </form>
            </div>
        </div>
    </div>
</asp:Content>
