﻿<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)
        'helppage = "help3.htm"

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then


            pd.OpenSetupDataReader("setupxml", "setup")

            If pd.ReadDataN("checkoutflow") = 1 Then checkoutflow1.Checked = True
            If pd.ReadDataN("checkoutflow") = 2 Then checkoutflow2.Checked = True
            If pd.ReadDataN("checkoutflow") = 3 Then checkoutflow3.Checked = True
            If pd.ReadDataN("checkoutflow") = 4 Then checkoutflow4.Checked = True
                 
            If pd.ReadDataN("shopflow") = 1 Then shopflow1.Checked = True
            If pd.ReadDataN("shopflow") = 2 Then shopflow2.Checked = True
            If pd.ReadDataN("shopflow") = 3 Then shopflow3.Checked = True
                 
            If pd.ReadData("shopcrumbs") = "ON" Then shopcrumbs1.Checked = True
            If pd.ReadData("optinen") = "ON" Then optinen.Checked = True
            If pd.ReadData("minicarten") = "ON" Then minicarten.Checked = True
            If pd.ReadData("clickterms") = "ON" Then clickterms.Checked = True
            
            If pd.ReadDataN("compen") = 0 Then compen0.Checked = True
            If pd.ReadDataN("compen") = 1 Then compen1.Checked = True
            If pd.ReadDataN("compen") = 2 Then compen2.Checked = True
            
            If pd.ReadDataN("notes3en") = 1 Then notes3en.Checked = True
            If pd.ReadDataN("notes4en") = 1 Then notes4en.Checked = True
            If pd.ReadDataN("notes5en") = 1 Then notes5en.Checked = True
            
            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "setup")

            If checkoutflow1.Checked = True Then pd.AddData("checkoutflow", 1, "N")
            If checkoutflow2.Checked = True Then pd.AddData("checkoutflow", 2, "N")
            If checkoutflow3.Checked = True Then pd.AddData("checkoutflow", 3, "N")
            If checkoutflow4.Checked = True Then pd.AddData("checkoutflow", 4, "N")
             
            If shopflow1.Checked = True Then pd.AddData("shopflow", 1, "N")
            If shopflow2.Checked = True Then pd.AddData("shopflow", 2, "N")
            If shopflow3.Checked = True Then pd.AddData("shopflow", 3, "N")
             
            If shopcrumbs1.Checked = True Then
                pd.AddData("shopcrumbs", "ON", "T")
            Else
                pd.AddData("shopcrumbs", "", "T")
            End If
             
            If optinen.Checked = True Then
                pd.AddData("optinen", "ON", "T")
            Else
                pd.AddData("optinen", "", "T")
            End If
                        
            If minicarten.Checked = True Then
                pd.AddData("minicarten", "ON", "T")
            Else
                pd.AddData("minicarten", "", "T")
            End If
                        
            If clickterms.Checked = True Then
                pd.AddData("clickterms", "ON", "T")
            Else
                pd.AddData("clickterms", "", "T")
            End If
            
            If compen0.Checked = True Then pd.AddData("compen", 0, "N")
            If compen1.Checked = True Then pd.AddData("compen", 1, "N")
            If compen2.Checked = True Then pd.AddData("compen", 2, "N")
            
            If notes3en.Checked = True Then
                pd.AddData("notes3en", 1, "N")
            Else
                pd.AddData("notes3en", 0, "N")
            End If
            If notes4en.Checked = True Then
                pd.AddData("notes4en", 1, "N")
            Else
                pd.AddData("notes4en", 0, "N")
            End If
            If notes5en.Checked = True Then
                pd.AddData("notes5en", 1, "N")
            Else
                pd.AddData("notes5en", 0, "N")
            End If
                        
            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                pd.formerror = "Changes Saved!"
                pd.clearpdshopcache()
                                  
            End If

        End If
         

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-checkout.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Checkout Settings</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    Checkout Flow</div>
                <div class="helptext">
                    Select from options below.&nbsp; Below determins whether or not customers can checkout
                    without registering, etc</div>
                <div class="inner_div">
                    <div class="radio_div">
                        <asp:RadioButton GroupName="checkoutflow" ID="checkoutflow1" runat="server" />Full
                        & Quick Checkout</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="checkoutflow" ID="checkoutflow2" runat="server" />Full
                        Checkout Only</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="checkoutflow" ID="checkoutflow3" runat="server" />Quick
                        Checkout Only</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="checkoutflow" ID="checkoutflow4" runat="server" />Only
                        Pre-registered customers</div>
                </div>
                <div class="pageheading2">
                    Shop Access</div>
                <div class="helptext">
                    Determins who can view your shop pages, products/services, etc</div>
                <div class="inner_div">
                    <div class="radio_div">
                        <asp:RadioButton GroupName="shopflow" ID="shopflow1" runat="server" />Normal (Anyone
                        can view your shop)</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="shopflow" ID="shopflow2" runat="server" />Only Registered
                        Users</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="shopflow" ID="shopflow3" runat="server" />Shop is Closed
                        (No Access)</div>
                    <div>
                        <div class="formheading">
                            <br />
                            Coming Soon/Closed Message</div>
                    </div>
                    <div>
                        <div class="formheading">
                            <a href="javascript: popeditor('other','storeclosed','500');">
                                <img src="img/butt-admin-edit.gif" /></a><a href="javascript: poptexteditor('other','storeclosed','500');"><img
                                    src="img/butt-admin-edittext.gif"></a></div>
                    </div>
                </div>
                <div class="pageheading2">
                    Click To Accept (Terms & Conditions)</div>
                <div class="inner_div">
                    <div class="check_div">
                        <asp:CheckBox ID="clickterms" runat="server" />Enable (Your customers will need
                        to "Accept" your terms and conditions before completing the order.)</div>
                    <div class="formheading">
                        <br />
                        Terms & Conditions Text</div>
                    <div class="formheading">
                        <a href="javascript: popeditor('other','coterms','500');">
                            <img src="img/butt-admin-edit.gif" alt="" /></a><a href="javascript: poptexteditor('other','coterms','500');"><img
                                src="img/butt-admin-edittext.gif" alt="" /></a></div>
                </div>
                <div class="pageheading2">
                    Mini Cart Summary</div>
                <div class="check_div">
                    <asp:CheckBox ID="minicarten" runat="server" />Enable (Show shopping cart summary)</div>
                <div class="pageheading2">
                    Breadcrumbs</div>
                <div class="check_div">
                    <asp:CheckBox ID="shopcrumbs1" runat="server" />Enable (Keep Shopping button returns
                    user to last page)</div>
                <div class="pageheading2">
                    B2B</div>
                <div class="helptext">
                    Select if you want Business/Company fields to appear on checkout forms.</div>
                <div class="inner_div">
                    <div class="radio_div">
                        <asp:RadioButton GroupName="compen" ID="compen0" runat="server" />No (Do not show
                        company fields)</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="compen" ID="compen1" runat="server" />Yes (But they
                        are Optional)</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="compen" ID="compen2" runat="server" />Yes (Required)</div>
                </div>
                <div class="pageheading2">
                    Newsletter Opt-In</div>
                <div class="check_div">
                    <asp:CheckBox ID="optinen" runat="server" />Enable (customers will see an option
                    for your Newsletter during registration)</div>
                <div class="pageheading2">
                    Customer/Checkout Notes</div>
                <div class="check_div">
                    <asp:CheckBox ID="notes3en" runat="server" />Enable Shopping Cart Notes (appears
                    on showcart.aspx page)</div>
                <div class="check_div">
                    <asp:CheckBox ID="notes4en" runat="server" />Enable Shipping Notes (appears on checkout3.aspx
                    page)</div>
                <div class="check_div">
                    <asp:CheckBox ID="notes5en" runat="server" />Enable Payment/Billing Notes (appears
                    on checkout4.aspx page)</div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
