<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            pd.OpenSetupDataReader("setupxml", "setup")

            If pd.ReadData("multicurren") = "ON" Then form_multicurren.Checked = True
            
            curr0a.Text = pd.ReadData("curr0a")
            
            If pd.ReadData("curr1") = "ON" Then curr1.Checked = True
            curr1a.Text = pd.ReadData("curr1a")
            curr1b.Text = pd.ReadDataN("curr1b")
            curr1c.Text = pd.ReadData("curr1c")
            curr1d.Text = pd.ReadData("curr1d")
            curr1e.Text = pd.ReadData("curr1e")
            curr1f.Text = pd.ReadData("curr1f")
            
            If pd.ReadData("curr2") = "ON" Then curr2.Checked = True
            curr2a.Text = pd.ReadData("curr2a")
            curr2b.Text = pd.ReadDataN("curr2b")
            curr2c.Text = pd.ReadData("curr2c")
            curr2d.Text = pd.ReadData("curr2d")
            curr2e.Text = pd.ReadData("curr2e")
            curr2f.Text = pd.ReadData("curr2f")

            
            If pd.ReadData("curr3") = "ON" Then curr3.Checked = True
            curr3a.Text = pd.ReadData("curr3a")
            curr3b.Text = pd.ReadDataN("curr3b")
            curr3c.Text = pd.ReadData("curr3c")
            curr3d.Text = pd.ReadData("curr3d")
            curr3e.Text = pd.ReadData("curr3e")
            curr3f.Text = pd.ReadData("curr3f")
            
            If pd.ReadData("curr4") = "ON" Then curr4.Checked = True
            curr4a.Text = pd.ReadData("curr4a")
            curr4b.Text = pd.ReadDataN("curr4b")
            curr4c.Text = pd.ReadData("curr4c")
            curr4d.Text = pd.ReadData("curr4d")
            curr4e.Text = pd.ReadData("curr4e")
            curr4f.Text = pd.ReadData("curr4f")
            
            
            pd.CloseData()
            

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "setup")

            'pd.AddFormData("multicurren", multicurren.Text, "Language", "T", 1, 25)
            If form_multicurren.Checked = True Then
                pd.AddData("multicurren", "ON", "T")
            Else
                pd.AddData("multicurren", "", "T")
            End If
            
            pd.AddFormData("curr0a", curr0a.Text, "Name", "T", 1, 10)
            
            If curr1.Checked = True Then
                pd.AddData("curr1", "ON", "T")
                pd.AddFormData("curr1a", curr1a.Text, "Name", "T", 1, 10)
                pd.AddFormData("curr1b", curr1b.Text, "Rate", "N", 0, 0)
                pd.AddFormData("curr1c", curr1c.Text, "Symbol", "T", 0, 5)
                pd.AddFormData("curr1d", curr1d.Text, "Separator", "T", 1, 1)
                pd.AddFormData("curr1e", curr1e.Text, "Decimal", "T", 1, 1)
                pd.AddFormData("curr1f", curr1f.Text, "Symbol", "T", 0, 5)
            Else
                pd.AddData("curr1", "", "T")
            End If
            
            If curr2.Checked = True Then
                pd.AddData("curr2", "ON", "T")
                pd.AddFormData("curr2a", curr2a.Text, "Name", "T", 1, 10)
                pd.AddFormData("curr2b", curr2b.Text, "Rate", "N", 0, 0)
                pd.AddFormData("curr2c", curr2c.Text, "Symbol", "T", 0, 5)
                pd.AddFormData("curr2d", curr2d.Text, "Separator", "T", 1, 1)
                pd.AddFormData("curr2e", curr2e.Text, "Decimal", "T", 1, 1)
                pd.AddFormData("curr2f", curr2f.Text, "Symbol", "T", 0, 5)
            Else
                pd.AddData("curr2", "", "T")
            End If
            
            
            If curr3.Checked = True Then
                pd.AddData("curr3", "ON", "T")
                pd.AddFormData("curr3a", curr3a.Text, "Name", "T", 1, 10)
                pd.AddFormData("curr3b", curr3b.Text, "Rate", "N", 0, 0)
                pd.AddFormData("curr3c", curr3c.Text, "Symbol", "T", 0, 5)
                pd.AddFormData("curr3d", curr3d.Text, "Separator", "T", 1, 1)
                pd.AddFormData("curr3e", curr3e.Text, "Decimal", "T", 1, 1)
                pd.AddFormData("curr3f", curr3f.Text, "Symbol", "T", 0, 5)
            Else
                pd.AddData("curr3", "", "T")
            End If
            
            If curr4.Checked = True Then
                pd.AddData("curr4", "ON", "T")
                pd.AddFormData("curr4a", curr4a.Text, "Name", "T", 1, 10)
                pd.AddFormData("curr4b", curr4b.Text, "Rate", "N", 0, 0)
                pd.AddFormData("curr4c", curr4c.Text, "Symbol", "T", 0, 5)
                pd.AddFormData("curr4d", curr4d.Text, "Separator", "T", 1, 1)
                pd.AddFormData("curr4e", curr4e.Text, "Decimal", "T", 1, 1)
                pd.AddFormData("curr4f", curr4f.Text, "Symbol", "T", 0, 5)
            Else
                pd.AddData("curr4", "", "T")
            End If
            

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                pd.formerror = "Changes Saved!"
                pd.clearpdshopcache()
                pd.gotonextpage()
                                 
            End If

        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-multicurrency.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Multi Currency</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    Enable Multi Currency</div>
                <div>
                    <div class="check_div">
                        <asp:CheckBox ID="form_multicurren" runat="server" />
                        Enable (Setup currencies below)
                    </div>
                </div>
                <div class="pageheading2">
                    Primary Currency</div>
                <div>
                    <div class="formheading">
                        Name:
                        <asp:TextBox class="formfieldnumber" ID="curr0a" runat="server" />
                    </div>
                </div>
                <div class="pageheading2">
                    Additional Currencies & Exchange Rates</div>
                <div>
                    <div class="td" style="width: 20px;">
                        &nbsp;
                    </div>
                    <div class="tds2head">
                        Display Name</div>
                    <div class="tds2head">
                        Exchange Rate</div>
                    <div class="tdshead">
                        1st Symbol</div>
                    <div class="tdshead">
                        Separator</div>
                    <div class="tdshead">
                        Decimal</div>
                    <div class="tds2head">
                        2nd Symbol</div>
                    <div class="tr">
                    </div>
                    <div class="td">
                        <asp:CheckBox ID="curr1" runat="server" />
                    </div>
                    <div class="tds2">
                        <asp:TextBox class="formfieldnumber" ID="curr1a" runat="server" />
                    </div>
                    <div class="tds2">
                        <asp:TextBox class="formfieldnumber" ID="curr1b" runat="server" />
                    </div>
                    <div class="tds">
                        <asp:TextBox class="formfield5" ID="curr1c" runat="server" />
                    </div>
                    <div class="tds">
                        <asp:TextBox class="formfield5" ID="curr1d" runat="server" />
                    </div>
                    <div class="tds">
                        <asp:TextBox class="formfield5" ID="curr1e" runat="server" />
                    </div>
                    <div class="tds2">
                        <asp:TextBox class="formfield5" ID="curr1f" runat="server" />
                    </div>
                    <div class="tr">
                    </div>
                    <div class="td">
                        <asp:CheckBox ID="curr2" runat="server" />
                    </div>
                    <div class="tds2">
                        <asp:TextBox class="formfieldnumber" ID="curr2a" runat="server" />
                    </div>
                    <div class="tds2">
                        <asp:TextBox class="formfieldnumber" ID="curr2b" runat="server" />
                    </div>
                    <div class="tds">
                        <asp:TextBox class="formfield5" ID="curr2c" runat="server" />
                    </div>
                    <div class="tds">
                        <asp:TextBox class="formfield5" ID="curr2d" runat="server" />
                    </div>
                    <div class="tds">
                        <asp:TextBox class="formfield5" ID="curr2e" runat="server" />
                    </div>
                    <div class="tds2">
                        <asp:TextBox class="formfield5" ID="curr2f" runat="server" />
                    </div>
                    <div class="tr">
                    </div>
                    <div class="td">
                        <asp:CheckBox ID="curr3" runat="server" />
                    </div>
                    <div class="tds2">
                        <asp:TextBox class="formfieldnumber" ID="curr3a" runat="server" />
                    </div>
                    <div class="tds2">
                        <asp:TextBox class="formfieldnumber" ID="curr3b" runat="server" />
                    </div>
                    <div class="tds">
                        <asp:TextBox class="formfield5" ID="curr3c" runat="server" />
                    </div>
                    <div class="tds">
                        <asp:TextBox class="formfield5" ID="curr3d" runat="server" />
                    </div>
                    <div class="tds">
                        <asp:TextBox class="formfield5" ID="curr3e" runat="server" />
                    </div>
                    <div class="tds2">
                        <asp:TextBox class="formfield5" ID="curr3f" runat="server" />
                    </div>
                    <div class="tr">
                    </div>
                    <div class="td">
                        <asp:CheckBox ID="curr4" runat="server" />
                    </div>
                    <div class="tds2">
                        <asp:TextBox class="formfieldnumber" ID="curr4a" runat="server" />
                    </div>
                    <div class="tds2">
                        <asp:TextBox class="formfieldnumber" ID="curr4b" runat="server" />
                    </div>
                    <div class="tds">
                        <asp:TextBox class="formfield5" ID="curr4c" runat="server" />
                    </div>
                    <div class="tds">
                        <asp:TextBox class="formfield5" ID="curr4d" runat="server" />
                    </div>
                    <div class="tds">
                        <asp:TextBox class="formfield5" ID="curr4e" runat="server" />
                    </div>
                    <div class="tds2">
                        <asp:TextBox class="formfield5" ID="curr4f" runat="server" />
                    </div>
                    <div class="tr">
                    </div>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
