<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, cfconfig, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
         
            pd.OpenSetupDataReader("setupxml", "setup")

            If pd.ReadData("reviewen") = "" Then reviewen1.Checked = True
            If pd.ReadData("reviewen") = "I" Then reviewen2.Checked = True
            If pd.ReadData("reviewen") = "A" Then reviewen3.Checked = True
                 
            If pd.ReadData("reviewapp") = "Y" Then reviewapp1.Checked = True
            If pd.ReadData("reviewapp") = "" Then reviewapp2.Checked = True
            form_reviewmax.Text = pd.ReadDataN("reviewmax")
                
            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "setup")
             
            If reviewen1.Checked = True Then pd.AddData("reviewen", "", "T")
            If reviewen2.Checked = True Then pd.AddData("reviewen", "I", "T")
            If reviewen3.Checked = True Then pd.AddData("reviewen", "A", "T")
                       
            If reviewapp1.Checked = True Then pd.AddData("reviewapp", "Y", "T")
            If reviewapp2.Checked = True Then pd.AddData("reviewapp", "", "T")
            pd.AddFormData("reviewmax", form_reviewmax.Text, "Maximum", "N", 0, 0)
                         
            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                pd.formerror = "Changes Saved!"
                 
                pd.gotonextpage()
                 
            End If
        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-reviews.aspx")
                    pd.createadmintab("Awaiting Approval", "editreview-pending.aspx")
                    pd.createadmintab("Approved", "editreview-approved.aspx")
                    pd.createadmintab("Rejected", "editreview-rejected.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Item/Product Reviews</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    Enable</div>
                <div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="reviewen" ID="reviewen1" runat="server" />Disabled (Customers
                        cannot write reviews)</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="reviewen" ID="reviewen2" runat="server" />Reviews allowed
                        (for specified items)</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="reviewen" ID="reviewen3" runat="server" />Reviews allowed
                        (All Items)</div>
                </div>
                <div class="pageheading2">
                    Review Length</div>
                <div class="formheading">
                    Maximum Number of Characters</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="form_reviewmax" runat="server" /></div>
                <div class="pageheading2">
                    Approval Process</div>
                <div class="radio_div">
                    <asp:RadioButton GroupName="reviewapp" ID="reviewapp1" runat="server" />Require
                    Approval</div>
                <div class="radio_div">
                    <asp:RadioButton GroupName="reviewapp" ID="reviewapp2" runat="server" />No approval
                    - all reviews will be displayed immediately</div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes"></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
