<%@ Page Language="VB" Explicit="False" MasterPageFile="mobiletemplate.master" %>

<%@ MasterType VirtualPath="mobiletemplate.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2012.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public catid, catname, catdesc, catlargeimage, catpgconfig As String
    Public catitemcount, subcatitemcount, catpagetype As Int32

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        pd.LoadPDshop()
         
        'Checks your Shop Access/Checkout settings.
        pd.VerifyShopAccess()

        catid = pd.getrequest("catid")
        If pd.checkInt(catid) = False Then pd.pdRedirect(pd.shopurl)

        'Not Used
        If Not (Page.IsPostBack) Then
        End If

        'Get Category
        pd.OpenDataReader("SELECT * FROM category WHERE id=" & pd.FormatSqlText(catid))
        If pd.ReadDataItem.Read Then
            catname = pd.ReadData("name")
            catsubof = pd.ReadDataN("subof")
            catactive = pd.ReadData("active")
            catdesc = pd.ReadData("shortdesc")
            catmetatitle = pd.ReadData("metatitle")
            catmetakeyw = pd.ReadData("metakeyw")
            catmetadesc = pd.ReadData("metadesc")
            catpagemax = pd.ReadDataN("pagemax")
            catpagetype = pd.ReadDataN("pagetype")
            catmaxcols = pd.ReadDataN("maxcols")
            catsortdir = pd.ReadDataN("sortdir")
            catpgconfig = pd.ReadData("pgconfig")
            catlargeimage = pd.ReadData("largeimage")
        Else
            pd.pdRedirect(pd.shopurl)
        End If
        pd.CloseData()
         
        'Override
        catmaxcols = 1
        catpagemax = 5
        pd.currentpgconfig = catpgconfig
        
        'If Category is not active, redirect
        If catactive = "No" Then pd.pdRedirect(pd.shopurl)
            
        'Set Search engine meta tags.
        If catmetatitle <> "" Then
            pd.pagetitle = catmetatitle
        End If
        If catmetakeyw <> "" Then
            pd.keywords = catmetakeyw
        End If
        If catmetadesc <> "" Then
            pd.sitedesc = catmetadesc
        End If

        'Get this Category tree (one-line horizontally)
        categorytreerepeater.DataSource = pd.bindsinglecategorytree(catid, catsubof)
        categorytreerepeater.DataBind()

        'Get Sub Categories
        subcategoryrepeater.DataSource = pd.bindsubcategories(catid)
        subcatitemcount = subcategoryrepeater.DataSource.Count
        subcategoryrepeater.DataBind()
        
        'Get Category Items
        columnrepeater.DataSource = pd.bindcategoryitems(catid, catpagemax)
        catitemcount = columnrepeater.DataSource.Count
        columnrepeater.RepeatColumns = catmaxcols
        columnrepeater.RepeatDirection = catsortdir
        columnrepeater.RepeatLayout = RepeatLayout.Table
        columnrepeater.GridLines = GridLines.None
        columnrepeater.DataBind()

        'Set Page Layout Type
        Master.pgtype = pd.pg5


    End Sub


</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <%= pd.startSection("hdcat")%>
    <div>
        <div class="catname">
            <asp:Repeater ID="categorytreerepeater" runat="server">
                <ItemTemplate>
                    <%# Container.DataItem("categoryname") %><span class="catdelim">&nbsp; &gt;&nbsp;
                    </span>
                </ItemTemplate>
            </asp:Repeater>
        </div>
        <div class="catname">
            <%=pd.DoHtmlEncode(catname)%></div>
    </div>
    <% = pd.EndSection()%>
    <%  If subcatitemcount > 0 Then%>
    <%= pd.startSection("heads12")%>
    <div>
        <asp:Repeater ID="subcategoryrepeater" runat="server">
            <ItemTemplate>
                <div class="subcats">
                    <%# Container.DataItem("subcategory") %></div>
                <div>
                    <img border="0" width="5" height="3" src="img/pixel.gif" alt="<%# Container.DataItem("name") %>" /></div>
            </ItemTemplate>
        </asp:Repeater>
    </div>
    <% = pd.EndSection()%>
    <%  End If%>
    <%  If catitemcount > 0 Then%>
    <%= pd.startSection("hdcatitems")%>
    <div>
        <div class="messages">
            <%=pd.getFormError()%></div>
        <asp:DataList ID="columnrepeater" runat="server" Style="table-layout: fixed;" ItemStyle-VerticalAlign="Top">
            <ItemTemplate>
                <div class="listname">
                    <%# Container.DataItem("itemname") %></div>
                <div>
                    <%# Container.DataItem("itemimage") %></div>
                <div class="listdesc">
                    <%# Container.DataItem("shortdesc") %></div>
                <div class="cartbuttons_container">
                    <%# Container.DataItem("buybutton") %>
                    <%# Container.DataItem("morebutton") %>
                </div>
                <div class="listitemno">
                    <%# Container.DataItem("itemno") %></div>
                <div class="listprice">
                    <%# Container.DataItem("itemprice") %></div>
                <div class="messages">
                    <%# Container.DataItem("stockmessage") %></div>
                <div>
                    <hr class="rowline" />
                </div>
            </ItemTemplate>
        </asp:DataList>
        <div class="paginglinks">
            <%=pd.paginglinks%></div>
    </div>
    <% =pd.endSection() %>
    <%  End If%>
</asp:Content>
