<%@ Page Language="VB" Explicit="False" MasterPageFile="mobiletemplate.master" %>

<%@ MasterType VirtualPath="mobiletemplate.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2012.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public listdownloadscount, listorderscount As Int32

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        pd.browserNoCache()
        pd.enforceSSL = True
        pd.LoadPDshop()
        
        'Check if using Order Link to Access
        orderid = pd.getrequest("id")
        orderkey = pd.getrequest("key")
        If IsNumeric(orderid) And Len(orderkey) > 10 Then
            If pd.isOrderKeyValid(orderid, orderkey) = "Yes" Then
                pd.pdRedirect("orderstatus_guest.aspx?orderid=" & orderid & "&key=" & orderkey)
            End If
        End If
         
        If Not (Page.IsPostBack) Then
            'Demo Mode
            If pd.shopdemomode = "Yes" Then
                captcha.Text = "123456"
                If pd.getCookie("demou") <> "" Then
                    email.Text = pd.getCookie("demou")
                End If
                If pd.getCookie("demoo") <> "" Then
                    orderno.Text = pd.getCookie("demoo")
                End If
            End If
        End If
       
        
        'Redirect Customer as needed
        If pd.isSignedIn() = "Yes" Then
            pd.pdRedirect("orderstatus_customer.aspx")
        End If

        If Page.IsPostBack Then
            
            'Check for invalid characters
            pd.formerror = pd.checkchr(email.Text, pd.getsystext("sys23"))
            pd.formerror = pd.formerror & pd.checkchr(orderno.Text, pd.getsystext("sys138"))
            
            'Verify Captcha Code
            If pd.passShopCaptcha(captcha.Text) = False Then
                pd.formerror = pd.formerror & pd.geterrtext("err71")
                captcha.Text = ""
            End If
            
            'Order Lookup, by Order No (and by Trasaction ID, for PayPal and Google Order numbers)
            If pd.formerror = "" Then
                
                If IsNumeric(orderno.Text) Then
                    pd.OpenDataReader("SELECT customer.email As custemail, orders.id, orders.billemail, orders.orderno, orders.customerid FROM orders LEFT JOIN customer ON customer.id=orders.customerid WHERE orderno=" & pd.FormatSqlText(orderno.Text) & " OR cctrxid='" & pd.FormatSqlText(orderno.Text) & "'")
                Else
                    pd.OpenDataReader("SELECT customer.email As custemail, orders.id, orders.billemail, orders.orderno, orders.customerid FROM orders LEFT JOIN customer ON customer.id=orders.customerid WHERE cctrxid='" & pd.FormatSqlText(orderno.Text) & "'")
                End If
                
                If pd.ReadDataItem.Read Then
                    orderid = pd.ReadDataN("id")
                    If pd.ReadDataN("customerid") > 0 Then
                        billemail = pd.ReadData("custemail")
                    Else
                        billemail = pd.ReadData("billemail")
                    End If
                    
                    If LCase(billemail) = LCase(email.Text) Then
                        redirecttoorder = "Y"
                    Else
                        pd.formerror = pd.geterrtext("err76")
                    End If
                Else
                    pd.formerror = pd.geterrtext("err76")
                End If
                pd.CloseData()
                
                'Redirect to Order (AS GUEST)
                If redirecttoorder = "Y" Then
                    pd.pdRedirect(pd.getorderlink(orderid))
                End If

            End If
            
        End If

        If Not Page.IsPostBack Then

        End If

        'Set Page Layout Type
        Master.pgtype = pd.pg9

    End Sub


</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <%= pd.startSection("heads36")%>
    <div>
        <form method="POST" id="aspnetForm" name="aspnetForm" runat="server">
        <input type="hidden" name="task" value="post" />
        <input type="hidden" name="refer" value="<%=pd.dohtmlencode(refer)%>" />
        <div class="messages">
            <%=pd.getFormError()%></div>
        <div class="formheadings">
            <%=pd.getsystext("sys23")%></div>
        <div>
            <asp:TextBox class="formfield" ID="email" runat="server" />
        </div>
        <div class="formheadings">
            <%= pd.getsystext("sys138")%></div>
        <div>
            <asp:TextBox class="formfield" ID="orderno" runat="server" />
        </div>
        <% If pd.shopcaptcha = "ON" Then%>
        <div>
            <div class="formheadings">
                <%=pd.getsystext("sys134")%>
            </div>
            <div>
                <asp:TextBox class="formfield3" ID="captcha" runat="server" />
            </div>
            <div style="padding: 10px;">
                <img src="captcha.aspx?rnum=<%=pd.getrandseq() %>" border="0" /></div>
            <% If pd.shopdemomode = "Yes" Then%>
            <div class="messages">
                Because this is a Demo, the 'Captcha' Verification Code has been entered
                for you.  This and other security features can be disabled.</div>
            <% End If%>
        </div>
        <% End If%>
        <div class="formbuttons_container">
            <%=pd.getButton("butts14","","","aspnetForm")%></div>
        </form>
    </div>
    <% = pd.EndSection()%>
    <%= pd.startSection("heads29")%>
    <div class="form_container">
        <div class="cartbuttons_container">
            <%=pd.getButton("butts2", "", pd.shopsslurl & "signin.aspx?refer=" & server.urlencode(refer),"")%></div>
    </div><% = pd.EndSection()%>
</asp:Content>
