<%@ Page Language="VB" Explicit="False" MasterPageFile="template.master" %>

<%@ MasterType VirtualPath="template.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2012.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public listdownloadscount, listorderscount As Int32

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDshop()

        'Check if using Order Link to Access
        orderid = pd.getrequest("orderid")
        orderkey = pd.getrequest("key")
        'If IsNumeric(orderid) And Len(orderkey) > 10 Then
        If pd.isOrderKeyValid(orderid, orderkey) = "No" Then
            pd.pdRedirect("signin.aspx")
        End If
        'End If

        'After calling the functions below, some Public Variables will then be available...
        pd.getOrderVariables("", orderid, "")

        'Get Customer Downloads
        listdownloads.DataSource = pd.bindcustomerdownloads(0, orderid)
        listdownloadscount = listdownloads.DataSource.Count
        listdownloads.DataBind()


        If Not (Page.IsPostBack) Then

        End If

        If Page.IsPostBack Then

        End If
        
        'Set Page Layout Type
        Master.pgtype = pd.pg9

    End Sub


</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <%= pd.startSection("heads8")%>
    <div>
        <form method="POST" id="aspnetForm" name="aspnetForm" runat="server">
        <div class="messages">
            <%=pd.getFormError()%></div>
        <div>
            <hr class="rowline">
        </div>
        <div>
            <div class="formheadings">
                <span class="formheadings2">
                    <%=pd.getsystext("sys65")%></span><br />
                <span class="cartdata">
                    <%=pd.iOrderno%></span><br />
                <br />
                <span class="formheadings2">
                    <%=pd.getsystext("sys67")%></span><br />
                <span class="cartdata">
                    <%=pd.sStatus%></span><br />
                <br />
                <% If pd.sCarriername <> "" Then%>
                <span class="formheadings2">
                    <%=pd.getsystext("sys40")%></span><br />
                <span class="cartdata">
                    <%=pd.sCarriername%>
                    <br />
                    <%=pd.sTracking%></span><br />
                <br />
                <% End If%>
                <% If pd.sNotes2 <> "" Then%>
                <span class="formheadings2">
                    <%=pd.getsystext("sys111")%></span><br />
                <span class="cartdata">
                    <%=pd.snotes2%></span><br />
                <br />
                <% End If%>
            </div>
            <div>
                <%= pd.getButton("butts26", "", "javascript: showwindow('popup_orderview.aspx?orderid=" & pd.iOrderid & "&key=" & pd.getOrderKey(pd.iOrderid) & "', " & pd.ordwinw & "," & pd.ordwinh & ", null)", "")%>
            </div>
        </div>
        <% If listdownloadscount > 0 Then%>
        <br />
        <div class="desktop_content">
        <asp:Repeater ID="listdownloads" runat="server">
            <HeaderTemplate>
                <hr class="rowline" />
                <div>
                    <div class="formheadings2 orderdownloadcolumn_1">
                        <%=pd.getsystext("sys65")%></div>
                    <div class="formheadings2 orderdownloadcolumn_2">
                        <%=pd.getsystext("sys1")%></div>
                    <div class="tr">
                    </div>
                </div>
                <hr class="rowline" />
            </HeaderTemplate>
            <ItemTemplate>
                <div>
                    <div class="cartdata orderdownloadcolumn_1">
                        <%# Container.DataItem("orderno") %></div>
                    <div class="cartdata orderdownloadcolumn_2">
                        <%# Container.DataItem("itemname") %></div>
                    <div class="cartdata orderdownloadcolumn_3">
                        <%# Container.DataItem("message") %><%# Container.DataItem("downloadbutton") %></div>
                    <div class="tr">
                    </div>
                </div>
            </ItemTemplate>
            <FooterTemplate>
            </FooterTemplate>
        </asp:Repeater>
        </div>
        <%End If%>
        </form>
    </div>
    <%= pd.endSection()%>
</asp:Content>
