<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, deleterecord, confirmdelete, helppage, hassubcats As String
    Public vsmallimage, vlargeimage As String

    Public pd As Object

    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

        'Get Record IDs
        id = pd.getrequest("id")

        'Check IDs
        If id <> "" Then
            If IsNumeric(id) = False Then
                id = ""
            End If
        End If

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            subof.DataSource = pd.Getcategorytree("DropDown")
            subof.DataBind()

            If id <> "" Then
                'Open Database, get values
                pd.OpenDataReader("SELECT * FROM category WHERE id=" & id)
                If pd.ReadDataItem.Read Then

                    'Text Inputs
                    name.Text = pd.ReadData("name")
                    listord.Text = pd.ReadDataN("listord")
                    pagemax.Text = pd.ReadDataN("pagemax")
                    maxcols.Text = pd.ReadDataN("maxcols")
                    metatitle.Text = pd.ReadData("metatitle")
                    smallimage.Text = pd.ReadData("smallimage")
                    largeimage.Text = pd.ReadData("largeimage")

                    'TextAreas
                    shortdesc.Value = pd.ReadData("shortdesc")
                    metadesc.Value = pd.ReadData("metadesc")
                    metakeyw.Value = pd.ReadData("metakeyw")
                    metaurl.Text = pd.ReadData("metaurl")
                    
                    'Drop Downs
                    active.SelectedIndex = active.Items.IndexOf(active.Items.FindByValue(pd.ReadData("active")))
                    subof.SelectedIndex = subof.Items.IndexOf(subof.Items.FindByValue(pd.ReadData("subof")))

                    'CheckBoxes
                    If pd.ReadDataN("pagetype") = 1 Or pd.ReadDataN("pagetype") = 0 Then pagetype1.Checked = True
                    If pd.ReadDataN("pagetype") = 2 Then pagetype2.Checked = True
                    If pd.ReadDataN("sortdir") = 0 Then sortdir0.Checked = True
                    If pd.ReadDataN("sortdir") = 1 Then sortdir1.Checked = True

                    If InStr(pd.ReadData("pgconfig"), "AC") > 0 Then pgconfigac.Checked = True
                    If InStr(pd.ReadData("pgconfig"), "MD") > 0 Then pgconfigmd.Checked = True
                    If InStr(pd.ReadData("pgconfig"), "SP") > 0 Then pgconfigsp.Checked = True
                    If InStr(pd.ReadData("pgconfig"), "SD") > 0 Then pgconfigsd.Checked = True
                    If InStr(pd.ReadData("pgconfig"), "SI") > 0 Then pgconfigsi.Checked = True
                    If InStr(pd.ReadData("pgconfig"), "ST") > 0 Then pgconfigst.Checked = True
                    If InStr(pd.ReadData("pgconfig"), "SS") > 0 Then pgconfigss.Checked = True
                    If InStr(pd.ReadData("pgconfig"), "SN") > 0 Then pgconfigsn.Checked = True
                    
                    If pd.ReadData("pgconfig") = "" Then
                        pgconfigac.Checked = True
                        pgconfigmd.Checked = True
                        pgconfigsp.Checked = True
                        pgconfigsd.Checked = True
                        pgconfigsi.Checked = True
                        pgconfigst.Checked = True
                        pgconfigss.Checked = True
                        pgconfigsn.Checked = True
                    Else
                        'Pre V2 backward compatibility
                        If InStr(pd.ReadData("pgconfig"), "V2") = 0 Then
                            pgconfigss.Checked = True
                            pgconfigsn.Checked = True
                        End If
                    End If
                    
                  
                    'Custom Page URL
                    tempurl.Text = pd.getcategoryurl(id, name.Text, metaurl.Text)
                    
                    If pd.demomode = "Yes" Then
                        tempurl.Text = "http://your domain name here/your-unique-url-to-page-here/"
                    End If
                    
                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()
                
                'Check for Sub Categories
                pd.OpenDataReader("SELECT id FROM category WHERE subof=" & id)
                If pd.ReadDataItem.Read Then
                    hassubcats = "Y"
                End If
                pd.CloseData()
                
            Else
                'Default values when adding new record.
                'Text Input
                listord.Text = 0
                pagemax.Text = 10
                maxcols.Text = 2
                 
                pagetype1.Checked = True
                sortdir0.Checked = True
                pgconfigac.Checked = True
                pgconfigmd.Checked = True
                pgconfigsp.Checked = True
                pgconfigsd.Checked = True
                pgconfigsi.Checked = True
                pgconfigst.Checked = True
                pgconfigss.Checked = True
                pgconfigsn.Checked = True
                
            End If

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            If id = "" Then
                
                'Make sure no duplicate Urls exists.             
                If pd.urlrewriteon = "ON" And Len(metaurl.Text) > 0 Then
                    pd.OpenDataReader("SELECT id FROM category WHERE metaurl='" & pd.FormatSqlText(metaurl.Text) & "'")
                    If pd.ReadDataItem.Read Then
                        pd.formerror = "Friendly Url Name already used, Item cannot be updated!"
                    End If
                    pd.CloseData()
                End If
                
                'Add New Record
                pd.OpenDataWriter("category")
                
            Else
                                
                'Make sure no duplicate Urls exists.             
                If pd.urlrewriteon = "ON" And Len(metaurl.Text) > 0 Then
                    pd.OpenDataReader("SELECT id FROM category WHERE id<>" & id & " AND metaurl='" & pd.FormatSqlText(metaurl.Text) & "'")
                    If pd.ReadDataItem.Read Then
                        pd.formerror = "Friendly Url Name already used, Item cannot be updated!"
                    End If
                    pd.CloseData()
                End If
                
                'Update Existing Record
                pd.OpenDataWriter("category WHERE id=" & id)
            End If

            'Text Input
            pd.AddFormData("name", name.Text, "Name", "T", 1, 50)
            pd.AddFormData("listord", listord.Text, "List Order", "N", 0, 0)
            pd.AddFormData("pagemax", pagemax.Text, "Page Max", "N", 0, 0)
            pd.AddFormData("maxcols", maxcols.Text, "Columns", "N", 0, 0)
            pd.AddFormData("metatitle", metatitle.Text, "Meta Name", "T", 0, 100)
             
            pd.AddFormData("smallimage", smallimage.Text, "Thumbnail", "T", 0, 255)
            pd.AddFormData("largeimage", largeimage.Text, "Large Image", "T", 0, 255)

            'Text Areas
            pd.AddFormData("shortdesc", shortdesc.Value, "Short Description", "T", 0, 255)
            pd.AddFormData("metadesc", metadesc.Value, "Meta Description", "T", 0, 255)
            pd.AddFormData("metakeyw", metakeyw.Value, "Meta Keywords", "T", 0, 255)
            
            If pd.urlrewriteon = "ON" Then
                metaurl.Text = pd.checkmetaurl(metaurl.Text)
                pd.AddFormData("metaurl", metaurl.Text, "Meta Url-ReWrite", "T", 0, 100)
            End If
            
            'Drop Downs
            pd.AddFormData("subof", subof.SelectedItem.Value, "", "T", 0, 50)
            pd.AddFormData("active", active.SelectedItem.Value, "", "T", 0, 50)

            'Check Boxes
            If pagetype1.Checked = True Then
                pd.AddData("pagetype", "1", "N")
            Else
                pd.AddData("pagetype", "2", "N")
            End If
             
            If sortdir1.Checked = True Then
                pd.AddData("sortdir", "1", "N")
            Else
                pd.AddData("sortdir", "0", "N")
            End If

            temppgconfig = "V2," 'Value must include V2 for SS & SN backward compatibility
            If pgconfigac.Checked = True Then temppgconfig = temppgconfig & "AC,"
            If pgconfigmd.Checked = True Then temppgconfig = temppgconfig & "MD,"
            If pgconfigsp.Checked = True Then temppgconfig = temppgconfig & "SP,"
            If pgconfigsd.Checked = True Then temppgconfig = temppgconfig & "SD,"
            If pgconfigsi.Checked = True Then temppgconfig = temppgconfig & "SI,"
            If pgconfigst.Checked = True Then temppgconfig = temppgconfig & "ST,"
            If pgconfigss.Checked = True Then temppgconfig = temppgconfig & "SS,"
            If pgconfigsn.Checked = True Then temppgconfig = temppgconfig & "SN,"
            pd.AddData("pgconfig", temppgconfig, "T")

            'Check Parent Category, make sure it is not a SubCategory of this Category.
            If IsNumeric(id) And IsNumeric(subof.SelectedItem.Value) Then
                pd.formerror = pd.formerror & pd.checkforcategoryconflict(id, subof.SelectedItem.Value)
            End If
            
            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then
                Dim tempid As Int32
                tempid = pd.SaveData()
                If tempid > 0 Then id = tempid
                pd.formerror = "Record Saved!"
                pd.clearpdshopcache()
                
                'Custom Page URL
                tempurl.Text = pd.getcategoryurl(id, name.Text, metaurl.Text)
                 
                If pd.demomode = "Yes" Then
                    tempurl.Text = "http://your domain name here/your-unique-url-to-page-here/"
                End If
                
                pd.gotonextpage()
                 
            End If

        End If
        
        'Delete Record (and related records in other tables)
        If id <> "" And deleterecord = "yes" And confirmdelete = "yes" And pd.adminlevel = 1 Then
            
            'Perform Delete
            pd.sqlexecute("DELETE FROM category WHERE id=" & id)
            pd.sqlexecute("DELETE FROM catlinks WHERE catid=" & id)
            pd.formerror = "Record Deleted!"
            id = ""
            deleterecord = "done"
        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If deleterecord = "done" Then%>
    <script type="text/javascript">
        {
            pdshopalert('Category has been Deleted!', 'editcat.aspx');
        }
    </script>
    <%End If%>
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id%>" />
            <div>
                <%
                    pd.createadmintab("Details", "editcat.aspx?id=" & id)
                    pd.createadmintab("Category Items", "editcat-items.aspx?id=" & id)
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Category</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <% If deleterecord = "yes" Then%>
                <div class="message">
                    Are you sure you want to delete?<br />
                    <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
                    <a href="?id=<%=id%>">NO</a></div>
                <% End If%>
                <div class="formheading">
                    Name</div>
                <div>
                    <asp:TextBox class="formfield1" ID="name" runat="server" /></div>
                <div class="formheading">
                    URL to this Category</div>
                <div>
                    <asp:TextBox ReadOnly="true" class="roformfield6" ID="tempurl" runat="server" /></div>
                <div>
                    <div class="formheading">
                        Active</div>
                    <div>
                        <asp:DropDownList ID="active" runat="server">
                            <asp:ListItem Value="Yes" Text="Yes" />
                            <asp:ListItem Value="No" Text="No" />
                        </asp:DropDownList>
                    </div>
                </div>
                <div class="formheading">
                    Parent Category</div>
                <div>
                    <asp:DropDownList ID="subof" runat="server" DataValueField="id" DataTextField="listname" />
                </div>
                <div class="formheading">
                    Short Description</div>
                <div>
                    <textarea class="formtextarea" rows="6" id="shortdesc" cols="55"  
                        runat="server" /></div>
                <div class="formheading">
                    List Order</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="listord" runat="server" /></div>
                <div class="formheading">
                    Detailed Description</div>
                <div class="formheading">
                    <a href="javascript: popeditor('category','<%=id%>','500')">
                        <img src="img/butt-admin-edit.gif"></a> Edit with Content Editor</div>
                <div class="formheading">
                    <a href="javascript: poptexteditor('category','<%=id%>','500')">
                        <img src="img/butt-admin-edittext.gif"></a> Edit as Plain Text/Raw HTML</div>
                <div class="pageheading2">
                    Images</div>
                <div class="formheading">
                    Thumbnail Image</div>
                <div>
                    <asp:TextBox class="formfield1" ID="smallimage" runat="server" /><a href="javascript: insertimage('smallimage')"><img
                        align="middle" border="0" src="img/pd_image.gif" alt="Insert Image (from 'images' folder)"></a><a
                            href="javascript: uploadimage('smallimage')"><img align="middle" border="0" src="img/pd_disk.gif"
                                alt="Upload Image"></a></div>
                <div class="formheading">
                    Large Image</div>
                <div>
                    <asp:TextBox class="formfield1" ID="largeimage" runat="server" /><a href="javascript: insertimage('largeimage')"><img
                        align="middle" border="0" src="img/pd_image.gif" alt="Insert Image (from 'images' folder)"></a><a
                            href="javascript: uploadimage('largeimage')"><img align="middle" border="0" src="img/pd_disk.gif"
                                alt="Upload Image"></a></div>
                <div class="pageheading2">
                    Item Settings</div>
                <div class="formheading">
                    Max Per Page</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="pagemax" runat="server" /></div>
                <div class="pageheading2">
                    Page Style</div>
                <div class="radio_div">
                    <asp:RadioButton GroupName="pagetype" ID="pagetype1" runat="server" />Standard List</div>
                <div class="radio_div">
                    <asp:RadioButton GroupName="pagetype" ID="pagetype2" runat="server" />Column</div>
                <div class="formheading">
                    &nbsp;&nbsp;&nbsp;&nbsp;Maximum # of Columns</div>
                <div>
                    &nbsp;&nbsp;<asp:TextBox class="formfieldnumber" ID="maxcols" runat="server" /></div>
                <div class="formheading">
                    Sort Direction</div>
                <div class="radio_div">
                    <asp:RadioButton GroupName="sortdir" ID="sortdir0" runat="server" />Horizontal (from
                    Left-Right)</div>
                <div class="radio_div">
                    <asp:RadioButton GroupName="sortdir" ID="sortdir1" runat="server" />Vertical (from
                    Top-bottom)</div>
                <div>
                    <div class="check_div">
                        <asp:CheckBox ID="pgconfigac" runat="server" />Show 'Add to Cart' button?</div>
                    <div class="check_div">
                        <asp:CheckBox ID="pgconfigmd" runat="server" />Show 'More Details' button?</div>
                    <div class="check_div">
                        <asp:CheckBox ID="pgconfigsp" runat="server" />Show Price?</div>
                    <div class="check_div">
                        <asp:CheckBox ID="pgconfigsd" runat="server" />Show Description?</div>
                    <div class="check_div">
                        <asp:CheckBox ID="pgconfigss" runat="server" />Show In/Out Stock Messages?</div>
                    <div class="check_div">
                        <asp:CheckBox ID="pgconfigsi" runat="server" />Show Item No?</div>
                    <div class="check_div">
                        <asp:CheckBox ID="pgconfigsn" runat="server" />Show Item Name?</div>
                    <div class="check_div">
                        <asp:CheckBox ID="pgconfigst" runat="server" />Show Thumbnail?</div>
                </div>
                <div class="pageheading2">
                    Meta Tags</div>
                <div class="helptext">
                    Optional information that will appear in search engine listings.</div>
                <div class="formheading">
                    Page Title</div>
                <div>
                    <asp:TextBox class="formfield1" ID="metatitle" runat="server" /></div>
                <div class="formheading">
                    Page Description</div>
                <div>
                    <textarea class="formtextarea" rows="6" id="metadesc" cols="55"   runat="server" /></div>
                <div class="formheading">
                    Keywords</div>
                <div>
                    <textarea class="formtextarea" rows="3" id="metakeyw" cols="55"   runat="server" /></div>
                <% If pd.urlrewriteon = "ON" Then%>
                <div class="formheading">
                    Re-Write/Friendly Url Name</div>
                <div>
                    <asp:TextBox class="formfield6" ID="metaurl" runat="server" /></div>
                <div class="helptext">
                    Optional folder/Path, for example entering "your-category-name" would mean the Url
                    would be similiar to this "www.yourshop.com/page.aspx/your-category-name/"</div>
                <% End If%>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
                <% If pd.adminlevel = 1 And id <> "" And hassubcats <> "Y" Then%>
                <div class="check_div">
                    <input type="checkbox" name="deleterecord" value="yes" />Delete this Category?</div>
                <% End If%>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
