<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, deleterecord, confirmdelete, helppage As String
    Public vsmallimage, vlargeimage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

        'Get Record IDs
        id = pd.getrequest("id")

        'Check IDs
        If IsNumeric(id) = False Then
            id = ""
        End If

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            If id <> "" Then
             
                'Open Database, get values
                pd.OpenDataReader("SELECT * FROM items WHERE id=" & id)
                If pd.ReadDataItem.Read Then

                    'Text Inputs
                    name.Text = pd.ReadData("name")
                    itemno.Text = pd.ReadData("itemno")
                     
                    price.Text = pd.ReadDataC("price")
                    saleprice.Text = pd.ReadDataC("saleprice")
                    price1.Text = pd.ReadDataC("price1")
                    saleprice1.Text = pd.ReadDataC("saleprice1")
                    price2.Text = pd.ReadDataC("price2")
                    saleprice2.Text = pd.ReadDataC("saleprice2")
                     
                    vsmallimage = pd.ReadData("smallimage")
                    vlargeimage = pd.ReadData("largeimage")
                                          
                    onsale.SelectedIndex = onsale.Items.IndexOf(onsale.Items.FindByValue(pd.ReadData("onsale")))
                    onsale1.SelectedIndex = onsale1.Items.IndexOf(onsale1.Items.FindByValue(pd.ReadData("onsale1")))
                    onsale2.SelectedIndex = onsale2.Items.IndexOf(onsale2.Items.FindByValue(pd.ReadData("onsale2")))
                    If pd.ReadData("altprices") = "ON" Then altprices.Checked = True

                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()
              
            Else
                price.Text = pd.showNumC(0)
                saleprice.Text = pd.showNumC(0)
                price1.Text = pd.showNumC(0)
                saleprice1.Text = pd.showNumC(0)
                price2.Text = pd.showNumC(0)
                saleprice2.Text = pd.showNumC(0)
                onsale1.SelectedIndex = onsale1.Items.IndexOf(onsale1.Items.FindByValue("0"))
                onsale2.SelectedIndex = onsale2.Items.IndexOf(onsale2.Items.FindByValue("0"))

            End If

        End If
  
        If Page.IsPostBack Then
        
            'Prepare Database - Set array to Add or Update data
            If id = "" Then
                'Add New Record
                pd.OpenDataWriter("items")
            Else
                'Update Existing Record
                pd.OpenDataWriter("items WHERE id=" & id)
            End If

            pd.AddFormData("price", price.Text, "Price", "C", 1, 50)
            pd.AddFormData("saleprice", saleprice.Text, "Sale Price", "C", 1, 50)
            pd.AddFormData("price1", price1.Text, "Price", "C", 1, 50)
            pd.AddFormData("saleprice1", saleprice1.Text, "Sale Price", "C", 1, 50)
            pd.AddFormData("price2", price2.Text, "Price", "C", 1, 50)
            pd.AddFormData("saleprice2", saleprice2.Text, "Sale Price", "C", 1, 50)
             
            pd.AddFormData("onsale", onsale.SelectedItem.Value, "", "T", 0, 50)
            pd.AddFormData("onsale1", onsale1.SelectedItem.Value, "", "T", 0, 50)
            pd.AddFormData("onsale2", onsale2.SelectedItem.Value, "", "T", 0, 50)

            If altprices.Checked = True Then
                pd.AddData("altprices", "ON", "T")
            Else
                pd.AddData("altprices", "", "T")
            End If

            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then
                pd.SaveData()
                pd.formerror = "Record Saved!"
                 
                pd.gotonextpage()
                 
            End If
             
        End If
        
        
        If IsNumeric(id) Then
            
            'Open Database, get values
            pd.OpenDataReader("SELECT * FROM items WHERE id=" & id)
            If pd.ReadDataItem.Read Then

                'Text Inputs
                name.Text = pd.ReadData("name")
                itemno.Text = pd.ReadData("itemno")
                vsmallimage = pd.ReadData("smallimage")
                vlargeimage = pd.ReadData("largeimage")

            Else
                pd.showErrorMessage("Record Not Found")
            End If
            pd.CloseData()
         
        End If
        
          
        'Only show locally hosted images
        If Left(LCase(vsmallimage), 4) = "http" Then vsmallimage = ""
        If Left(LCase(vlargeimage), 4) = "http" Then vlargeimage = ""
        
    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id %>" />
            <div>
                <%
                    pd.createadmintab("Details", "edititem.aspx?id=" & id)
                    pd.createadmintab("Categories", "edititem-category.aspx?id=" & id)
                    pd.createadmintab("Images", "edititem-images.aspx?id=" & id)
                    pd.createadmintab("Options", "edititem-options.aspx?id=" & id)
                    pd.createadmintab("Discounts", "edititem-discounts.aspx?id=" & id)
                    pd.createadmintab("Related Items", "edititem-related.aspx?id=" & id)
                    pd.createadmintab("Reviews", "edititem-reviews.aspx?id=" & id)
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div id="theimages">
                    <% If vsmallimage <> "" Then%><a href="javascript: popuphelp('../images/<%=vsmallimage%>')"><img
                        id="imgthumb" alt="Thumbnail Image: '<%=vsmallimage%>'" src="../images/<%=vsmallimage%>" /></a>
                    <% End If%>
                    <% If vlargeimage <> "" Then%><a href="javascript: popuphelp('../images/<%=vlargeimage%>')"><img
                        id="imglarge" alt="Large Image: '<%=vlargeimage%>'" src="../images/<%=vlargeimage%>" /></a>
                    <% End If%>
                </div>
                <div class="pageheading1">
                    Item/Product Details</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="formheading">
                    Item No</div>
                <div>
                    <asp:TextBox class="roformfield2" ReadOnly="true" ID="itemno" runat="server" /></div>
                <div class="formheading">
                    Item Name
                </div>
                <div>
                    <asp:TextBox class="roformfield4" ReadOnly="true" ID="name" runat="server" /></div>
                <div class="pageheading2">
                    Customer based Pricing</div>
                <div>
                    <div class="check_div">
                        <asp:CheckBox ID="altprices" runat="server" />Enable Customer Pricing?</div>
                </div>
                <div>
                    <div class="tdshead">
                        Customer Level</div>
                    <div class="tdshead">
                        Price</div>
                    <div class="tdshead">
                        Sale Price</div>
                    <div class="tdshead">
                        On Sale?</div>
                    <div class="tr">
                    </div>
                    <div class="tds">
                        Regular</div>
                    <div class="tds">
                        <asp:TextBox class="formfieldnumber" ID="price" runat="server" /></div>
                    <div class="tds">
                        <asp:TextBox class="formfieldnumber" ID="saleprice" runat="server" /></div>
                    <div class="tds">
                        <asp:DropDownList ID="onsale" runat="server">
                            <asp:ListItem Value="Yes" Text="Yes" />
                            <asp:ListItem Value="No" Text="No" />
                        </asp:DropDownList>
                    </div>
                    <div class="tr">
                    </div>
                    <div class="tds">
                        Level 1</div>
                    <div class="tds">
                        <asp:TextBox class="formfieldnumber" ID="price1" runat="server" /></div>
                    <div class="tds">
                        <asp:TextBox class="formfieldnumber" ID="saleprice1" runat="server" /></div>
                    <div class="tds">
                        <asp:DropDownList ID="onsale1" runat="server">
                            <asp:ListItem Value="Yes" Text="Yes" />
                            <asp:ListItem Value="No" Text="No" />
                        </asp:DropDownList>
                    </div>
                    <div class="tr">
                    </div>
                    <div class="tds">
                        Level 2</div>
                    <div class="tds">
                        <asp:TextBox class="formfieldnumber" ID="price2" runat="server" /></div>
                    <div class="tds">
                        <asp:TextBox class="formfieldnumber" ID="saleprice2" runat="server" /></div>
                    <div class="tds">
                        <asp:DropDownList ID="onsale2" runat="server">
                            <asp:ListItem Value="Yes" Text="Yes" />
                            <asp:ListItem Value="No" Text="No" />
                        </asp:DropDownList>
                    </div>
                    <div class="tr">
                    </div>
                </div>
                <div class="pageheading2">
                    Quantity based Pricing</div>
                <div class="helptext">
                    Below are this item's Quantity based Prices/Discount</div>
                <div class="inner_div">
                    <%
                        If id <> "" Then
                            'Item Prices (QTY Discounts)
                            xcount = 0
                            pd.OpenDataReader("SELECT * FROM itemprices WHERE itemid=" & id & " ORDER BY fromqty")
                            Do While pd.ReadDataItem.read
                                xcount = xcount + 1
                                recid = pd.ReadDataN("id")

                                If pd.ReadDataN("method") = 0 Then
                                    showitemprice = pd.showcurr(pd.ReadDataN2("price")) & " / " & pd.showcurr(pd.ReadDataN2("saleprice"))
                                Else
                                    showitemprice = pd.ReadDataN2("discpct") & " %"
                                End If

                    %>
                    <% If xcount = 1 Then%>
                    <div class="tdshead">
                        Range</div>
                    <div class="tdmhead">
                        Prices/Discount</div>
                    <div class="tr">
                    </div>
                    <% End If%>
                    <div class="tds">
                        <a href="javascript: edititemprice('<%=id%>','<%=recid%>')">
                            <%=pd.ReadDataN2("fromqty")%>
                            -
                            <%=pd.ReadDataN2("toqty")%>
                        </a>
                    </div>
                    <div class="tdm">
                        <a href="javascript: edititemprice('<%=id%>','<%=recid%>')">
                            <%=showitemprice%></a></div>
                    <div class="tr">
                    </div>
                    <%
                    Loop
                    pd.CloseData()
                End If
                    %>
                    <div class="button_div">
                        <input type="button" class="formbutton" onclick="edititemprice('<%=id%>','')" value="Add Discount"></div>
                </div>
                <% If pd.disc2en = 0 Then%>
                <div class="message">
                    NOTE: Quantity Based Discounts are not enabled. Be sure you enable this feature
                    on the main <a href="Javascript: <%=pd.nextpagefunction%>('setup-discounts.aspx')">Discount
                        Settings</a> page.&nbsp;</div>
                <% End If%>
                <div class="formbutton_div">
                    <asp:Button ID="Button1" class="formbutton" Text="Save Changes" runat="server" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
