<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, customerid, deleterecord, confirmdelete, helppage As String
    Public taxstatus As Integer
    Public vsmallimage, vlargeimage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

        'Get Record IDs
        id = pd.getrequest("id")

        'Check IDs
        If IsNumeric(id) = False Then
            id = ""
        End If

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            If id <> "" Then

                'Open Database, get values
                pd.OpenDataReader("SELECT * FROM orders WHERE id=" & id)
                If pd.ReadDataItem.Read Then
                 
                    name.Text = pd.ReadData("billname")
                    If pd.compen > 0 Then
                        company.Text = pd.ReadData("billcompany")
                    End If
                    email.Text = pd.ReadData("billemail")
                    phone.Text = pd.ReadData("billphone")
                    street1.Text = pd.ReadData("billstreet1")
                    street2.Text = pd.ReadData("billstreet2")
                    city.Text = pd.ReadData("billcity")
                    zip.Text = pd.ReadData("billzip")
                    state.Text = pd.ReadData("billstate")
                    country.Text = pd.ReadData("billcountry")
                 
                    customerid = pd.ReadDataN("customerid")
                    orderno.Text = pd.ReadDataN("orderno")
                    orderdate.Text = pd.ReadDataD("orderdate")
                    ordertime.Text = pd.ReadDataT("ordertime")
                    cctype.Text = pd.ReadData("cctype")
                    If pd.adminlevel < 3 Then
                        ccardno.Text = pd.ReadDataX("ccardno") 'Encrypted Data
                        If pd.savecardcodes = "ON" Then cccode.Text = pd.ReadData("cccode")
                        expmonth.Text = pd.ReadData("expmonth")
                        expyear.Text = pd.ReadData("expyear")
                    End If
                    ccnoc.Text = pd.ReadData("ccnoc")
                    ccapproval.Text = pd.ReadData("ccapproval")
                    cctrxid.Text = pd.ReadData("cctrxid")
                    affillink.Text = pd.ReadData("affillink")
                    salestax.Text = pd.ReadDataN("salestax")
                    disccode.Text = pd.ReadData("disccode")
                    discpct.Text = pd.ReadDataN("discpct")
                    discamt.Text = pd.ReadDataC("discamt")
                    giftcode.Text = pd.ReadData("giftcode")
                    giftamt.Text = pd.ReadDataC("giftamt")
                    tempordstatus = pd.ReadData("status")
                    orderstatus.Text = pd.ReadData("status")
                    taxstatus = pd.ReadDataN("taxstatus")
                    salestaxamt.Text = pd.ReadDataC("salestaxamt")

                Else
                    pd.showErrorMessage("Record Not Found")
                    tempordstatus = ""
                End If
                pd.CloseData()


                'Backward compatibility, get Customer Record if needed
                If customerid > 0 And email.Text = "" And phone.Text = "" Then

                    pd.OpenDataReader("SELECT * FROM customer WHERE id=" & customerid)
                    If pd.ReadDataItem.Read Then
                    
                        name.Text = pd.ReadData("name")
                        If pd.compen > 0 Then
                            company.Text = pd.ReadData("company")
                        End If
                        email.Text = pd.ReadData("email")
                        phone.Text = pd.ReadData("phone")
                        street1.Text = pd.ReadData("street1")
                        street2.Text = pd.ReadData("street2")
                        city.Text = pd.ReadData("city")
                        zip.Text = pd.ReadData("zip")
                        state.Text = pd.ReadData("state")
                        country.Text = pd.ReadData("country")

                    Else
                        pd.formerror = "Customer Record Not Found!"
                        
                    End If
                    pd.CloseData()
                End If

                'Handle Incomplete orders
                If tempordstatus = "Incomplete" Then pd.pdRedirect("editorderstatus.aspx?id=" & id)

            Else
                'Default values when adding new record.

            End If

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            If id = "" Then
                'Add New Record
                pd.OpenDataWriter("orders")
            Else
                'Update Existing Record
                pd.OpenDataWriter("orders WHERE id=" & id)
            End If

            pd.AddFormData("billname", name.Text, "Name", "T", 1, 50)
            If pd.compen = 1 Then
                pd.AddFormData("billcompany", company.Text, pd.getsystext("sys147"), "T", 0, 50)
            End If
            If pd.compen = 2 Then
                pd.AddFormData("billcompany", company.Text, pd.getsystext("sys147"), "T", 5, 50)
            End If
            pd.AddFormData("billstreet1", street1.Text, "Street1", "T", 0, 50)
            pd.AddFormData("billstreet2", street2.Text, "Street2", "T", 0, 50)
            pd.AddFormData("billcity", city.Text, "City", "T", 0, 50)
            pd.AddFormData("billzip", zip.Text, "Zip", "T", 0, 50)
            pd.AddFormData("billstate", state.Text, "State", "T", 0, 50)
            pd.AddFormData("billcountry", country.Text, "Country", "T", 0, 50)
                  
            pd.AddFormData("billemail", email.Text, "Email", "E", 5, 50)
            pd.AddFormData("billphone", phone.Text, "Phone", "T", 0, 50)
                  
            If pd.adminlevel < 3 Then
                pd.AddFormData("ccardno", ccardno.Text, "Card Number", "X", 0, 25)
                pd.AddFormData("expmonth", expmonth.Text, "", "T", 0, 50)
                pd.AddFormData("expyear", expyear.Text, "", "T", 0, 50)
                If pd.savecardcodes = "ON" Then pd.AddFormData("cccode", cccode.Text, "Code", "T", 0, 4)
            End If
                  
            pd.AddFormData("ccnoc", ccnoc.Text, "Name on Card", "T", 0, 50)
            pd.AddFormData("ccapproval", ccapproval.Text, "Approval Code", "T", 0, 50)
            pd.AddFormData("cctrxid", cctrxid.Text, "Transaction ID", "T", 0, 50)
            pd.AddFormData("cctype", cctype.Text, "Payment Type", "T", 0, 50)
            pd.AddFormData("affillink", affillink.Text, "Affiliate ID", "T", 0, 50)

            If Len(salestax.Text) > 0 Then
                pd.AddFormData("salestax", salestax.Text, "Tax", "N", 0, 0)
            End If

            pd.AddFormData("disccode", disccode.Text, "Discount Code", "T", 0, 50)
            pd.AddFormData("discpct", discpct.Text, "Discount Pct", "N", 0, 0)
            pd.AddFormData("discamt", discamt.Text, "Discount Amount", "C", 0, 0)
            pd.AddFormData("giftcode", giftcode.Text, "Gift Cert. Code", "T", 0, 50)
            pd.AddFormData("giftamt", giftamt.Text, "Gift Cert. Amount", "C", 0, 0)

 
            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then
                Dim tempid As Int32
                tempid = pd.SaveData()
                If tempid > 0 Then id = tempid
                pd.formerror = "Record Saved!"
                 
                pd.gotonextpage()
                 
            End If

        End If


        If IsNumeric(id) Then

            removesalestax = 0
            
            pd.OpenDataReader("SELECT * FROM orders WHERE id=" & id)
            If pd.ReadDataItem.Read Then
                customerid = pd.ReadDataN("customerid")
                salestaxamt.Text = pd.ReadDataC("salestaxamt")
                taxstatus = pd.ReadDataN("taxstatus")
                salestax.Text = pd.ReadDataN("salestax")
                
                If pd.ReadDataN("salestax") > 0 And pd.ReadDataN("salestaxamt") > 0 Then
                    removesalestax = 1
                End If
                
            End If
            pd.CloseData()
            
            If removesalestax = 1 Then
                pd.OpenDataWriter("orders WHERE id=" & id)
                pd.AddData("salestax", 0, "N")
                pd.SaveData()
            End If

            pd.getOrderVariables(customerid, id, "")
            orderno.Text = pd.iOrderno
            ordertotal.Text = pd.showcurr(pd.dOrdergrandtotal)
            orderstatus.Text = pd.sStatus

        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id%>" />
            <div>
                <%
                    pd.createadmintab("Summary", "editorder.aspx?id=" & id)
                    pd.createadmintab("Billing", "editorder-billing.aspx?id=" & id)
                    pd.createadmintab("Shipping", "editorder-shipping.aspx?id=" & id)
                    pd.createadmintab("Order Items", "editorder-items.aspx?id=" & id)
                    pd.createadmintab("Status/Notes", "editorder-status.aspx?id=" & id)
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Order Details</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <% If deleterecord = "yes" Then%>
                <div class="message">
                    Are you sure you want to delete?<br />
                    <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
                    <a href="?id=<%=id%>">NO</a></div>
                <% End If%>
                <div>
                    <table width="100%" cellpadding="0" cellspacing="0">
                        <tr>
                            <td valign="top">
                                <div class="formheading">
                                    Order No</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield3" ID="orderno" runat="server" /></div>
                                <div class="formheading">
                                    Order Total</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield3" ID="ordertotal" runat="server" /></div>
                            </td>
                            <td valign="top">
                                <div class="formheading">
                                    Order Date</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield3" ID="orderdate" runat="server" />
                                    <asp:TextBox ReadOnly="true" class="roformfield3" ID="ordertime" runat="server" />
                                </div>
                                <div class="formheading">
                                    Status</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield4" ID="orderstatus" runat="server" /></div>
                            </td>
                        </tr>
                    </table>
                </div>
                <div class="pageheading2">
                    Billing Address</div>
                <div class="formheading">
                    Email</div>
                <div>
                    <asp:TextBox class="formfield1" ID="email" runat="server" /></div>
                <div class="formheading">
                    Name</div>
                <div>
                    <asp:TextBox class="formfield1" ID="name" runat="server" />&nbsp;</div>
                <% If pd.compen > 0 Then%>
                <div class="formheading">
                    <%= pd.getsystext("sys147")%></div>
                <div>
                    <asp:TextBox class="formfield1" ID="company" runat="server" />
                </div>
                <% End If%>
                <div class="formheading">
                    Address</div>
                <div>
                    <asp:TextBox class="formfield1" ID="street1" runat="server" /></div>
                <div>
                    <asp:TextBox class="formfield1" ID="street2" runat="server" /></div>
                <div class="formheading">
                    City</div>
                <div>
                    <asp:TextBox class="formfield1" ID="city" runat="server" /></div>
                <div class="formheading">
                    State/Province</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="state" runat="server" /></div>
                <div class="formheading">
                    Zip/Postal Code</div>
                <div>
                    <asp:TextBox class="formfield1" ID="zip" runat="server" /></div>
                <div class="formheading">
                    Country</div>
                <div>
                    <asp:TextBox class="formfield1" ID="country" runat="server" /></div>
                <div class="formheading">
                    Phone</div>
                <div>
                    <asp:TextBox class="formfield1" ID="phone" runat="server" /></div>
                <div class="pageheading2">
                    Payment Details</div>
                <div class="formheading">
                    Type</div>
                <div>
                    <asp:TextBox class="formfield1" ID="cctype" runat="server" /></div>
                <% If pd.adminlevel < 3 Then%>
                <div class="formheading">
                    Credit Card Number</div>
                <div>
                    <asp:TextBox class="formfield1" ID="ccardno" runat="server" /></div>
                <% If pd.savecardcodes = "ON" Then%>
                <!-- Contact PageDown Technology before enabling this feature.  Saving card code data may be illegal or forbidden, depending on your merchant bank and state you do business in. -->
                <div class="formheading">
                    CCV/CVC/CID</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="cccode" runat="server" /></div>
                <% End If%>
                <div>
                    <div class="formheading">
                        Month/Year</div>
                    <div>
                        <asp:TextBox class="formfieldnumber" ID="expmonth" runat="server" /><asp:TextBox
                            class="formfieldnumber" ID="expyear" runat="server" />
                    </div>
                </div>
                <% End If%>
                <div class="formheading">
                    Name on Card</div>
                <div>
                    <asp:TextBox class="formfield1" ID="ccnoc" runat="server" /></div>
                <div class="formheading">
                    Approval Code</div>
                <div>
                    <asp:TextBox class="formfield1" ID="ccapproval" runat="server" /></div>
                <div class="formheading">
                    Transaction ID</div>
                <div>
                    <asp:TextBox class="formfield1" ID="cctrxid" runat="server" /></div>
                <div class="formheading">
                    Affiliate ID</div>
                <div>
                    <asp:TextBox class="formfield1" ID="affillink" runat="server" /></div>
                <% If taxstatus = 0 Then%>
                <div class="formheading">
                    Tax Rate (percent)</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="salestax" runat="server" /></div>
                <% End If%>
                <% If pd.tcen = 1 Or CInt(salestaxamt.Text) > 0 Then%>
                <div class="pageheading2">
                    TaxCloud</div>
                <%  If CInt(salestaxamt.Text) > 0 Or taxstatus = 3 Then%><div class="formheading">
                    Tax Amount</div>
                <%End If%>
                <div>
                    <%  If CInt(salestaxamt.Text) > 0 Or taxstatus = 3 Then%><asp:TextBox class="roformfieldnumber"
                        ReadOnly="true" ID="salestaxamt" runat="server" /><%End If%>
                    <%  If taxstatus = 0 Or (taxstatus = 1 And CInt(salestaxamt.Text) = 0) Then%><input
                        type="button" class="formbutton" onclick="openpdwindow('popup_taxcloud.aspx?id=<%=id %>&task=lookup', 600, 450, null);"
                        value="Lookup" />
                    <%  ElseIf taxstatus = 1 Then%><input type="button" class="formbutton" onclick="openpdwindow('popup_taxcloud.aspx?id=<%=id %>&task=auth', 600, 450, null);"
                        value="Capture" />
                    <% ElseIf taxstatus = 3 Then%><% ElseIf taxstatus = 4 Then%><input type="button"
                        class="formbutton" onclick="openpdwindow('popup_taxcloud.aspx?id=<%=id %>&task=reauth', 600, 450, null);"
                        value="Re-Lookup / Capture" /><%End If%>
                </div>
                <div class="helptext">
                    <%  If taxstatus = 1 And CInt(salestaxamt.Text) > 0 Then%>NOTICE: Tax has not been
                    Captured yet!
                    <br />
                    <a href="javascript: openpdwindow('popup_taxcloud.aspx?id=<%=id %>&task=lookup', 600, 450, null);">
                        Lookup Again</a> | <a href="javascript: openpdwindow('popup_taxcloud.aspx?id=<%=id %>&task=remove', 600, 450, null);">
                            Remove</a>
                    <% ElseIf taxstatus = 3 Then%>Tax Captured by TaxCloud.
                    <br />
                    <a href="javascript: openpdwindow('popup_taxcloud.aspx?id=<%=id %>&task=refund', 600, 450, null);">
                        Refund/Reverse Tax</a>
                    <% ElseIf taxstatus = 4 Then%>Tax for this order was Refunded! If you wish to re-capture
                    tax, a new order number will be generated for this order.<%End If%></div>
                <div class="button_div">
                </div>
                <% End If%>
                <div class="pageheading2">
                    Discounts</div>
                <div class="formheading">
                    Discount/Coupon Code</div>
                <div>
                    <asp:TextBox class="formfield1" ID="disccode" runat="server" /></div>
                <div class="formheading">
                    Discount (percent)</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="discpct" runat="server" /></div>
                <div class="formheading">
                    Discount Amount (flat)</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="discamt" runat="server" /></div>
                <div class="pageheading2">
                    Gift Certficate</div>
                <div class="formheading">
                    Certificate Code</div>
                <div>
                    <asp:TextBox class="formfield1" ID="giftcode" runat="server" /></div>
                <div class="formheading">
                    Amount: (applied to order)</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="giftamt" runat="server" /></div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes"></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
