<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, statusid, customerid, deleterecord, confirmdelete, helppage, oldstatus, messagesent As String
    Public vsmallimage, vlargeimage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

        'Get Record IDs
        id = pd.getrequest("id")
        statusid = pd.getrequest("statusid")
        
        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
         

            If IsNumeric(id) And IsNumeric(statusid) Then

                pd.OpenDataReader("SELECT * From status WHERE id=" & statusid)
                If pd.ReadDataItem.Read Then
                    
                    If pd.ReadDataN("emailen") = 2 Then
                        sendemailnow = "Yes"
                    End If

                    emailsubject.Text = pd.ReadData("emailsubject")
                    emailbody.Value = pd.ReadData("emailbody")
                    
                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()
                
                'Get Order Link
                orderlink = pd.getorderlink(id)
                
                'Open Database, get values
                pd.OpenDataReader("SELECT * FROM orders WHERE id=" & id)
                If pd.ReadDataItem.Read Then
                    
                    'You can use these variables: ##ORDERLINK##, ##ORDERNO##, ##CUSTNAME##, ##DATE##,##TRACKINGNO##, ##PUBLICNOTES##
                    emailto.Text = pd.ReadData("billemail")
                    emailsubject.Text = Replace(emailsubject.Text, "##ORDERNO##", pd.ReadDataN("orderno"))
                    emailbody.Value = Replace(emailbody.Value, "##ORDERNO##", pd.ReadDataN("orderno"))
                    emailbody.Value = Replace(emailbody.Value, "##CUSTNAME##", pd.ReadData("billname"))
                    emailbody.Value = Replace(emailbody.Value, "##DATE##", pd.ReadDataD("orderdate"))
                    emailbody.Value = Replace(emailbody.Value, "##TRACKINGNO##", pd.ReadData("tracking"))
                    emailbody.Value = Replace(emailbody.Value, "##PUBLICNOTES##", pd.ReadData("notes2"))
                    emailbody.Value = Replace(emailbody.Value, "##ORDERLINK##", orderlink)

                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()

            End If
         

        End If

        'Handle Postback
        If Page.IsPostBack Or sendemailnow = "Yes" Then
         
            
            'Arguments(semailto,semailfrom,semailfromname, semailsubject,semailbody,semailformat,semailattachment)
            If pd.getrequest("sentalready") = "" Then
                
                pd.OpenDataReader("SELECT * From status WHERE id=" & statusid)
                If pd.ReadDataItem.Read Then
                    emailfrom = pd.ReadData("emailfrom")
                    emailfromname = pd.ReadData("emailfromname")
                End If
                pd.CloseData()
                
                tempmessage = pd.Sendemail(emailto.Text, "", emailfrom, emailfromname, emailsubject.Text, emailbody.Value, "Text", "")
                If tempmessage <> "" Then
                    pd.formerror = pd.formaterror
                Else
                    pd.formerror = ""
                    messagesent = "Yes"
                    pd.gotonextpage()
                End If
            Else
                pd.gotonextpage()
            End If


        End If


        If IsNumeric(id) Then


            pd.OpenDataReader("SELECT * FROM orders WHERE id=" & id)
            If pd.ReadDataItem.Read Then
                customerid = pd.ReadDataN("customerid")
            End If
            pd.CloseData()

            pd.getOrderVariables(customerid, id, cartid)
            ordertotal.Text = pd.showcurr(pd.dOrdergrandtotal)
            orderstatus.Text = pd.sStatus
            orderno.Text = pd.iOrderno
            orderdate.Text = pd.showdate(pd.sOrderdate)
            ordertime.Text = pd.showtime(pd.sOrdertime)
            
        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id%>" />
            <input type="hidden" name="statusid" value="<%=statusid%>" />
            <div>
                <%
                    pd.createadmintab("Summary", "editorder.aspx?id=" & id)
                    pd.createadmintab("Billing", "editorder-billing.aspx?id=" & id)
                    pd.createadmintab("Shipping", "editorder-shipping.aspx?id=" & id)
                    pd.createadmintab("Order Items", "editorder-items.aspx?id=" & id)
                    pd.createadmintab("Status/Notes", "editorder-status.aspx?id=" & id)
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Order Details</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <% If deleterecord = "yes" Then%>
                <div class="message">
                    Are you sure you want to delete?<br />
                    <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
                    <a href="?id=<%=id%>">NO</a></div>
                <% End If%>
                <div>
                    <table width="100%" cellpadding="0" cellspacing="0">
                        <tr>
                            <td valign="top">
                                <div class="formheading">
                                    Order No</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield3" ID="orderno" runat="server" /></div>
                                <div class="formheading">
                                    Order Total</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield3" ID="ordertotal" runat="server" /></div>
                            </td>
                            <td valign="top">
                                <div class="formheading">
                                    Order Date</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield3" ID="orderdate" runat="server" /><asp:TextBox
                                        ReadOnly="true" class="roformfield3" ID="ordertime" runat="server" /></div>
                                <div class="formheading">
                                    Status</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield4" ID="orderstatus" runat="server" /></div>
                            </td>
                        </tr>
                    </table>
                </div>
                <% If messagesent = "Yes" Then%>
                <div class="pageheading2">
                    Order Status Email Message Sent!</div>
                <input type="hidden" name="sentalready" value="Y" />
                <% Else%>
                <div class="pageheading2">
                    Send Order Status Email?</div>
                <div class="formheading">
                    Email To</div>
                <div>
                    <asp:TextBox class="formfield1" ID="emailto" runat="server" /></div>
                <div class="formheading">
                    Subject</div>
                <div>
                    <asp:TextBox class="formfield1" ID="emailsubject" runat="server" /></div>
                <div class="formheading">
                    Message Body</div>
                <div>
                    <textarea class="formtextarea" rows="8" id="emailbody" cols="30"  
                        runat="server" /></div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Send Email Now" />
                    - or -
                    <input type="button" class="formbutton" onclick="window.location.href='editorder.aspx?id=<%=id %>'"
                        value="Continue (without sending)" />
                </div>
                <% End If%>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
