﻿<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, customerid, deleterecord, confirmdelete, helppage As String
    Public vsmallimage, vlargeimage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

        'Get Record IDs
        id = pd.getrequest("id")

        'Check IDs
        If IsNumeric(id) = False Then
            id = ""
        End If

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            'Get Drop Down Lists
            status.DataSource = pd.getstatuscodes()
            status.DataBind()

            If id <> "" Then

                'Open Database, get values
                pd.OpenDataReader("SELECT * FROM orders WHERE id=" & id)
                If pd.ReadDataItem.Read Then

                    customerid = pd.ReadDataN("customerid")
                    orderno.Text = pd.ReadDataN("orderno")
                    orderdate.Text = pd.ReadDataD("orderdate")
                    ordertime.Text = pd.ReadData("ordertime")
                    orderstatus.Text = pd.ReadData("status")
                    status.SelectedIndex = status.Items.IndexOf(status.Items.FindByText(pd.ReadData("status")))
                    
                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()


            Else
                'Default values when adding new record.

            End If

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack And deleterecord <> "yes" Then

            'Update Status/Finalize Order
            newstatus = status.SelectedItem.Value
            pd.doOrderStatusChange(id, newstatus)
            pd.pdRedirect("editorder.aspx?id=" & id)


        End If

        'Delete Record (and related records in other tables)
        If id <> "" And deleterecord = "yes" And confirmdelete = "yes" And pd.adminlevel = 1 Then
            'Perform Delete
            pd.sqlexecute("DELETE FROM orders WHERE id=" & id)
            pd.sqlexecute("DELETE FROM orderdetail WHERE orderid=" & id)
            pd.formerror = "Record Deleted!"
            id = ""
            deleterecord = "done"
        End If

        If IsNumeric(id) Then


            pd.OpenDataReader("SELECT * FROM orders WHERE id=" & id)
            If pd.ReadDataItem.Read Then
                customerid = pd.ReadDataN("customerid")
            End If
            pd.CloseData()

            pd.getOrderVariables(customerid, id, "")
            ordertotal.Text = pd.showcurr(pd.dOrdergrandtotal)

        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If deleterecord = "done" Then%>
    <script type="text/javascript">
        {
            pdshopalert('Order has been Deleted!', 'home.aspx');
        }
    </script>
    <%End If%>
    <div class="body_container">
        <div class="content_container">
            <form method="POST" action="editorderstatus.aspx" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id%>" />
            <div>
                <%
                    pd.createadmintab("Order Status", "")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Order Status Alert!</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <% If deleterecord = "yes" Then%>
                <div class="message">
                    Are you sure you want to delete?<br />
                    <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
                    <a href="?id=<%=id%>">NO</a></div>
                <% End If%>
                <div>
                    <table width="100%" cellpadding="0" cellspacing="0">
                        <tr>
                            <td valign="top">
                                <div class="formheading">
                                    Order No</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield3" ID="orderno" runat="server" /></div>
                                <div class="formheading">
                                    Order Total</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield3" ID="ordertotal" runat="server" /></div>
                            </td>
                            <td valign="top">
                                <div class="formheading">
                                    Order Date</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield3" ID="orderdate" runat="server" /><asp:TextBox
                                        ReadOnly="true" class="roformfield3" ID="ordertime" runat="server" /></div>
                                <div class="formheading">
                                    Status</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield4" ID="orderstatus" runat="server" /></div>
                            </td>
                        </tr>
                    </table>
                </div>
                <% If orderstatus.Text = "Incomplete" Then%>
                <div class="formheading">
                    This Order's status must be changed before you can proceed.</div>
                <div class="errors">
                    <br />
                    WARNING: You are about to change the status of an “Incomplete” order. This order
                    currently has a temporary (internal) status associated with it. You should not consider
                    this a legitimate order at this point, since the checkout process was not completed.<br />
                    <br />
                    Unless you have confirmed the receipt of payment (with your merchant bank or payment
                    processor) changing the status of this order is NOT recommended!<br />
                    <br />
                </div>
                <% End If%>
                <div class="formheading">
                    Change Status To</div>
                <div>
                    <asp:DropDownList ID="status" runat="server" DataValueField="name" DataTextField="name" />
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Change" /></div>
                <% If pd.adminlevel = 1 And id <> "" Then%>
                <div class="check_div">
                    <input type="checkbox" name="deleterecord" value="yes" />Delete this Order?
                </div>
                <% End If%>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
