<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, deleterecord, confirmdelete, helppage As String
    Public vsmallimage, vlargeimage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        If Not (Page.IsPostBack) Then
        End If

        'Save Files
        If Page.IsPostBack Then
        End If
        
        pd.gotonextpage()
        

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" id="aspnetForm" name="aspnetForm" action="export.aspx">
            <input type="hidden" name="thedelim" value="comma" />
            <div>
                <%
                    pd.createadmintab("Export Data", "export.aspx")
                    pd.createadmintab("File Manager", "export-filemanager.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Export Data</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    Data Format</div>
                <div class="helptext">
                    Here you can export certain data. You may be able to import this format into other
                    programs that support the formats below.&nbsp; The comma delimited &quot;.CSV&quot;
                    format can be easily opened with Microsoft Excel, for example.</div>
                <div class="inner_div">
                    <div class="radio_div">
                        <input onclick="window.document.aspnetForm.thedelim.value='tab'" type="radio" value="tab"
                            name="v1" />Tab Delimiter (.txt)</div>
                    <div class="radio_div">
                        <input onclick="window.document.aspnetForm.thedelim.value='comma'" type="radio" value="comma"
                            checked="checked" name="v1" />Comma Delimited (.csv)</div>
                </div>
                <div class="pageheading2">
                    Orders (Summary)</div>
                <div class="inner_div">
                    <div class="tdmhead">
                        Start Date</div>
                    <div class="tdmhead">
                        End Date</div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        <input class="formfield2" type="text" name="startdate" size="12" value="<%=DateTime.Now.AddDays(-31).ToShortDateString%>" /></div>
                    <div class="tdm">
                        <input class="formfield2" type="text" name="enddate" size="12" value="<%=DateTime.Now.ToShortDateString%>" /></div>
                    <div class="tr">
                    </div>
                    <div class="button_div">
                        <button onclick="javascript: startexport('orders')" class="formbutton">
                            Export</button></div>
                </div>
                <div class="pageheading2">
                    Order Detail (Line Items)</div>
                <div class="inner_div">
                    <div class="tdmhead">
                        Start Date</div>
                    <div class="tdmhead">
                        End Date</div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        <input class="formfield2" type="text" name="startdate2" size="12" value="<%=DateTime.Now.AddDays(-31).ToShortDateString%>" /></div>
                    <div class="tdm">
                        <input class="formfield2" type="text" name="enddate2" size="12" value="<%=DateTime.Now.ToShortDateString%>" /></div>
                    <div class="tr">
                    </div>
                    <div class="button_div">
                        <button onclick="javascript: startexport('orderdetail')" class="formbutton">
                            Export</button></div>
                </div>
                <div class="pageheading2">
                    Orders (T-Hub Quickbooks Format)</div>
                <div class="inner_div">
                    <div class="tdmhead">
                        Start Date</div>
                    <div class="tdmhead">
                        End Date</div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        <input class="formfield2" type="text" name="startdate3" size="12" value="<%=DateTime.Now.AddDays(-31).ToShortDateString%>" /></div>
                    <div class="tdm">
                        <input class="formfield2" type="text" name="enddate3" size="12" value="<%=DateTime.Now.ToShortDateString%>" /></div>
                    <div class="tr">
                    </div>
                    <div class="button_div">
                        <button onclick="javascript: startexport('thuborders')" class="formbutton">
                            Export</button></div>
                </div>
                <div class="pageheading2">
                    Customers</div>
                <div class="inner_div">
                    <div class="helptext">
                        This will export a complete customer list including address, phone, email, etc.</div>
                    <div class="button_div">
                        <button onclick="javascript: startexport('customers')" class="formbutton">
                            Export</button></div>
                </div>
                <div class="pageheading2">
                    Newsletter/Opt-In List</div>
                <div class="inner_div">
                    <div class="helptext">
                        This will export all customer email address and names (only registered customers
                        that have opt-in will be included)</div>
                    <div class="button_div">
                        <button onclick="javascript: startexport('newsletter')" class="formbutton">
                            Export</button></div>
                </div>
                <div class="pageheading2">
                    Affiliates</div>
                <div class="inner_div">
                    <div class="helptext">
                        This will export a complete affiliate list including address, phone, email, etc.</div>
                    <div class="button_div">
                        <button onclick="javascript: startexport('affiliates')" class="formbutton">
                            Export</button></div>
                </div>
                <div class="pageheading2">
                    Google Base Data Feed (aka Froogle)</div>
                <div class="inner_div">
                    <div class="helptext">
                        Select Tab Delimited (.txt) for a pre-formatted Google Base data file.&nbsp;
                        <br />
                        <br />
                        It is recommended that you select CSV for an Excel type document (then, follow Google's
                        documentation for editing, formatting, and uploading). Go to "base.google.com" for
                        more details. &nbsp;
                    </div>
                    <div class="check_div">
                        <input type="checkbox" id="googcust" name="googcust" value="ON" />Include Custom
                        Fields</div>
                    <div class="helptext">
                        For use when your Custom fields contain data such as UPC, Brand, MPN, etc. After
                        exporting, rename your column headings in Excel to match, Contact <a target="_blank"
                            href="http://www.google.com/support/merchants/bin/answer.py?answer=188494">Google</a>
                        for assistance.
                    </div>
                    <div class="button_div">
                        <button onclick="javascript: startexport('froogle')" class="formbutton">
                            Export</button></div>
                </div>
                <div class="pageheading2">
                    SiteMap Generator</div>
                <div class="inner_div">
                    <div class="helptext">
                        This export will generate an XML sitemap file that you can use with search engines,
                        and other applications, such as Google. Export will be in this standard XML format:
                        sitemaps.org/schemas/sitemap/0.9 &nbsp;
                    </div>
                    <div class="button_div">
                        <button onclick="javascript: startexport('sitemap')" class="formbutton">
                            Export</button></div>
                </div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
