<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, confirmdelete, helppage, task, status As String
    Public itemcount As Int32

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Retrieve/Display files in folder
        If Not (Page.IsPostBack) Then

            fileList.Text = pd.getImportFilelist()

        End If
         
        If (Page.IsPostBack) Then
            pd.gotonextpage()
        End If

    End Sub




</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" action="import-sheet.aspx" id="aspnetForm">
            <input type="hidden" name="task" value="" />
            <div>
                <%  
                    pd.createadmintab("Step 1", "link:import.aspx")
                    pd.createadmintab("Step 2", "link:import-sheet.aspx")
                    pd.createadmintab("Step 3", "link:import-map.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Import Data</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    Step 1</div>
                <div class="helptext">
                    Select a File from those in your 'Import' folder, or upload a new one. This function
                    supports Microsoft Excel formatted files (save & format your file as an ".xls" file
                    before proceeding)</div>
                <div class="formheading">
                    Select File to Import</div>
                <div class="td">
                    <select name="filename">
                        <asp:Label ID="fileList" runat="server" />
                    </select>
                </div>
                <div class="td">
                    &nbsp;
                    <input type="button" class="formbutton" onclick="uploadimportfile('')" value="Upload New File" /></div>
                <div class="tr">
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Next Step" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
