<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<%@ Import Namespace="System.Web.Configuration" %>
<%@ Import Namespace="System.Configuration" %>
<%@ Import Namespace="System.Text" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public statusmessage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        pd.browserNoCache()
        pd.loginredirect = "Off"
        pd.LoadPDadmin(1)
         
        'Determine the next Task
        task = pd.getrequest("task")
         
        'Handle Demo Mode
        If pd.demomode = "Yes" Then
            task = ""
            pd.formerror = "You are in Demo Mode, you cannot perform this function!"
        End If

        'Procedures Run on this page
        If task = "unprotect" Then
            UnProtectSection("appSettings")
            pd.formerror = "Web.config protection procedure performed - file is no longer secure!"
        End If
         
        If task = "protect" Then
            ProtectSection("appSettings", "DataProtectionConfigurationProvider")
            pd.formerror = "Web.config protection procedure performed - Check your web server event logs for any errors."

        End If
                     

    End Sub




    
    
    Private Sub ProtectSection(ByVal sectionName As String, ByVal provider As String)
        Dim config As Configuration = WebConfigurationManager.OpenWebConfiguration(Request.ApplicationPath)
        
        Dim section As ConfigurationSection = config.GetSection(sectionName)
        
        If section IsNot Nothing AndAlso Not section.SectionInformation.IsProtected Then
            section.SectionInformation.ProtectSection(provider)
            config.Save()
        End If
    End Sub

    Private Sub UnProtectSection(ByVal sectionName As String)
        Dim config As Configuration = WebConfigurationManager.OpenWebConfiguration(Request.ApplicationPath)
        
        Dim section As ConfigurationSection = config.GetSection(sectionName)
        
        If section IsNot Nothing AndAlso section.SectionInformation.IsProtected Then
            section.SectionInformation.UnprotectSection()
            config.Save()
        End If
    End Sub
    

</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="popupbody_div">
        <form method="POST" runat="server" id="aspnetForm">
        <div class="pageheading2">
            Database Tools Message
        </div>
        <div>
            <div class="pageheading2">
                Message</div>
            <div class="formheading">
                <% =pd.formerror %>
            </div>
        </div>
        </form>
    </div>
</asp:Content>
