<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public section As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadminSetup(0)
        pd.gotonextpage()
         
        section = pd.getrequest("section")
        
  
    End Sub




</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <script type="text/javascript">
        // Set this page as the default/frames page... must proceed the admin.js javascript
        var pdshopdefaultpage = "Yes";
  
    </script>
    <div class="popupbody_div">
        <form method="POST" runat="server" id="aspnetForm">
        <div class="pageheading2">
            Database Tools Help<br />
            <br />
        </div>
        <div>
            <% If section = "format1" Then%>
            <div class="helptext">
                Default Text 'Restore'<br />
                This option will Restore all of the default language to the original default settings.
                The Form/Field or Section Headings, System Messages/Text, and Buttons will be Reset.
                Any changes you made to these will be erased permanently! We do not recommend this
                option unless you were instructed to use it!
                <br />
                <br />
            </div>
            <div class="helptext">
                Default Text 'Ignore'<br />
                This option could result in blank/missing Text, buttons, or other built in System
                headings/text. This should only be used if you are experienced with the shop and
                intentionally do not want to update the default language. We do not recommend this
                option unless you were instructed to use it!
                <br />
                <br />
            </div>
            <% End If%>
            <% If section = "format2" Then%>
            <div class="helptext">
                Data Upgrade 'Re-Import'
                <br />
                This option will overwrite (erase and replace) some content and settings, with those
                settings and content from older (now obsolete) database tables/columns. We do not
                recommend this option unless you were instructed to use it!
                <br />
                <br />
            </div>
            <div class="helptext">
                Data Upgrade 'Ignore'<br />
                This option will cause the Format Procedure to ignore some settings and some content,
                from an older edition! We do not recommend this option unless you were instructed
                to use it!
                <br />
                <br />
            </div>
            <% End If%>
            <% If section = "format0" Then%>
            <div class="helptext">
                NOTES:<br />
                This procedure will check the database, and add any column/field or table that is
                missing in your database, it will also check the field size and data type. &nbsp;
                You must make a backup of your database before running this procedure.&nbsp;
                <br />
                <br />
                IMPORTANT:<br />
                If you are using a Customized version (if any of the .aspx files were edited), or
                if you made your own changes to the database tables or column properties, you should
                consult with your developer before running this procedure.<br />
            </div>
            <% End If%>
            <% If section = "dbcleanup" Then%>
            <div class="helptext">
                NOTES:<br />
                This procedure can be used to remove old shopping carts, temporarily stored credit
                card data, Incomplete orders, and credit card numbers.<br />
                <br />
                IMPORTANT:<br />
                Please backup your database before using this Tool. If your database is MSAccess,
                it is recommended that you do your own 'Compact & Repair' immediately after using
                this Tool (You will need to use the Microsoft Access program, contact Microsoft
                for support related to that tool or software)
                <br />
            </div>
            <% End If%>
            <% If section = "xmlsettings" Then%>
            <div class="helptext">
                NOTES:<br />
                This procedure will gather and display the raw setup XML data. This may be useful
                if you are troubleshooting and need to review all settings at once.<br />
            </div>
            <% End If%>
            <% If section = "dbstransform" Then%>
            <div class="helptext">
                NOTES:<br />
                This procedure will transform some of your existing v2.0/Standard data to work with
                this Edition.&nbsp; This procedure will convert your existing categories and item
                options as well as other system fields.<br />
                <br />
                WE DO NOT RECOMMEND RUNNING THIS PROCEDURE UNLESS YOU JUST RECEIVED AN UPDATE/ENHANCEMENT
                FROM PAGEDOWN TECH. THAT REQUIRES THIS PROCEDURE.&nbsp; ALSO, IF YOU HAVE MADE YOUR
                OWN CHANGES TO THE DATABASE STRUCTURE DO NOT RUN THIS PROCEDURE AS IT MAY NOT WORK
                AS EXPECTED!<br />
                <br />
            </div>
            <% End If%>
            <% If section = "dbprotect" Then%>
            <div class="helptext">
                NOTES:<br />
                This procedure will encrypt the web.config file located on your server, hiding all
                connection strings and other application settings.<br />
                <br />
                THIS IS AN ADVANCED TASK THAT SHOULD ONLY BE PREFORMED BY THE SERVER ADMINISTRATOR!<br />
                <br />
            </div>
            <% End If%>
            <% If section = "dblogins" Then%>
            <div class="helptext">
                NOTE: This is your Admin login for the Shop&#39;s Administrator, not to be confused
                with database credentials. User Name and Password is not required for New Installations,
                only when installing an update or upgrading.&nbsp;
            </div>
            <% End If%>
        </div>
        </form>
    </div>
</asp:Content>
