<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" ValidateRequest="False" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2011.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    Public task, edit, edittype, editorcontent, closewin, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.loginredirect = "Off"
        pd.LoadPDadmin(3)
        helppage = ""

        'Get Record IDs
        edittype = pd.getrequest("edittype")
        edit = pd.getrequest("edit")
        task = pd.getrequest("task")

        'Retrieve/Display Record
        If task <> "update" Then

            If (edittype = "other") And pd.isdbfieldname(edit) = True Then
                pd.OpenSetupDataReader("otherxml", "misc")
                editorcontent = Server.HtmlEncode(pd.ReadData(edit))
                pd.CloseData()
            End If
             
            If (edittype = "commondata") And pd.isdbfieldname(edit) = True Then
                pd.OpenDataReader("SELECT * FROM pd_commondata")
                If pd.ReadDataItem.Read Then
                    editorcontent = Server.HtmlEncode(pd.ReadData(edit))
                End If
                pd.CloseData()
            End If

            If edittype = "item" And IsNumeric(edit) Then
                pd.OpenDataReader("SELECT description FROM items WHERE id=" & edit)
                If pd.ReadDataItem.Read Then
                    editorcontent = Server.HtmlEncode(pd.ReadData("description"))
                End If
                pd.CloseData()
            End If

            If edittype = "category" And IsNumeric(edit) Then
                pd.OpenDataReader("SELECT description FROM category WHERE id=" & edit)
                If pd.ReadDataItem.Read Then
                    editorcontent = Server.HtmlEncode(pd.ReadData("description"))
                End If
                pd.CloseData()
            End If

            If edittype = "custompage" And IsNumeric(edit) Then
                pd.OpenDataReader("Select * From custompages Where id=" & edit)
                If pd.ReadDataItem.Read Then
                    editorcontent = Server.HtmlEncode(pd.ReadData("description"))
                End If
                pd.CloseData()
            End If
             
            If pd.pdxmldebug = "ON" Then
                If (edittype = "xml") And (edit = "setupxml" Or edit = "langxml" Or edit = "otherxml") Then
                    editorcontent = pd.dbgetxmltoedit(edit)
                End If
            End If
             

        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <script type="text/javascript">

        function savechanges() {

            str = tinyMCE.get('thecontenta').getContent();
            str = str.replace(/</g, "##L##");
            document.getElementById('thecontent').value = str;
            document.getElementById('editorsave').submit();
        }

    </script>

    <script src="//tinymce.cachefly.net/4.3/tinymce.min.js"></script>

    <script type="text/javascript">

        tinymce.init({
            selector: "textarea",
            theme: "modern",
            //width: 700,
            height: 350,

            file_browser_callback_types: 'image',
            file_browser_callback: function (field_name, url, type, win) {
                openpdwindow('popup_insertimage.aspx?retsrc=editor&retfield=' + field_name, 750, 650, null);
            },
            plugins: [
                    "advlist autolink link image imagetools lists charmap print preview hr anchor pagebreak spellchecker",
                    "searchreplace wordcount visualblocks visualchars code fullscreen insertdatetime media nonbreaking",
                    "table contextmenu directionality emoticons template textcolor paste textcolor colorpicker textpattern"
            ],

            toolbar1: "bold italic underline strikethrough | alignleft aligncenter alignright alignjustify | styleselect formatselect fontselect fontsizeselect",
            toolbar2: "cut copy paste | searchreplace | bullist numlist | outdent indent blockquote | undo redo | link unlink anchor image media code | insertdatetime preview | forecolor backcolor",
            toolbar3: "table | hr removeformat | subscript superscript | charmap emoticons | print fullscreen | ltr rtl | spellchecker | visualchars visualblocks nonbreaking pagebreak restoredraft",

            menubar: false,
            toolbar_items_size: 'small',

            style_formats: [
                    { title: 'Bold text', inline: 'b' },
                    { title: 'Red text', inline: 'span', styles: { color: '#ff0000' } },
                    { title: 'Red header', block: 'h1', styles: { color: '#ff0000' } },
                    { title: 'Example 1', inline: 'span', classes: 'example1' },
                    { title: 'Example 2', inline: 'span', classes: 'example2' },
                    { title: 'Table styles' },
                    { title: 'Table row 1', selector: 'tr', classes: 'tablerow1' }
            ],

            templates: [
                    { title: 'Test template 1', content: 'Test 1' },
                    { title: 'Test template 2', content: 'Test 2' }
            ]
        });

    </script>
 
    <!-- /TinyMCE -->
    <div class="popupbody_div" id="popupbody_div"  >
        <form method="POST" action="" name="editor" id="editor">
            <input type="hidden" name="edittype" value="<%=Master.pd.dohtmlencode(edittype)%>" />
            <input type="hidden" name="edit" value="<%=Master.pd.dohtmlencode(edit)%>" />
            <input type="hidden" name="task" value="update" />
            <div class="pageheading2">
                Content Editor
            </div>
            <div class="message">
                <%=Master.pd.getFormError()%>
            </div>
            <div>
                <textarea class="formfield" name="thecontenta" id="thecontenta"><%=editorcontent%></textarea>
            </div>
            <div>
            </div>
            <div class="popupformbutton_div">
                <input type="button" onclick="savechanges();" class="formbutton" value="Save Changes" />
            </div>
        </form>
        <form method="POST" action="popup_editor_save.aspx" name="editorsave" id="editorsave">
            <input type="hidden" name="edittype" value="<%=Master.pd.dohtmlencode(edittype)%>" />
            <input type="hidden" name="edit" value="<%=Master.pd.dohtmlencode(edit)%>" />
            <input type="hidden" name="task" value="update" />
            <input type="hidden" id="thecontent" name="thecontent" value="" />
        </form>
    </div>
</asp:Content>
