<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public sectcolors, secname, temp, closewin, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.loginredirect = "Off"
        pd.browserNoCache()
        pd.LoadPDadmin(1)
        helppage = ""

        secname = pd.getrequest("secname")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            'Set current Section's value
            pd.OpenSetupDataReader("langxml", "headings/" & secname)
             
            temp1.Text = pd.ReadData("A1")
            temp2.Text = pd.ReadData("A2")
            temp3.Text = pd.ReadData("A3")
            temp4.Text = pd.ReadData("A4")
            temp5.Text = pd.ReadData("A5")

            If pd.ReadData("A6") = "ON" Then temp6.Checked = True

            temp7.Text = pd.ReadData("A7")
            temp8.Value = pd.ReadData("A8")
            temp9.Text = pd.ReadData("A9")
                 
            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then


            If InStr(temp1.Text, ">") Or InStr(temp1.Text, "<") Or InStr(temp1.Text, "/") Then pd.formerror = "Invalid character in System Message field, < / > are not allowed!"
            If InStr(temp2.Text, ">") Or InStr(temp2.Text, "<") Or InStr(temp2.Text, "/") Then pd.formerror = "Invalid character in System Message field, < / > are not allowed!"
            If InStr(temp3.Text, ">") Or InStr(temp3.Text, "<") Or InStr(temp3.Text, "/") Then pd.formerror = "Invalid character in System Message field, < / > are not allowed!"
            If InStr(temp4.Text, ">") Or InStr(temp4.Text, "<") Or InStr(temp4.Text, "/") Then pd.formerror = "Invalid character in System Message field, < / > are not allowed!"
            If InStr(temp5.Text, ">") Or InStr(temp5.Text, "<") Or InStr(temp5.Text, "/") Then pd.formerror = "Invalid character in System Message field, < / > are not allowed!"
            If InStr(temp7.Text, ">") Or InStr(temp7.Text, "<") Then pd.formerror = "Invalid character in System Message field, < / > are not allowed!"
            If InStr(temp8.Value, ">") Or InStr(temp8.Value, "<") Or InStr(temp8.Value, "/") Then pd.formerror = "Invalid character in System Message field, < / > are not allowed!"
            If InStr(temp9.Text, ">") Or InStr(temp9.Text, "<") Or InStr(temp9.Text, "/") Then pd.formerror = "Invalid character in System Message field, < / > are not allowed!"

            pd.OpenSetupDataWriter("langxml", "headings/" & secname)
            pd.AddData("A1", temp1.Text, "T")
            pd.AddData("A2", temp2.Text, "T")
            pd.AddData("A3", temp3.Text, "T")
            pd.AddData("A4", temp4.Text, "T")
            pd.AddData("A5", temp5.Text, "T")
             
            If temp6.Checked = True Then
                pd.AddData("A6", "ON", "T")
            Else
                pd.AddData("A6", "", "T")
            End If
                          
            pd.AddData("A7", temp7.Text, "T")
            pd.AddData("A8", temp8.Value, "T")
            pd.AddData("A9", temp9.Text, "T")

            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then
                pd.SaveData()
                pd.clearpdshopcache()
                pd.formerror = "Record Saved!"
                closewin = "Y"
            End If
             
            'Demo Mode
            If pd.demomode = "Yes" Then closewin = "Y"

        End If
        
        'Set color swatch in page
        temp1a.Style.Value = "background-color: " & temp1.Text
        temp2a.Style.Value = "background-color: " & temp2.Text
        temp3a.Style.Value = "background-color: " & temp3.Text
        temp4a.Style.Value = "background-color: " & temp4.Text
        temp5a.Style.Value = "background-color: " & temp5.Text
        
        
    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If closewin = "Y" Then%>
    <script type="text/javascript">
<!--
        window.close();
//-->
    </script>
    <% End If%>
    <div class="popupbody_div">
        <form method="POST" runat="server" id="aspnetForm">
        <input type="hidden" name="secname" value="<%=secname%>" />
        <div class="pageheading2">
            Heading & Section Color/Text</div>
        <div class="message">
            <%=pd.getFormError()%></div>
        <% If deleterecord = "yes" Then%>
        <div class="message">
            Are you sure you want to delete?<br />
            <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
            <a href="?id=<%=id%>">NO</a></div>
        <% End If%>
        <div class="formheading">
            Heading Text</div>
        <div>
            <asp:TextBox class="formfield1" ID="temp9" runat="server" />
        </div>
        <div>
            <div class="tdm">
                Heading Text</div>
            <div class="tdbox" id="temp1a" runat="server">
            </div>
            <div class="td">
                <asp:TextBox class="formfieldnumber" ID="temp1" runat="server" />
            </div>
            <div class="td">
                <a href="javascript: insertcolor('temp1');">
                    <img src="img/pd_txcolor.gif" alt="" /></a></div>
            <div class="tr">
            </div>
            <div class="tdm">
                Heading Background</div>
            <div class="tdbox" id="temp2a" runat="server">
            </div>
            <div class="td">
                <asp:TextBox class="formfieldnumber" ID="temp2" runat="server" />
            </div>
            <div class="td">
                <a href="javascript: insertcolor('temp2');">
                    <img src="img/pd_txcolor.gif" alt="" /></a></div>
            <div class="tr">
            </div>
            <div class="tdm">
                Heading Border</div>
            <div class="tdbox" id="temp3a" runat="server">
            </div>
            <div class="td">
                <asp:TextBox class="formfieldnumber" ID="temp3" runat="server" />
            </div>
            <div class="td">
                <a href="javascript: insertcolor('temp3');">
                    <img src="img/pd_txcolor.gif" alt="" /></a></div>
            <div class="tr">
            </div>
            <div class="tdm">
                Section Background</div>
            <div class="tdbox" id="temp4a" runat="server">
            </div>
            <div class="td">
                <asp:TextBox class="formfieldnumber" ID="temp4" runat="server" />
            </div>
            <div class="td">
                <a href="javascript: insertcolor('temp4');">
                    <img src="img/pd_txcolor.gif" alt="" /></a></div>
            <div class="tr">
            </div>
            <div class="tdm">
                Section Border</div>
            <div class="tdbox" id="temp5a" runat="server">
            </div>
            <div class="td">
                <asp:TextBox class="formfieldnumber" ID="temp5" runat="server" />
            </div>
            <div class="td">
                <a href="javascript: insertcolor('temp5');">
                    <img src="img/pd_txcolor.gif" alt="" /></a></div>
            <div class="tr">
            </div>
        </div>
        <div>
            <div class="check_div">
                <asp:CheckBox ID="temp6" runat="server" />
                Use Image (instead of text heading)?</div>
            <div class="helptext">
                (Enter image from "images" folder or enter a URL, ex. http://yoursite.com/file.gif)</div>
            <div class="formheading">
                <asp:TextBox class="formfield1" ID="temp7" runat="server" />
                <a href="javascript: insertimage('temp7')">
                    <img align="middle" src="img/pd_image.gif" alt="Insert Image (from 'images' folder)"
                        width="23" /></a><a href="javascript: uploadimage('temp7')"><img align="middle" border="0"
                            src="img/pd_disk.gif" alt="Upload Image" /></a></div>
        </div>
        <div class="formheading">
            System Text</div>
        <div class="helptext">
            Appears just below the heading, before the content.</div>
        <div>
            <textarea class="popupformtextarea" rows="3" id="temp8" cols="30"  
                runat="server" /></div>
        <div class="popupformbutton_div">
            <input type="submit" class="formbutton" value="Save Changes" /></div>
        </form>
    </div>
</asp:Content>
