<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, tempweight, task, tempshipresdel, closewin, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        'Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.loginredirect = "Off"
        pd.LoadPDadmin(1)

        'Get Record IDs
        id = pd.getrequest("id")

        'Check IDs
        If id <> "" Then
            If IsNumeric(id) = False Then
                id = ""
            End If
        End If

        'Get other variables
        task = pd.getrequest("task")
         
        'Override General Error if in demo mode
        If pd.demomode = "Yes" Then
            pd.demomode = "No"
            pd.formerror = ""
        End If
         
        
        'Handle Interactive State/Country lists
        If pd.autostlist = 1 Then
            shipcountry.AutoPostBack = True
            If Request.Form("__EVENTTARGET") = shipcountry.UniqueID Then
                updatestatelist = "Yes"
            End If
        End If
             
         
        'Retrieve/Display Record
        If Not (Page.IsPostBack) And task <> "again" Then

            'Weight Conversions
            If pd.useoz = 1 Then
                weightlbs.Text = 0
                weightoz.Text = 0
            Else
                weight.Text = 0
            End If
            insureamt.Text = 0
            stype.SelectedIndex = stype.Items.IndexOf(stype.Items.FindByValue(pd.getrequest("stype")))
            shipstate.SelectedIndex = shipstate.Items.IndexOf(shipstate.Items.FindByValue(""))
             
             
            'Get Default State/Country if needed
            If pd.checkNull(tempstate) = "" Then tempstate = pd.defaultstate
            If pd.checkNull(tempcountry) = "" Then tempcountry = pd.defaultcountry
            
            'Get States & Countries Lists
            shipcountry.DataSource = pd.getcountrylist()
            shipcountry.DataBind()
            shipstate.DataSource = pd.getstatelist(tempcountry)
            shipstate.DataBind()
            
            If shipstate.Items.Count = 1 Then
                shipstate.Enabled = False
            Else
                shipstate.Enabled = True
            End If
                
            'Set Selected State/Country          
            shipstate.SelectedIndex = shipstate.Items.IndexOf(shipstate.Items.FindByValue(tempstate))
            shipcountry.SelectedIndex = shipcountry.Items.IndexOf(shipcountry.Items.FindByText(tempcountry))


        End If

        'If Shop Rates (again)
        If task = "again" Then

            'Get States & Countries Lists
            shipcountry.DataSource = pd.getcountrylist()
            shipcountry.DataBind()
            shipcountry.SelectedIndex = shipcountry.Items.IndexOf(shipcountry.Items.FindByValue(pd.getrequest("shipcountry")))

            shipstate.DataSource = pd.getstatelist(pd.getrequest("shipcountry"))
            shipstate.DataBind()
            shipstate.SelectedIndex = shipstate.Items.IndexOf(shipstate.Items.FindByValue(pd.getrequest("shipstate")))
            
            shipzip.Text = pd.getrequest("shipzip")
            shipcity.Text = pd.getrequest("shipcity")
            stype.SelectedIndex = stype.Items.IndexOf(stype.Items.FindByValue(pd.getrequest("stype")))
            
            'Weight Conversions
            If pd.useoz = 1 Then
                weightlbs.Text = Convert.ToString(Int(pd.getrequest("weight")))
                weightoz.Text = (pd.getrequest("weight") - Int(pd.getrequest("weight"))) * 16
            Else
                weight.Text = pd.getrequest("weight")
            End If
            insureamt.Text = pd.getrequest("insureamt")
            If pd.getrequest("shipresdel") = "1" Then shipresdel.Checked = True

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack And updatestatelist <> "Yes" Then
             
            pd.checkForm(insureamt.Text, "Declared Value", "N", 1, 50)
            'Weight Conversions
            If pd.useoz = 1 Then
                pd.checkForm(weightlbs.Text, "Weight LBS", "N", 1, 50)
                pd.checkForm(weightoz.Text, "Weight OZ", "N", 1, 50)
                If pd.formerror = "" Then
                    tempweight = Convert.ToString((weightlbs.Text + weightoz.Text / 16))
                End If
            Else
                pd.checkForm(weight.Text, "Weight", "N", 1, 50)
                tempweight = weight.Text
            End If

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                
                pd.dOrderweight = tempweight
                pd.sShipcity = shipcity.Text
                pd.sShipstate = shipstate.SelectedValue
                pd.sShipcountry = shipcountry.SelectedValue
                pd.sShipzip = shipzip.Text
                pd.dOrdersub = insureamt.Text

                If shipresdel.Checked = True Then pd.iShipresdel = 1

                shippingservices.DataSource = pd.getshippingservices(stype.SelectedValue)
                shippingservices.DataBind()
                
                task = "showresults"
            End If

        End If
         
        'Update State List for country selected
        If updatestatelist = "Yes" Then
            
            shipstate.DataSource = pd.getstatelist(shipcountry.SelectedItem.Text)
            shipstate.DataBind()
            
            If shipstate.Items.Count = 1 Then
                shipstate.Enabled = False
            Else
                shipstate.Enabled = True
            End If
                    
        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div id="waitdiv" style="display: none;">
        Please Wait...
    </div>
    <div class="popupbody_div" id="bodydiv">
        <form method="POST" runat="server" id="aspnetForm">
        <input type="hidden" name="id" value="<%=id%>" />
        <%  If task = "showresults" Then%>
        <div class="pageheading2">
            Shop Rates Results</div>
        <div class="message">
            <%=pd.fixERR(pd.uspserror)%><%=pd.fixERR(pd.upserror)%><%=pd.fixERR(pd.intererror)%><%= pd.FixERR(pd.fedexerror)%>
            <%=pd.getFormError()%></div>
        <div class="inner_div">
            <div class="tdlhead">
                Service Name</div>
            <div class="tdshead">
                Charge</div>
            <div class="tr">
            </div>
            <asp:Repeater ID="shippingservices" runat="server">
                <ItemTemplate>
                    <div class="tdl">
                        <%# Container.DataItem("name") %></div>
                    <div class="tds">
                        <%# Container.DataItem("showrate") %></div>
                    <div class="tr">
                    </div>
                </ItemTemplate>
            </asp:Repeater>
        </div>
        <% End If%>
        <div class="pageheading2">
            Shop Rates</div>
        <div class="message">
            <%=pd.getFormError()%></div>
        <div>
            <div class="formheading">
                Source</div>
            <div>
                <asp:DropDownList ID="stype" runat="server">
                    <asp:ListItem Value="ALL" Text="Shop (Checkout)" />
                    <asp:ListItem Value="UPS" Text="Direct from UPS" />
                    <asp:ListItem Value="USPS" Text="Direct from U.S.P.S." />
                    <asp:ListItem Value="FEDEX" Text="Direct from FedEx" />
                    <asp:ListItem Value="INTER" Text="Direct from InterShipper" />
                </asp:DropDownList>
            </div>
            <div class="helptext">
                Choose 'Shop' to see how rates will appear to your customers during checkout.</div>
            <div class="pageheading2">
                Ship 'TO' Address</div>
            <div class="formheading">
                Country:
            </div>
            <div>
                <asp:DropDownList ID="shipcountry" runat="server" DataValueField="name" DataTextField="name" />
            </div>
            <div class="formheading">
                City</div>
            <div>
                <asp:TextBox class="formfield2" ID="shipcity" runat="server" />
            </div>
            <div class="formheading">
                State/Province</div>
            <div>
                <asp:DropDownList ID="shipstate" runat="server" DataValueField="abbr" DataTextField="name" />
            </div>
            <div class="formheading">
                Postal Code</div>
            <div>
                <asp:TextBox class="formfield2" ID="shipzip" runat="server" />
            </div>
            <div>
                <div class="check_div">
                    <asp:CheckBox ID="shipresdel" runat="server" />
                    Residential Address?</div>
            </div>
            <div class="pageheading2">
                Weight / Value</div>
            <% If pd.useoz = 1 Then%>
            <div class="formheading">
                (lbs):
                <asp:TextBox class="formfieldnumber" ID="weightlbs" runat="server" />
                (ounces):
                <asp:TextBox class="formfieldnumber" ID="weightoz" runat="server" />
            </div>
            <% Else%>
            <div class="formheading">
                Weight:
                <asp:TextBox class="formfieldnumber" ID="weight" runat="server" />
            </div>
            <% End If%>
            <div class="formheading">
                Order Amount (value):
                <asp:TextBox class="formfieldnumber" ID="insureamt" runat="server" />
            </div>
            <div class="popupformbutton_div">
                <input type="submit" class="formbutton" value="Continue" onclick="document.all.waitdiv.style.display='block'; document.all.bodydiv.style.display='none'" />
            </div>
        </div>
        </form>
    </div>
</asp:Content>
