<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2011.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    Public pd As Object
    Public id, stable, deleterecord, confirmdelete, helppage, loginurl, notes As String

    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()

    End Sub

    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

       
        task = pd.getrequest("task")
        
        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
            

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then
            pd.gotonextpage()
        End If
        
        Dim search, soperator As String
        search = pd.getrequest("pds1")
        stable = pd.getrequest("pds2")
        
        If InStr(stable, "9") Then
            soperator = "AND"
        Else
            soperator = "OR"
        End If
                    
        pd.formerror = ""
        If InStr(stable, "1") Then
            searchitems.DataSource = pd.bindquicksearch("items", "id,itemno,name", search, "itemno,name", soperator, 10)
            searchitems.DataBind()
        End If

        If InStr(stable, "2") Then
            pd.formerror = "" 'need to reset or this search won't run
            searchorders.DataSource = pd.bindquicksearch("orders", "id,billname,billemail,orderno,customerid,status,orderdate", search, "orderno,billname,billemail", soperator, 10)
            searchorders.DataBind()
        End If

        If InStr(stable, "3") Then
            pd.formerror = "" 'need to reset or this search won't run
            searchcustomer.DataSource = pd.bindquicksearch("customer", "id,email,name", search, "name,email", soperator, 10)
            searchcustomer.DataBind()
        End If
        
    End Sub


</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id%>" />
            <div>
                <%
                    pd.createadmintab("Quick Search", "searchresults-quick.aspx")
                    If InStr(stable, "1") Then
                        pd.createadmintab("Items", "search.aspx?showdiv=items&data=" & Server.UrlEncode(pd.getrequest("pds1")))
                    End If
                    If InStr(stable, "2") Then
                        pd.createadmintab("Orders", "search.aspx?showdiv=orders&data=" & Server.UrlEncode(pd.getrequest("pds1")))
                    End If
                    If InStr(stable, "3") Then
                        pd.createadmintab("Customers", "search.aspx?showdiv=customer&data=" & Server.UrlEncode(pd.getrequest("pds1")))
                    End If
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Quick Search: <b>
                        <%= pd.dohtmlencode(pd.getrequest("pds1"))%></b></div>
                <asp:Repeater ID="searchitems" runat="server">
                    <HeaderTemplate>
                        <div class="pageheading2">
                            Items</div>
                        <div class="inner_div">
                    </HeaderTemplate>
                    <ItemTemplate>
                        <div class="tdm">
                            <a href="edititem.aspx?id=<%# Container.DataItem("id") %>">
                                <%# Container.DataItem("itemno")%></a>
                        </div>
                        <div class="tdl2">
                            <a href="edititem.aspx?id=<%# Container.DataItem("id") %>">
                                <%# Container.DataItem("name")%></a>
                        </div>
                        <div class="tr">
                        </div>
                    </ItemTemplate>
                    <FooterTemplate>
                        <% If searchitems.Items.Count = 10 Then%>
                        <div class="helptext">
                            Only the Top/Best Matches are shown. Try the Advanced<a href="search.aspx?showdiv=items&data=<%=server.urlencode(pd.getrequest("pds1")) %>">
                                Item Search</a>.
                        </div>
                        <% End If%>
                        <% If searchitems.Items.Count = 0 Then%>
                        <div class="helptext">
                            No Matches! Try the Advanced <a href="search.aspx?showdiv=items&data=<%=server.urlencode(pd.getrequest("pds1")) %>">
                                Item Search</a>.
                        </div>
                        <% End If%></div></FooterTemplate>
                </asp:Repeater>
                <asp:Repeater ID="searchorders" runat="server">
                    <HeaderTemplate>
                        <div class="pageheading2">
                            Orders</div>
                        <div class="inner_div">
                    </HeaderTemplate>
                    <ItemTemplate>
                        <div class="tds">
                            <a href="editorder.aspx?id=<%# Container.DataItem("id") %>">
                                <%# Container.DataItem("orderno") %></a>
                        </div>

                        <div class="tds">
                            <a href="editorder.aspx?id=<%# Container.DataItem("id") %>">
                                <%# Container.DataItem("status")%></a>
                        </div>
                        <div class="tdm">
                            <a href="editorder.aspx?id=<%# Container.DataItem("id") %>">
                                <%# Container.DataItem("billname")%></a>
                        </div>
                        <div class="tdl">
                            <a href="editorder.aspx?id=<%# Container.DataItem("id") %>">
                                <%# Container.DataItem("billemail")%></a>
                        </div>

                        <div class="tr">
                        </div>
                    </ItemTemplate>
                    <FooterTemplate>
                        <% If searchorders.Items.Count >= 10 Then%>
                        <div class="helptext">
                            Only the Top/Best Matches are shown. Try the Advanced <a href="search.aspx?showdiv=orders&data=<%=server.urlencode(pd.getrequest("pds1")) %>">
                                Order Search</a>.
                        </div>
                        <% End If%>
                        <% If searchorders.Items.Count = 0 Then%>
                        <div class="helptext">
                            No Matches! Try the Advanced <a href="search.aspx?showdiv=orders&data=<%=server.urlencode(pd.getrequest("pds1")) %>">
                                Order Search</a>.
                        </div>
                        <% End If%>
                        </div></FooterTemplate>
                </asp:Repeater>
                <asp:Repeater ID="searchcustomer" runat="server">
                    <HeaderTemplate>
                        <div class="pageheading2">
                            Customers</div>
                        <div class="inner_div">
                    </HeaderTemplate>
                    <ItemTemplate>
                        <div class="tdl">
                            <a href="editcustomer.aspx?id=<%# Container.DataItem("id") %>">
                                <%# Container.DataItem("name")%></a>
                        </div>
                        <div class="tdl2">
                            <a href="editcustomer.aspx?id=<%# Container.DataItem("id") %>">
                                <%# Container.DataItem("email")%></a>
                        </div>
                        <div class="tr">
                        </div>
                    </ItemTemplate>
                    <FooterTemplate>
                        <% If searchcustomer.Items.Count = 10 Then%>
                        <div class="helptext">
                            Only the Top/Best Matches are shown. Try the Advanced <a href="search.aspx?showdiv=customer&data=<%=server.urlencode(pd.getrequest("pds1")) %>">
                                Customer Search</a>.
                        </div>
                        <% End If%>
                        <% If searchcustomer.Items.Count = 0 Then%>
                        <div class="helptext">
                            No Matches! Try the Advanced <a href="search.aspx?showdiv=customer&data=<%=server.urlencode(pd.getrequest("pds1")) %>">
                                Customer Search</a>.
                        </div>
                        <% End If%>
                        </div></FooterTemplate>
                </asp:Repeater>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
