<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public mainpage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)
        
        If Not (Page.IsPostBack) Then
        End If

        'Handle Search, Results, & Paging
        Try
            searchrepeater.DataSource = pd.bindadminsearch()
            searchrepeater.DataBind()
        Catch ex As Exception
            pd.formerror = "Unable to search with the parameters provided. No results can be displayed." '& ex.ToString
        End Try

    End Sub

</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">

            <div>
                <%
                    pd.createadmintab("Search", "searchresults.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">

                <div>
                    <div class="pageheading1" style="float: left;">
                        Search Results
                    </div>
                    <div class="nonprint" style="float: right;">
                        <input type="button" class="formbutton" onclick="window.print()" value="Print" />
                    </div>
                    <div class="tr">
                    </div>
                    <div class="message">
                        <%=pd.getFormError()%>
                    </div>
                </div>
                <asp:Repeater ID="searchrepeater" runat="server">
                    <HeaderTemplate>
                        <table width="100%" cellpadding="0" cellspacing="0">
                            <tr>
                                <td class="listheading">
                                    <%=pd.shead0%>
                                </td>
                                <td class="listheading">
                                    <%=pd.shead1%>
                                </td>
                                <td class="listheading">
                                    <%=pd.shead2%>
                                </td>
                                <td class="listheading">
                                    <%=pd.shead3%>
                                </td>
                                <td class="listheading">
                                    <%=pd.shead4%>
                                </td>
                                <td class="listheading">
                                    <%=pd.shead5%>
                                </td>
                            </tr>
                    </HeaderTemplate>
                    <ItemTemplate>
                        <tr>
                            <td class="listtext">
                                <%# Container.DataItem("text0") %>
                            </td>
                            <td class="listtext">
                                <%# Container.DataItem("text1") %>
                            </td>
                            <td class="listtext">
                                <%# Container.DataItem("text2") %>
                            </td>
                            <td class="listtext">
                                <%# Container.DataItem("text3") %>
                            </td>
                            <td class="listtext">
                                <%# Container.DataItem("text4") %>
                            </td>
                            <td class="listtext">
                                <%# Container.DataItem("text5") %>
                            </td>
                        </tr>
                    </ItemTemplate>
                    <FooterTemplate>
                        </table>
                    </FooterTemplate>
                </asp:Repeater>
                <div align="center" class="paginglinks">
                    <br />
                    <%=pd.paginglinks%><br />
                    <br />
                </div>

            </div>

        </div>
    </div>
</asp:Content>
