<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, cfconfig, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)
        'helppage = "help3.htm"

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
         
            pd.OpenSetupDataReader("setupxml", "setup")
            form_ord1.SelectedIndex = form_ord1.Items.IndexOf(form_ord1.Items.FindByValue(pd.ReadData("ord1")))
            form_ord2.SelectedIndex = form_ord2.Items.IndexOf(form_ord2.Items.FindByValue(pd.ReadData("ord2")))
            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "setup")

            pd.AddFormData("ord1", form_ord1.SelectedItem.Value, "", "T", 0, 50)
            pd.AddFormData("ord2", form_ord2.SelectedItem.Value, "", "T", 0, 50)

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
             
                pd.SaveData()
                pd.formerror = "Changes Saved!"
                pd.clearpdshopcache()
                pd.gotonextpage()

            End If

        End If

    End Sub


    
    
  
</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-categories.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Category Settings</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    Default Sorting</div>
                <div class="formheading">
                    Categories</div>
                <div>
                    <asp:DropDownList ID="form_ord1" runat="server">
                        <asp:ListItem Value="category.id" Text="Order Entered" />
                        <asp:ListItem Value="category.name" Text="Name" />
                        <asp:ListItem Value="category.listord, category.name" Text="Specified List Order" />
                    </asp:DropDownList>
                </div>
                <div class="formheading">
                    Category Items</div>
                <div>
                    <asp:DropDownList ID="form_ord2" runat="server">
                        <asp:ListItem Value="items.id DESC" Text="Order Entered (Newest First)" />
                        <asp:ListItem Value="items.id ASC" Text="Order Entered (Oldest First)" />
                        <asp:ListItem Value="items.qtysold DESC, items.itemno" Text="Best Seller First" />
                        <asp:ListItem Value="items.name ASC, items.itemno" Text="Name" />
                        <asp:ListItem Value="items.price ASC, items.itemno" Text="Price (Up)" />
                        <asp:ListItem Value="items.price DESC, items.itemno" Text="Price (Down)" />
                        <asp:ListItem Value="items.saleprice ASC, items.itemno" Text="Sale Price (Up)" />
                        <asp:ListItem Value="items.saleprice DESC, items.itemno" Text="Sale Price (Down)" />
                    </asp:DropDownList>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
