<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public updatestatelist, cfconfig, statesneedupdating, deletecountries, fixstates, impcountries, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)
         
         
        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
         
            'Get States & Countries Lists
            country.DataSource = pd.getcountrylist()
            country.DataBind()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack And updatestatelist <> "Yes" Then
         
            pd.gotonextpage()
                      
        End If
             

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <script type="text/javascript">


    </script>
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-statecountry.aspx")
                    pd.createadmintab("Countries", "setup-countries.aspx")
                    pd.createadmintab("States/Provinces/Regions", "setup-states.aspx")
                    pd.createadmintab("Taxes", "setup-taxes.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Countries</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="helptext">
                    Below are the countries you have setup</div>
                <div class="inner_div">
                    <div class="tdlhead">
                        Country Name</div>
                    <div class="tdshead">
                        Abbreviation</div>
                    <div class="tdshead">
                        Tax Rate</div>
                    <div class="tr">
                    </div>
                    <asp:Repeater ID="country" runat="server">
                        <ItemTemplate>
                            <div class="tdl">
                                <a href="editcountry.aspx?id=<%# Container.DataItem("id") %>">
                                    <%# Container.DataItem("name") %></a></div>
                            <div class="tds">
                                <a href="editcountry.aspx?id=<%# Container.DataItem("id") %>">
                                    <%# Container.DataItem("abbr") %></a></div>
                            <div class="tds">
                                <a href="editcountry.aspx?id=<%# Container.DataItem("id") %>">
                                    <%# Container.DataItem("taxrate") %></a></div>
                            <div class="tr">
                            </div>
                        </ItemTemplate>
                    </asp:Repeater>
                    <div class="button_div">
                        <input type="button" onclick="gotoadmintab('editcountry.aspx')" class="formbutton"
                            value="New Country" /></div>
                </div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
