<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, testno, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        testno = pd.getrequest("testno")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            pd.OpenSetupDataReader("otherxml", "email")

            emailfrom4.Text = pd.ReadData("emailfrom4")
            emailfromname4.Text = pd.ReadData("emailfromname4")
            emailsubject4.Text = pd.ReadData("emailsubject4")
            emailbody4.Value = pd.ReadData("emailbody4")

            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            pd.OpenSetupDataWriter("otherxml", "email")
            pd.AddFormData("emailfrom4", emailfrom4.Text, "From Email", "E", 0, 50)
            pd.AddFormData("emailfromname4", emailfromname4.Text, "Name", "T", 0, 50)
            pd.AddFormData("emailsubject4", emailsubject4.Text, "Subject", "T", 0, 50)
            pd.AddFormData("emailbody4", emailbody4.Value, "Message Body", "T", 0, 5000)

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                pd.formerror = "Changes Saved!"
                pd.gotonextpage()
                 
                 
            End If

        End If


        'Send Test emails
        If testno <> "" Then
         
            'If affilconfe.checked = True Then         
            pd.Sendemail(emailfrom4.Text, "", emailfrom4.Text, emailfromname4.Text, emailsubject4.Text, emailbody4.Value, "Text", "")
            pd.formerror = pd.formerror & pd.formaterror
            'End If

        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="testno" id="testno" />
            <div>
                <%
                    pd.createadmintab("Settings", "setup-email.aspx")
                    pd.createadmintab("Contact Us", "setup-email-contactus.aspx")
                    pd.createadmintab("Order Confirmation", "setup-email-orders.aspx")
                    pd.createadmintab("Order Status", "setup-email-status.aspx")
                    pd.createadmintab("Passwords", "setup-email-passwords.aspx")
                    pd.createadmintab("Affiliates", "setup-email-affiliates.aspx")
                    pd.createadmintab("Gift Certs", "setup-email-giftcert.aspx")
                    pd.createadmintab("Email A Friend", "setup-email-emailfriend.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Email Settings</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    Gift Certificate Message</div>
                <div class="formheading">
                    From Name: (ex. Store Name)</div>
                <div>
                    <asp:TextBox class="formfield1" ID="emailfromname4" runat="server" /></div>
                <div class="formheading">
                    From Email: (ex. you@yourdomain.com)</div>
                <div>
                    <asp:TextBox class="formfield1" ID="emailfrom4" runat="server" /></div>
                <div class="formheading">
                    Subject</div>
                <div>
                    <asp:TextBox class="formfield1" ID="emailsubject4" runat="server" /></div>
                <div class="formheading">
                    Message Body</div>
                <div class="helptext">
                    You can use these variables in the body: ##GIFTCODE##, ##GIFTTO##, ##GIFTFROM##,
                    ##GIFTAMOUNT##, ##GIFTMESSAGE##</div>
                <div>
                    <textarea class="formtextarea" rows="8" id="emailbody4" cols="55"  
                        runat="server" /></div>
                <div class="pageheading2">
                    Other Gift Certificate Settings</div>
                <div class="inner_div">
                    <div class="formheading">
                        To configure other settings associated with this feature</div>
                    <div class="button_div">
                        <input type="button" onclick="<%=pd.nextpagefunction%>('setup-giftcerts.aspx')" class="formbutton"
                            value="Other Settings" /></div>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" />
                    <input type="button" onclick="sendtest('NO')" class="formbutton" value="Save & Send Test" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
