<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, giftopt, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        statuscodes.DataSource = pd.bindpddata("SELECT * FROM status ORDER BY name")
        statuscodes.DataBind()


        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then


        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then
            
            pd.gotonextpage()
             
        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-email.aspx")
                    pd.createadmintab("Contact Us", "setup-email-contactus.aspx")
                    pd.createadmintab("Order Confirmation", "setup-email-orders.aspx")
                    pd.createadmintab("Order Status", "setup-email-status.aspx")
                    pd.createadmintab("Passwords", "setup-email-passwords.aspx")
                    pd.createadmintab("Affiliates", "setup-email-affiliates.aspx")
                    pd.createadmintab("Gift Certs", "setup-email-giftcert.aspx")
                    pd.createadmintab("Email A Friend", "setup-email-emailfriend.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Email Settings</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    Order Status</div>
                <div class="helptext">
                    Here you can manage your order status codes, as well as when/if emails are sent
                    when the order status is changed.</div>
                <div class="inner_div">
                    <div class="tdmhead">
                        Status</div>
                    <div class="tdlhead">
                        Description</div>
                    <div class="tr">
                    </div>
                    <asp:Repeater ID="statuscodes" runat="server">
                        <ItemTemplate>
                            <div class="tdm">
                                <a href="Javascript: editstatuscode('<%# Container.DataItem("id") %>')">
                                    <%# Container.DataItem("name") %></a></div>
                            <div class="td">
                                <%# Container.DataItem("description") %></div>
                            <div class="tr">
                            </div>
                        </ItemTemplate>
                    </asp:Repeater>
                    <div class="button_div">
                        <input type="button" class="formbutton" onclick="editstatuscode('')" value="New Status" /></div>
                </div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
