<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, cfconfig, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
         
            pd.OpenSetupDataReader("setupxml", "setup")

            If pd.ReadData("gatewayen") = "ON" Then gatewayen.Checked = True

            pd.CloseData()
         
            'Check Backward compatibility
            pd.getgatewayoptions()
         
            pd.OpenSetupDataReader("setupxml", "gateway")

            authcurr.Text = pd.ReadData("authcurr")

            If InStr(pd.ReadData("gateway"), ":AN:") > 0 Then gatewayan.Checked = True
            If InStr(pd.ReadData("gateway"), ":CG2:") > 0 Then gatewaycg2.Checked = True
            If InStr(pd.ReadData("gateway"), ":PP2:") > 0 Then gatewaypp2.Checked = True
            If InStr(pd.ReadData("gateway"), ":PP:") > 0 Then gatewaypp.Checked = True
            If InStr(pd.ReadData("gateway"), ":2C:") > 0 Then gateway2c.Checked = True
            If InStr(pd.ReadData("gateway"), ":WP:") > 0 Then gatewaywp.Checked = True
            If InStr(pd.ReadData("gateway"), ":PF:") > 0 Then gatewaypf.Checked = True
            If InStr(pd.ReadData("gateway"), ":CG:") > 0 Then gatewaycg.Checked = True
            If InStr(pd.ReadData("gateway"), ":LP:") > 0 Then gatewaylp.Checked = True
            If InStr(pd.ReadData("gateway"), ":FD:") > 0 Then gatewayfde4.Checked = True
 
            If pd.ReadData("aimalturlon") = "ON" Then aimalturlon.Checked = True
            aimalturl.Text = pd.ReadData("aimalturl")
            aimtrxtype.SelectedIndex = aimtrxtype.Items.IndexOf(aimtrxtype.Items.FindByValue(pd.ReadData("aimtrxtype")))

            If pd.ReadData("authkp") = "PASS" Then authkp1.Checked = True
            If pd.ReadData("authkp") = "KEY" Then authkp2.Checked = True
            If pd.ReadData("authkp") = "" Then authkp2.Checked = True
            
            ppbusiness.Text = pd.ReadData("ppbusiness")
            ppcurrency.SelectedIndex = ppcurrency.Items.IndexOf(ppcurrency.Items.FindByValue(pd.ReadData("ppcurrency")))
            If pd.ReadData("ppipnen") = "ON" Then ppipnen.Checked = True
            
            twocosid.Text = pd.ReadData("twocosid")
            wplogin.Text = pd.ReadData("wplogin")
            wpcurrency.Text = pd.ReadData("wpcurrency")
            pflogin.Text = pd.ReadData("pflogin")
           
            pfpartner.Text = pd.ReadData("pfpartner")
            If pd.ReadData("pfmode") = "1" Then
                pfmode1.Checked = True
            ElseIf pd.ReadData("pfmode") = "2" Then
                pfmode2.Checked = True
            Else
                pfmode3.Checked = True
            End If
            
            lplogin.Text = pd.ReadData("lplogin")

            If pd.ReadData("authtest") = "ON" Then
                authtest1.Checked = True
            Else
                authtest0.Checked = True
            End If
            
            If pd.ReadData("ppapimeth") = "Pro" Then ppapimeth1.Checked = True
            If pd.ReadData("ppapimeth") = "Express" Then ppapimeth2.Checked = True
            If pd.ReadData("ppapimeth") = "" Then ppapimeth1.Checked = True
            If pd.ReadDataN("ppincontext") = 1 Then ppincontext.Checked = True
            ppmerchantid.Text = pd.ReadData("ppmerchantid")
            
            ppapicurrency.SelectedIndex = ppapicurrency.Items.IndexOf(ppapicurrency.Items.FindByValue(pd.ReadData("ppapicurrency")))
            ppapitrxtype.SelectedIndex = ppapitrxtype.Items.IndexOf(ppapitrxtype.Items.FindByValue(pd.ReadData("ppapitrxtype")))
            pfcurrency.SelectedIndex = pfcurrency.Items.IndexOf(pfcurrency.Items.FindByValue(pd.ReadData("pfcurrency")))
            pftrxtype.SelectedIndex = pftrxtype.Items.IndexOf(pftrxtype.Items.FindByValue(pd.ReadData("pftrxtype")))
            ppemail.Text = pd.ReadData("ppemail")
            ppapisig.Text = pd.ReadData("ppapisig")

            fd_currency.SelectedValue = pd.ReadData("fd_currency")
            fd_login.Text = pd.ReadData("fd_login")
            fd_transactionkey.Text = pd.ReadData("fd_transactionkey")
            fd_responsekey.Text = pd.ReadData("fd_responsekey")
            
            pd.CloseData()
             
            pd.OpenSetupDataReader("encryptedxml", "main")

            authlogin.Text = pd.ReadData("authlogin")
            authtrankey.Text = pd.ReadData("authtrankey")
            authpass.Text = pd.ReadData("authpass")
            ppapiu.Text = pd.ReadData("ppapiu")
            ppapip.Text = pd.ReadData("ppapip")
            pfpass.Text = pd.ReadData("pfpass")
            
            pd.CloseData()
            
        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            pd.OpenSetupDataWriter("setupxml", "setup")
            If gatewayen.Checked = True Then
                pd.AddData("gatewayen", "ON", "T")
            Else
                pd.AddData("gatewayen", "", "T")
            End If
            pd.SaveData()

            pd.OpenSetupDataWriter("setupxml", "gateway")

            'Which gateways are selected?
            gateway = ""
            If gatewayan.Checked = True Then gateway = gateway & ":AN:"
            If gatewaypp2.Checked = True Then gateway = gateway & ":PP2:"
            If gatewaycg2.Checked = True Then gateway = gateway & ":CG2:"
            If gatewaypp.Checked = True Then gateway = gateway & ":PP:"
            If gateway2c.Checked = True Then gateway = gateway & ":2C:"
            If gatewaywp.Checked = True Then gateway = gateway & ":WP:"
            If gatewaypf.Checked = True Then gateway = gateway & ":PF:"
            If gatewaylp.Checked = True Then gateway = gateway & ":LP:"
            If gatewaycg.Checked = True Then gateway = gateway & ":CG:"
            If gatewayfde4.Checked = True Then gateway = gateway & ":FD:"
   
            pd.AddData("gateway", gateway, "T")
            pd.AddFormData("authcurr", authcurr.Text, "Authorize.net Currency Code", "T", 0, 50)

            If aimalturlon.Checked = True Then
                pd.AddData("aimalturlon", "ON", "T")
            Else
                pd.AddData("aimalturlon", "", "T")
            End If
            pd.AddFormData("aimalturl", aimalturl.Text, "Aim URL", "T", 0, 100)
            pd.AddFormData("aimtrxtype", aimtrxtype.SelectedItem.Value, "Transaction Type", "T", 0, 50)

            If authkp1.Checked = True Then
                pd.AddData("authkp", "PASS", "T")
            Else
                pd.AddData("authkp", "KEY", "T")
            End If
            
            'Others
            pd.AddFormData("ppbusiness", ppbusiness.Text, "PayPal Standard Email", "E", 0, 100)
            pd.AddFormData("ppcurrency", ppcurrency.SelectedItem.Value, "PayPal Currency", "T", 0, 50)
            If ppipnen.Checked = True Then
                pd.AddData("ppipnen", "ON", "T")
            Else
                pd.AddData("ppipnen", "", "T")
            End If

            pd.AddFormData("twocosid", twocosid.Text, "2CO ID", "T", 0, 50)
            pd.AddFormData("wplogin", wplogin.Text, "WorldPay Login", "T", 0, 50)
            pd.AddFormData("wpcurrency", wpcurrency.Text, "WorldPay Currency", "T", 0, 50)

            pd.AddFormData("pflogin", pflogin.Text, "PayFlow Login", "T", 0, 50)
            pd.AddFormData("pfpartner", pfpartner.Text, "PayFlow Partner", "T", 0, 50)
            
            If pfmode1.Checked = True Then
                pd.AddData("pfmode", "1", "T")
            ElseIf pfmode2.Checked = True Then
                pd.AddData("pfmode", "2", "T")
            Else
                pd.AddData("pfmode", "", "T")
            End If
            
            pd.AddFormData("lplogin", lplogin.Text, "Link Point Login", "T", 0, 50)

            If authtest1.Checked = True Then
                pd.AddData("authtest", "ON", "T")
            Else
                pd.AddData("authtest", "", "T")
            End If

            If ppapimeth1.Checked = True Then
                pd.AddData("ppapimeth", "Pro", "T")
            Else
                pd.AddData("ppapimeth", "Express", "T")
            End If
            
            If ppincontext.Checked = True Then
                pd.AddData("ppincontext", 1, "N")
                pd.AddFormData("ppmerchantid", ppmerchantid.Text, "PayPal Merchant Account ID", "T", 3, 100)
            Else
                pd.AddData("ppincontext", 0, "N")
                pd.AddFormData("ppmerchantid", ppmerchantid.Text, "PayPal Merchant Account ID", "T", 0, 100) 'only required when in-context is enabled
            End If
            
            pd.AddFormData("ppapitrxtype", ppapitrxtype.SelectedItem.Value, "Transaction Type", "T", 0, 50)
            pd.AddFormData("ppapicurrency", ppapicurrency.SelectedItem.Value, "Currency", "T", 0, 50)
            pd.AddFormData("ppemail", ppemail.Text, "PayPal Pro Email", "E", 0, 100)

            pd.AddFormData("ppapisig", ppapisig.Text, "PayPal Signature", "T", 0, 100)
            
            pd.AddFormData("pftrxtype", pftrxtype.SelectedItem.Value, "Transaction Type", "T", 0, 50)
            pd.AddFormData("pfcurrency", pfcurrency.SelectedItem.Value, "Currency", "T", 0, 50)
            
            pd.AddFormData("fd_currency", fd_currency.SelectedItem.Value, "Currency", "T", 0, 50)
            pd.AddFormData("fd_login", fd_login.Text, "PayFlow Login", "T", 0, 50)
            pd.AddFormData("fd_transactionkey", fd_transactionkey.Text, "PayFlow Login", "T", 0, 50)
            pd.AddFormData("fd_responsekey", fd_responsekey.Text, "PayFlow Login", "T", 0, 50)
           
            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                 
                'Save Encrypted data
                pd.OpenSetupDataWriter("encryptedxml", "main")
                pd.AddFormData("authlogin", authlogin.Text, "Authorize.net Login", "T", 0, 100)
                pd.AddFormData("authtrankey", authtrankey.Text, "Transaction Key", "T", 0, 100)
                pd.AddFormData("authpass", authpass.Text, "Authorize.net Password", "T", 0, 100)
                pd.AddFormData("ppapiu", ppapiu.Text, "PayPal User", "T", 0, 100)
                pd.AddFormData("ppapip", ppapip.Text, "PayPal Password", "T", 0, 100)
                pd.AddFormData("pfpass", pfpass.Text, "PayFlow Password", "T", 0, 50)
                
                If pd.formerror = "" Then
                    pd.SaveData()
                    pd.formerror = "Changes Saved!"
                    
                    pd.gotonextpage()
                    
                    
                End If
                                  
            End If

        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
                <div>
                    <%
                        pd.createadmintab("Settings", "setup-payment.aspx")
                        pd.createadmintab("Payment Gateways", "setup-gateways.aspx")
                        pd.writeadmintabs()
                    %>
                </div>
                <div class="forms">
                    <div class="pageheading1">
                        Payment Gateways & Credit Card Processing
                    </div>
                    <div class="message">
                        <%=pd.getFormError()%>
                    </div>
                    <div class="pageheading2">
                        Enable
                    </div>
                    <div class="inner_div">
                        <div class="check_div">
                            <asp:CheckBox ID="gatewayen" runat="server" />
                            Enable Payment Gateways & Credit Card Processing
                        </div>
                        <div class="check_div">
                            <asp:RadioButton GroupName="authtest" ID="authtest0" runat="server" />
                            Live Mode
                            <asp:RadioButton GroupName="authtest" ID="authtest1" runat="server" />
                            Test Mode
                        </div>
                        <div class="check_div">
                        </div>
                        <div class="helptext">
                            Test mode is usually for use with special Sandbox and Test accounts. In some situations, it might not work with Live accounts, contact your payment processor provider.
                        </div>
                    </div>
                    <div class="pageheading2">
                        Authorize.Net
                    </div>
                    <div class="inner_div">
                        <div class="radio_div">
                            <asp:CheckBox ID="gatewayan" runat="server" />
                            Enable Authorize.Net
                        </div>
                        <div class="innerinner_div">
                            <div class="formheading">
                                Login ID
                            </div>
                            <div class="formheading">
                                <asp:TextBox class="formfield1" ID="authlogin" runat="server" />
                            </div>
                            <div class="formheading">
                                <div class="radio_div">
                                    <asp:RadioButton GroupName="authkp" ID="authkp2" runat="server" />
                                    Use Transaction Key (Recommended)
                                </div>
                                <div class="formheading">
                                    <asp:TextBox class="formfield1" ID="authtrankey" runat="server" />
                                </div>
                                <div class="radio_div">
                                    <asp:RadioButton GroupName="authkp" ID="authkp1" runat="server" />
                                    Use Password: (below)
                                </div>
                                <div class="formheading">
                                    <asp:TextBox class="formfield2" ID="authpass" runat="server" />
                                </div>
                                <div class="formheading">
                                    Transaction Type
                                </div>
                                <div class="formheading">
                                    <asp:DropDownList ID="aimtrxtype" runat="server">
                                        <asp:ListItem Value="AUTH_CAPTURE" Text="Authorize & Capture" />
                                        <asp:ListItem Value="AUTH_ONLY" Text="Authorize Only" />
                                    </asp:DropDownList>
                                </div>
                            </div>
                            <div class="formheading">
                                <div class="formheading">
                                    Currency Code (ex USD):&nbsp;&nbsp;
                                </div>
                                <div>
                                    <asp:TextBox class="formfield5" ID="authcurr" runat="server" />
                                </div>
                            </div>
                            <div class="formheading">
                                <div class="check_div">
                                    <asp:CheckBox ID="aimalturlon" runat="server" />
                                    Use Alternate AIM Processing URL
                                </div>
                                <div class="formheading">
                                    <asp:TextBox class="formfield1" ID="aimalturl" runat="server" />
                                </div>
                                <div class="helptext">
                                    If your payment gateway is compatible with Authorize.net, meaning they accept Authorize.net's
                                        AIM Parameters, enter their transaction URL
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="pageheading2">
                        PayPal Standard
                    </div>
                    <div class="inner_div">


                        <div class="check_div">
                            <asp:CheckBox ID="gatewaypp" runat="server" />
                            Enable PayPal?
                        </div>
                        <div class="innerinner_div">
                            <div class="formheading">
                                PayPal Email Address
                            </div>
                            <div>
                                <asp:TextBox class="formfield1" ID="ppbusiness" runat="server" />
                            </div>
                            <div class="formheading">
                                Currency
                            </div>
                            <div>
                                <asp:DropDownList ID="ppcurrency" runat="server">
                                    <asp:ListItem Text="U.S. Dollar" Value="USD" />
                                    <asp:ListItem Text="Australian Dollar" Value="AUD" />
                                    <asp:ListItem Text="Canadian Dollar" Value="CAD" />
                                    <asp:ListItem Text="Czech Koruna" Value="CZK" />
                                    <asp:ListItem Text="Danish Krone" Value="DKK" />
                                    <asp:ListItem Text="Euro" Value="EUR" />
                                    <asp:ListItem Text="Hong Kong Dollar" Value="HKD" />
                                    <asp:ListItem Text="Hungarian Forint" Value="HUF" />
                                    <asp:ListItem Text="Israeli New Sheqel" Value="ILS" />
                                    <asp:ListItem Text="Japanese Yen" Value="JPY" />
                                    <asp:ListItem Text="Mexican Peso" Value="MXN" />
                                    <asp:ListItem Text="Norwegian Krone" Value="NOK" />
                                    <asp:ListItem Text="New Zealand Dollar" Value="NZD" />
                                    <asp:ListItem Text="Polish Zloty" Value="PLN" />
                                    <asp:ListItem Text="Pound Sterling" Value="GBP" />
                                    <asp:ListItem Text="Singapore Dollar" Value="SGD" />
                                    <asp:ListItem Text="Swedish Krona" Value="SEK" />
                                    <asp:ListItem Text="Swiss Franc" Value="CHF" />

                                </asp:DropDownList>
                            </div>
                            <div class="check_div">
                                <asp:CheckBox ID="ppipnen" runat="server" />
                                Enable PayPal Instant Payment Notification (IPN)?
                            </div>
                            <div class="helptext">
                                When you enable IPN, PayPal's servers will connect to your database and update the
                        Order with Payment Details, see "Approval", "Transaction ID", and the "Notes" field.
                        The order "Status" is and Inventory is not updated until a successful payment is
                        received
                            </div>
                        </div>
                    </div>
                    <div class="pageheading2">
                        PayPal Payments Advanced (PayFlow Gateway)
                    </div>
                    <div class="inner_div">
                        <div class="check_div">
                            <asp:CheckBox ID="gatewaypf" runat="server" />
                            Enable PayFlow?
                        </div>

                        <div class="innerinner_div">
                            <div class="radio_div">
                                <asp:RadioButton GroupName="pfmode" ID="pfmode1" runat="server" />
                                PayFlow Link (Hosted Payment Page, with Silent Post)
                            </div>
                            <div class="radio_div">
                                <asp:RadioButton GroupName="pfmode" ID="pfmode2" runat="server" />
                                PayFlow Pro (Direct Payments on your website)
                            </div>
                            <div class="radio_div">
                                <asp:RadioButton GroupName="pfmode" ID="pfmode3" runat="server" />
                                Legacy (original Verisign/PayFlow Link, no Post Back - NOT recommended)
                            </div>

                            <div class="formheading">
                                Transaction Type
                            </div>
                            <asp:DropDownList ID="pftrxtype" runat="server">
                                <asp:ListItem Value="Sale" Text="Sale" />
                                <asp:ListItem Value="Auth" Text="Authorization" />
                            </asp:DropDownList>
                            <div class="formheading">
                                Currency
                            </div>
                            <div>
                                <asp:DropDownList ID="pfcurrency" runat="server">
                                    <asp:ListItem Text="U.S. Dollar" Value="USD" />
                                    <asp:ListItem Text="Australian Dollar" Value="AUD" />
                                    <asp:ListItem Text="Canadian Dollar" Value="CAD" />
                                    <asp:ListItem Text="Czech Koruna" Value="CZK" />
                                    <asp:ListItem Text="Danish Krone" Value="DKK" />
                                    <asp:ListItem Text="Euro" Value="EUR" />
                                    <asp:ListItem Text="Hong Kong Dollar" Value="HKD" />
                                    <asp:ListItem Text="Hungarian Forint" Value="HUF" />
                                    <asp:ListItem Text="Israeli New Sheqel" Value="ILS" />
                                    <asp:ListItem Text="Japanese Yen" Value="JPY" />
                                    <asp:ListItem Text="Norwegian Krone" Value="NOK" />
                                    <asp:ListItem Text="New Zealand Dollar" Value="NZD" />
                                    <asp:ListItem Text="Polish Zloty" Value="PLN" />
                                    <asp:ListItem Text="Pound Sterling" Value="GBP" />
                                    <asp:ListItem Text="Singapore Dollar" Value="SGD" />
                                    <asp:ListItem Text="Swedish Krona" Value="SEK" />
                                    <asp:ListItem Text="Swiss Franc" Value="CHF" />
                                </asp:DropDownList>
                            </div>


                            <div class="formheading">
                                Login/User
                            </div>
                            <div>
                                <asp:TextBox class="formfield1" ID="pflogin" runat="server" />
                            </div>
                            <div class="formheading">
                                Password
                            </div>
                            <div>
                                <asp:TextBox class="formfield1" ID="pfpass" runat="server" />
                            </div>
                            <div class="formheading">
                                Partner (enter 'PayPal' if your merchant account is with PayPal)
                            </div>
                            <div>
                                <asp:TextBox class="formfield1" ID="pfpartner" runat="server" />
                            </div>
                            <div class="helptext">
                                When using the Hosted Payment page with Silent Post, be sure to configure your PayFlow account's Return, Cancel, Silent Post Urls.  Legacy PayFlow Link does not support Silent Post.
                                <br />
                                Return Url: <%=pd.shopsslurl%>gateway_in.aspx
                                <br />
                                Cancel Url: <%=pd.shopsslurl%>gateway_cancel.aspx
                                <br />
                                Silent Post Url: <%=pd.shopsslurl%>gateway_ppipn.aspx
                            </div>

                        </div>
                    </div>

                    <div class="pageheading2">
                        PayPal Payments Pro (Express Checkout / Direct Payments)
                    </div>
                    <div class="inner_div">
                        <div class="radio_div">
                            <asp:CheckBox ID="gatewaypp2" runat="server" />
                            Enable PayPal Payments Pro
                        </div>
                        <div class="innerinner_div">
                            <div class="formheading">
                                Transaction Type
                            </div>
                            <asp:DropDownList ID="ppapitrxtype" runat="server">
                                <asp:ListItem Value="Sale" Text="Sale" />
                                <asp:ListItem Value="Auth" Text="Authorization" />
                            </asp:DropDownList>
                            <div class="formheading">
                                Currency
                            </div>
                            <div>
                                <asp:DropDownList ID="ppapicurrency" runat="server">
                                    <asp:ListItem Text="U.S. Dollar" Value="USD" />
                                    <asp:ListItem Text="Australian Dollar" Value="AUD" />
                                    <asp:ListItem Text="Canadian Dollar" Value="CAD" />
                                    <asp:ListItem Text="Czech Koruna" Value="CZK" />
                                    <asp:ListItem Text="Danish Krone" Value="DKK" />
                                    <asp:ListItem Text="Euro" Value="EUR" />
                                    <asp:ListItem Text="Hong Kong Dollar" Value="HKD" />
                                    <asp:ListItem Text="Hungarian Forint" Value="HUF" />
                                    <asp:ListItem Text="Israeli New Sheqel" Value="ILS" />
                                    <asp:ListItem Text="Japanese Yen" Value="JPY" />
                                    <asp:ListItem Text="Norwegian Krone" Value="NOK" />
                                    <asp:ListItem Text="New Zealand Dollar" Value="NZD" />
                                    <asp:ListItem Text="Polish Zloty" Value="PLN" />
                                    <asp:ListItem Text="Pound Sterling" Value="GBP" />
                                    <asp:ListItem Text="Singapore Dollar" Value="SGD" />
                                    <asp:ListItem Text="Swedish Krona" Value="SEK" />
                                    <asp:ListItem Text="Swiss Franc" Value="CHF" />

                                </asp:DropDownList>
                            </div>
                            <div class="radio_div">
                                <asp:RadioButton GroupName="ppapimeth" ID="ppapimeth1" runat="server" />
                                Direct Payments & Express Checkout
                            </div>
                            <div class="helptext">
                                Your customers can enter their credit card on your website
                            </div>
                            <div class="radio_div">
                                <asp:RadioButton GroupName="ppapimeth" ID="ppapimeth2" runat="server" />
                                Express Checkout only
                            </div>
                            <div class="formheading">
                                In-Context Checkout
                            </div>
                             <div class="radio_div">
                                <asp:CheckBox ID="ppincontext" runat="server" />
                                Enable &quot;In-Context&quot; Express Checkout 
                            </div>
                             <div class="helptext">
                                NEW FEATURE: When enabled your customers will remain on your website at all times evens when using Express Checkout.
                            </div>
                            <div class="formheading">
                                PayPal Merchant Account ID
                            </div>
                            <div class="formheading">
                                <asp:TextBox class="formfield1" ID="ppmerchantid" runat="server" />
                            </div>
                             <div class="helptext">
                          The merchant ID can be found in your PayPal account under My Account > Profile > My business info > Merchant account ID                             
                            </div>
                            <div class="formheading">
                                PayPal Email
                            </div>
                            <div class="formheading">
                                <asp:TextBox class="formfield1" ID="ppemail" runat="server" />
                            </div>
                            <div class="formheading">
                                API UserName
                            </div>
                            <div class="formheading">
                                <asp:TextBox class="formfield1" ID="ppapiu" runat="server" />
                            </div>
                            <div class="formheading">
                                API Password
                            </div>
                            <div class="formheading">
                                <asp:TextBox class="formfield1" ID="ppapip" runat="server" />
                            </div>
                            <div class="formheading">
                                API Signature
                            </div>
                            <div class="formheading">
                                <asp:TextBox class="formfield1" ID="ppapisig" runat="server" />
                            </div>
                        </div>
                    </div>

                    <div class="pageheading2">
                        2Checkout (2CO)
                    </div>
                    <div class="inner_div">
                        <div class="check_div">
                            <asp:CheckBox ID="gateway2c" runat="server" />
                            Enable 2Checkout/2CO (v2)?
                        </div>
                        <div class="innerinner_div">
                            <div class="formheading">
                                SID (Account Number)
                            </div>
                            <div>
                                <asp:TextBox class="formfield1" ID="twocosid" runat="server" />
                            </div>
                        </div>
                    </div>
                    <div class="pageheading2">
                        WorldPay
                    </div>
                    <div class="inner_div">
                        <div class="check_div">
                            <asp:CheckBox ID="gatewaywp" runat="server" />
                            Enable WorldPay?
                        </div>
                        <div class="innerinner_div">
                            <div class="formheading">
                                Installation ID
                            </div>
                            <div>
                                <asp:TextBox class="formfield1" ID="wplogin" runat="server" />
                            </div>
                            <div class="formheading">
                                Currency Code (ex. USD, GBP)
                            </div>
                            <div>
                                <asp:TextBox class="formfield5" ID="wpcurrency" runat="server" />
                            </div>
                        </div>
                    </div>
                    <div class="pageheading2">
                        First Data LinkPoint (Deprecated, use e4 Hosted Payment Page)
                    </div>
                    <div class="inner_div">
                        <div class="check_div">
                            <asp:CheckBox ID="gatewaylp" runat="server" />
                            Enable LinkPoint Connect (aka PayPlus)?
                        </div>
                        <div class="innerinner_div">
                            <div class="formheading">
                                Login (StoreName, Ex. 1234567890)
                            </div>
                            <div>
                                <asp:TextBox class="formfield1" ID="lplogin" runat="server" />
                            </div>
                        </div>
                    </div>


                    <div class="pageheading2">
                        First Data Global Gateway (e4 Hosted Payment Page)
                    </div>
                    <div class="inner_div">
                        <div class="radio_div">
                            <asp:CheckBox ID="gatewayfde4" runat="server" />
                            Enable First Data
                        </div>
                        <div class="innerinner_div">

                            <div class="formheading">
                                Currency
                            </div>
                            <div>
                                <asp:DropDownList ID="fd_currency" runat="server">
                                    <asp:ListItem Text="U.S. Dollar" Value="USD" />
                                </asp:DropDownList>
                            </div>
                            <div class="formheading">
                                Login
                            </div>
                            <div class="formheading">
                                <asp:TextBox class="formfield1" ID="fd_login" runat="server" />
                            </div>
                            <div class="formheading">
                                Transaction Key
                            </div>
                            <div class="formheading">
                                <asp:TextBox class="formfield1" ID="fd_transactionkey" runat="server" />
                            </div>
                            <div class="formheading">
                                Response Key
                            </div>
                            <div class="formheading">
                                <asp:TextBox class="formfield1" ID="fd_responsekey" runat="server" />
                            </div>
                        </div>
                    </div>

                    <div class="pageheading2">
                        Other Hosted Payment Page (Custom Gateway)
                    </div>
                    <div class="inner_div">
                        <div class="check_div">
                            <asp:CheckBox ID="gatewaycg" runat="server" />
                            Enable Custom Gateway
                        </div>
                        <div class="helptext">
                            If your gateway is not listed above, and your gateway has an "HTML" form you can
                        use, enable this. You will need to edit the "gateway_custom.aspx" script according
                        to your gateway's integration instructions
                        </div>
                    </div>

                    <div class="pageheading2">
                        Other Real Time Processing (Custom Processor)
                    </div>
                    <div class="inner_div">
                        <div class="radio_div">
                            <asp:CheckBox ID="gatewaycg2" runat="server" />
                            Other Real-Time Payment Processing
                        </div>
                        <div class="helptext">
                            Modify the processcc_custom.aspx script according to your gateway processor's integration
                                    guide.
                        </div>
                    </div>

                    <div class="formbutton_div">
                        <input type="submit" class="formbutton" value="Save Changes" />
                    </div>
                </div>
            </form>
        </div>
    </div>
</asp:Content>
