<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, giftopt, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        statuscodes.DataSource = pd.bindpddata("SELECT * FROM status ORDER BY name")
        statuscodes.DataBind()


        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            pd.OpenDataReader("SELECT * FROM pd_setup")
            If pd.ReadDataItem.Read Then
                nextorder.Text = pd.ReadDataN("nextorder")
            Else
                pd.showErrorMessage("Record Not Found")
            End If
            pd.CloseData()
             
            pd.OpenSetupDataReader("setupxml", "setup")
            ordermin.Text = pd.ReadDataC("ordermin")
            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then
         
            'Prepare Database - Set array to Add or Update data
            pd.OpenDataWriter("pd_setup WHERE id>0")
            pd.AddFormData("nextorder", nextorder.Text, "Order Number", "N", 0, 0)

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()

                'Prepare Database - Set array to Add or Update data
                pd.OpenSetupDataWriter("setupxml", "setup")
                pd.AddFormData("ordermin", ordermin.Text, "Order Minimum", "C", 0, 0)

                'If no errors, Add/Update record in database
                If pd.formerror = "" Then
                    pd.SaveData()
                    pd.formerror = "Changes Saved!"
                    pd.gotonextpage()
                End If
                 
            End If
             
        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-orders.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Orders Settings</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    Order Numbers</div>
                <div class="formheading">
                    Next Order Number</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="nextorder" runat="server" /></div>
                <div class="pageheading2">
                    Order Requirement</div>
                <div class="formheading">
                    Minimum Order Amount</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="ordermin" runat="server" /></div>
                <div class="pageheading2">
                    Status Codes</div>
                <div class="inner_div">
                    <div class="tdmhead">
                        Code</div>
                    <div class="tdlhead">
                        Description</div>
                    <div class="tr">
                    </div>
                    <asp:Repeater ID="statuscodes" runat="server">
                        <ItemTemplate>
                            <div class="tdm">
                                <a href="Javascript: editstatuscode('<%# Container.DataItem("id") %>')">
                                    <%# Container.DataItem("name") %></a></div>
                            <div class="tdl">
                                <%# Container.DataItem("description") %></div>
                            <div class="tr">
                            </div>
                        </ItemTemplate>
                    </asp:Repeater>
                    <div class="button_div">
                        <input type="button" class="formbutton" onclick="editstatuscode('')" value="New Status" /></div>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
