<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, helppage, checkallservicesval, largeusps As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)
        
        Dim i As Int32
        Dim rc As RepeaterItemCollection = itemrepeater.Items

        'Handle Large Package settings
        uspssize.AutoPostBack = True
        If Request.Form("__EVENTTARGET") = uspssize.UniqueID Then
            updatingsize = "Y"
        End If
        If uspssize.SelectedItem.Value = "Large" Then
            largeusps = "Y"
        End If
        
        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            pd.OpenSetupDataReader("setupxml", "setup")
            If pd.ReadDataN("tcaven") = 1 Then form_tcaven.Checked = True
            pd.CloseData()
            
            
            pd.OpenSetupDataReader("setupxml", "shipping")

            If pd.ReadDataN("uspsen") = 1 Then uspsen.Checked = True
            If pd.ReadDataN("uspstest") = 1 Then uspstest.Checked = True

            If pd.ReadDataN("rateerr") = 1 Then rateerr1.Checked = True
            If pd.ReadDataN("rateerr") = 2 Then rateerr2.Checked = True
            If pd.ReadDataN("rateerr") = 3 Then rateerr3.Checked = True

            uspsfromzip.Text = pd.ReadData("uspsfromzip")
            uspslogin.Text = pd.ReadData("uspslogin")
            
            If pd.ReadData("uspssize") = "Large" Then
                largeusps = "Y"
            End If
            
            uspssize.SelectedIndex = uspssize.Items.IndexOf(uspssize.Items.FindByValue(pd.ReadData("uspssize")))
            uspscontainer.SelectedIndex = uspscontainer.Items.IndexOf(uspscontainer.Items.FindByValue(pd.ReadData("uspscontainer")))
            uspsmachine.SelectedIndex = uspsmachine.Items.IndexOf(uspsmachine.Items.FindByValue(pd.ReadData("uspsmachine")))

            uspsL.Text = pd.ReadDataN("uspsL")
            uspsW.Text = pd.ReadDataN("uspsW")
            uspsH.Text = pd.ReadDataN("uspsH")
            uspsG.Text = pd.ReadDataN("uspsG")
            
            pd.CloseData()
             
        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack And updatingsize <> "Y" Then
         
            'Check All services if necessary
            If checkallservices.Value = "Y" Then
                i = 0
                For Each Item As RepeaterItem In rc

                    tempctrl = Item.FindControl("active")
                    tempctrl.checked = True
                    i = i + 1

                Next
                checkallservices.Value = ""
            End If
            
            'Check All services if necessary
            If checkallservices.Value = "N" Then
                i = 0
                For Each Item As RepeaterItem In rc

                    tempctrl = Item.FindControl("active")
                    tempctrl.checked = False
                    i = i + 1

                Next
                checkallservices.Value = ""
            End If
            
            
            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "shipping")
             
            If uspsen.Checked = True Then
                pd.AddData("uspsen", 1, "N")
            Else
                pd.AddData("uspsen", 0, "N")
            End If
            
            If uspstest.Checked = True Then
                pd.AddData("uspstest", 1, "N")
            Else
                pd.AddData("uspstest", 0, "N")
            End If
            

            If rateerr1.Checked = True Then pd.AddData("rateerr", 1, "N")
            If rateerr2.Checked = True Then pd.AddData("rateerr", 2, "N")
            If rateerr3.Checked = True Then pd.AddData("rateerr", 3, "N")

            pd.AddFormData("uspslogin", uspslogin.Text, "WebTools Login", "T", 0, 25)
            pd.AddFormData("uspsfromzip", uspsfromzip.Text, "Zip/Postal Code", "T", 0, 50)

            pd.AddData("uspssize", uspssize.SelectedItem.Value, "T")
            pd.AddData("uspsmachine", uspsmachine.SelectedItem.Value, "T")
            
            If uspssize.SelectedItem.Value = "Large" Then
                pd.AddData("uspscontainer", uspscontainer.SelectedItem.Value, "T")
                pd.AddFormData("uspsL", uspsL.Text, "Dimension", "N", 0, 0)
                pd.AddFormData("uspsW", uspsW.Text, "Dimension", "N", 0, 0)
                pd.AddFormData("uspsH", uspsH.Text, "Dimension", "N", 0, 0)
                pd.AddFormData("uspsG", uspsG.Text, "Girth", "N", 0, 0)
            End If
            
            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                
                pd.OpenSetupDataWriter("setupxml", "setup")
                If form_tcaven.Checked = True Then
                    pd.AddData("tcaven", 1, "N")
                Else
                    pd.AddData("tcaven", 0, "N")
                End If
                pd.SaveData()
                
                pd.OpenSetupDataWriter("setupxml", "shipping/services")
                pd.AddData("usps", "", "T")
                pd.SaveData()
                                 
                i = 0
                For Each Item As RepeaterItem In rc

                    tempctrl = Item.FindControl("active")
                    If tempctrl.checked Then
                         
                        tempctrl = Item.FindControl("service")
                        pd.OpenSetupDataWriter("setupxml", "shipping/services/usps/" & tempctrl.text)

                        tempctrl = Item.FindControl("altname")
                        pd.AddData("altname", tempctrl.text, "T")
                             
                        tempctrl = Item.FindControl("minimum")
                        pd.AddData("minimum", tempctrl.text, "N")
                             
                        tempctrl = Item.FindControl("handling")
                        pd.AddData("handling", tempctrl.text, "N")
                                                         
                        tempctrl = Item.FindControl("active")
                        pd.AddData("active", "Yes", "T")
                        pd.SaveData()
                             
                    End If

                    i = i + 1

                Next
                     

                 
                pd.formerror = "Changes Saved!"
                pd.gotonextpage()
            End If

        End If
         
         
        If Not (Page.IsPostBack) Then
            itemrepeater.DataSource = pd.bindservicestoedit("USPS")
            itemcount = itemrepeater.DataSource.Count
            itemrepeater.DataBind()
        End If
         

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" value="<% =checkallservicesval %>" id="checkallservices" runat="server" />
            <div>
                <%
                    pd.createadmintab("Custom Rates", "setup-shipping.aspx")
                    pd.createadmintab("USPS", "setup-usps.aspx")
                    pd.createadmintab("UPS", "setup-ups.aspx")
                    pd.createadmintab("FedEx", "setup-fedex.aspx")
                    pd.createadmintab("InterShipper", "setup-intershipper.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    USPS (United States Postal Service) Settings</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="check_div">
                    <asp:CheckBox ID="uspsen" runat="server" />
                    Enable U.S.P.S. Rates?</div>
                <div class="check_div">
                    <asp:CheckBox ID="uspstest" runat="server" />
                    Enable Test Mode</div>
                <div class="button_div">
                    <input type="button" class="formbutton" onclick="shoprates('USPS')" value="Shop Rates" /></div>
                <div class="pageheading2">
                    Error Handling</div>
                <div class="helptext">
                    If an error occurs while processing rates, or the rate cannot be retrieved for a
                    particular service, how should the rate be displayed.</div>
                <div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="rateerr" ID="rateerr1" runat="server" />
                        Show "Minimum Charge"</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="rateerr" ID="rateerr2" runat="server" />
                        Show Cost as "Unavailable"</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="rateerr" ID="rateerr3" runat="server" />
                        Hide Selection (RECOMMENDED)</div>
                </div>
                <div class="pageheading2">
                    Address Validation</div>
                <div class="check_div">
                    <asp:CheckBox ID="form_tcaven" runat="server" />
                    Enable Shipping Validation</div>
                <div class="helptext">
                    (Shipping Address customer enters is verified with the U.S.P.S.)</div>
                <div class="pageheading2">
                    Web Tools (Login)</div>
                <div class="formheading">
                    User ID</div>
                <div>
                    <asp:TextBox class="formfield2" ID="uspslogin" runat="server" />
                </div>
                <div>
                    <div class="pageheading2">
                        Enable Services &nbsp; <span class="helptext"><a href="javascript: checkallshippingservices('Y');">
                            Check All</a> | <a href="javascript: checkallshippingservices('N');">UnCheck All</a></span></div>
                </div>
                <div class="inner_div">
                    <div class="tdl2head">
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Display Name</div>
                    <div class="tdmhead">
                        Handling</div>
                    <div class="tdshead">
                        Minimum Charge</div>
                    <div class="tr">
                    </div>
                    <div xstyle="height: 400px; overflow: auto;">
                        <asp:Repeater ID="itemrepeater" runat="server">
                            <ItemTemplate>
                                <div class="td">
                                    <asp:TextBox Visible="false" ID="service" Text='<%# DataBinder.Eval(Container.DataItem,"service").ToString() %>'
                                        runat="server" />
                                    <asp:CheckBox ID="active" Checked='<%# DataBinder.Eval(Container.DataItem,"active").ToString() %>'
                                        runat="server" /><%# DataBinder.Eval(Container.DataItem,"name").ToString() %></div>
                                <div class="tr">
                                </div>
                                <div class="tdl2">
                                    &nbsp;&nbsp;&nbsp;
                                    <asp:TextBox class="formfield1" MaxLength="50" ID="altname" Text='<%# left(DataBinder.Eval(Container.DataItem,"altname").ToString(),50) %>'
                                        runat="server" /></div>
                                <div class="tdm">
                                    <asp:TextBox class="formfieldnumber" ID="handling" Text='<%# DataBinder.Eval(Container.DataItem,"handling").ToString() %>'
                                        runat="server" /></div>
                                <div class="tdm">
                                    <asp:TextBox class="formfieldnumber" ID="minimum" Text='<%# DataBinder.Eval(Container.DataItem,"minimum").ToString() %>'
                                        runat="server" /></div>
                                <div class="tr" style="height: 15px;">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                    </div>
                </div>
                <div class="helptext">
                    For a service to appear during checkout, you must enable it above.</div>
                <div class="pageheading2">
                    Default Package Settings</div>
                <div class="formheading">
                    From Zip Code</div>
                <div>
                    <asp:TextBox class="formfield2" ID="uspsfromzip" runat="server" />
                </div>
                <div class="formheading">
                    Package Size</div>
                <div>
                    <asp:DropDownList ID="uspssize" runat="server">
                        <asp:ListItem Value="Regular" Text="Regular" />
                        <asp:ListItem Value="Large" Text="Large" />
                    </asp:DropDownList>
                </div>
                <% If largeusps = "Y" Then%>
                <div class="formheading">
                    Package Container (Applies to Large Sizes)</div>
                <div>
                    <asp:DropDownList ID="uspscontainer" runat="server">
                        <asp:ListItem Value="RECTANGULAR" Text="RECTANGULAR" />
                        <asp:ListItem Value="NONRECTANGULAR" Text="NONRECTANGULAR" />
                    </asp:DropDownList>
                </div>
                <div class="formheading">
                    Dimensions (L x W X H Inches)</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="uspsL" runat="server" />
                    x<asp:TextBox class="formfieldnumber" ID="uspsW" runat="server" />x<asp:TextBox class="formfieldnumber"
                        ID="uspsH" runat="server" /></div>
                <div class="formheading">
                    Girth (Inches)</div>
                <asp:TextBox class="formfieldnumber" ID="uspsG" runat="server" />
                <% End If%>
                <div class="formheading">
                    Machinable</div>
                <div>
                    <asp:DropDownList ID="uspsmachine" runat="server">
                        <asp:ListItem Value="False" Text="False (recommended)" />
                        <asp:ListItem Value="True" Text="True" />
                    </asp:DropDownList>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
