<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public task, refer, capimgno As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(0)

        refer = pd.getrequest("refer")

        If Not (Page.IsPostBack) Then

            username.Text = pd.getcookie("adminu")
            password.Text = pd.getcookie("adminp")
            password.Attributes.Add("value", pd.getcookie("adminp"))

            'Demo Mode
            If pd.demomode = "Yes" Then
                username.Text = "Demo"
                password.Text = "demodemo"
                captcha.Text = "123456"
                password.Attributes.Add("value", "demodemo")
            End If

        End If

        If pd.getrequest("task") = "signout" And pd.getcookie("aid") <> "" Then
         
            'Log Admin off
            pd.LogAdminEvent(101, 0, "")
            pd.signOutPDadminuser()
            pd.formerror = "You have been Signed Off!"
            task = ""
            pd.pdRedirect("home.aspx?dorefresh=Y")
            
        End If

        'Make sure admin login is required (if no users setup... blow past this)
        pd.OpenDataReader("SELECT * FROM security")
        If Not pd.ReadDataItem.Read Then
            pd.CloseData()
            pd.LogAdminEvent(100, 0, "Anonymous")
            pd.pdRedirect("home.aspx?dorefresh=Y")
        End If
        pd.CloseData()

        If Page.IsPostBack Then

            susername = username.Text
            spassword = password.Text
             
            'Sign In PDAdmin User.
            If pd.passAdminCaptcha(captcha.Text) = True Then
             
                If pd.signInPDadminuser(susername, spassword) = True Then

                    'Save 'Remember Me'
                    If remember.Checked = True Then
                        pd.saveCookie("adminu", susername, 365)
                        pd.saveCookie("adminp", spassword, 365)
                    End If
                     
                    'Log Activity (Event Code, Record ID, Note)
                    pd.LogAdminEvent(100, 0, susername)
                     
                    'Determine how to redirect                     
                    pd.pdRedirect("home.aspx?dorefresh=Y")

                Else
                 
                    'Log Activity (Event Code, Record ID, Note)
                    pd.LogAdminEvent(102, 0, susername)
                    captcha.Text = ""
                     
                End If
                 
            Else
                 
                'Force Password fields to show masked passwords.
                If Not password.Text = "" Then
                    ViewState(password.Text) = password.Text
                    password.Attributes.Add("value", ViewState(password.Text).ToString())
                End If
                pd.formerror = "Incorrect Verification Code, Try Again!"
                captcha.Text = ""
                                 
            End If

        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form id="aspnetForm" method="post" runat="server">
            <input type="hidden" name="refer" value="<%=pd.dohtmlencode(refer)%>" />
            <input type="hidden" name="task" value="<%=pd.dohtmlencode(task)%>" />
            <div>
                <%                    
                    pd.createadmintab("Home", "home.aspx")
                    pd.createadmintab("Sign-In", "")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Administrator Sign-In</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="formheading">
                    UserName</div>
                <div>
                    <asp:TextBox class="formfield2" ID="username" runat="server" />
                </div>
                <div class="formheading">
                    Password</div>
                <div>
                    <asp:TextBox class="formfield2" ID="password" runat="server" TextMode="password" />
                </div>
                <% If pd.admincaptcha = "ON" Then%>
                <div class="pageheading2">
                    Security Check</div>
                <div class="captcha_div">
                    <div class="formheading">
                        Verification Code</div>
                    <div>
                        <img src="captcha.aspx?rnum=<%=pd.getrandseq() %>" border="0" />
                    </div>
                    <div class="formheading">
                        Enter Verification Code</div>
                    <div class="captchaimg_div">
                        <asp:TextBox class="formfield3" ID="captcha" runat="server" />
                    </div>
                    <% If pd.shopdemomode = "Yes" Then%>
                    <div class="helptext">
                        DEMO NOTE: This is one of many optional security features. This feature can be disabled.
                    </div>
                    <% End If%>
                </div>
                <% End If%>
                <div class="formbutton_div">
                    <input type="submit" value="Continue" class="formbutton" /></div>
                <div>
                    <div class="check_div">
                        <asp:CheckBox ID="remember" runat="server" />
                        Remember Me?</div>
                </div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
