<%@ Page Language="VB" Explicit="False" MasterPageFile="mobiletemplate.master" %>

<%@ MasterType VirtualPath="mobiletemplate.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2012.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************
    
    
    Public task, tempstate, tempcountry, updatestatelist As String
    
    Public pd As Object
    
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)
    
        pd = Master.pd
        pd.browserNoCache()
        pd.enforceSSL = True
        pd.LoadPDshop()
    
        'Check if has a shopping cart, or is already signed in.
        If pd.hasStartedPayPal() = "Yes" Then pd.pdRedirect("paypal_express2.aspx")
        If pd.hasCartItems() = "No" Then pd.pdRedirect("showcart.aspx")
        
        'Make sure Address is complete
        If pd.hasBillingAddress() = "Yes" Then
            If pd.getrequest("task") = "edit" Then
                task = "edit"
            Else
                pd.pdRedirect("checkout2.aspx")
            End If
        End If
        
        'Get and check/sanitize ids
        customerid = pd.getcookie("customerid")
        orderid = pd.getcookie("orderid")
        cartid = pd.getcookie("cartid")
        
        'Handle Interactive State/Country lists
        If pd.autostlist = 1 Then
            country.AutoPostBack = True
            If Request.Form("__EVENTTARGET") = country.UniqueID Then
                updatestatelist = "Yes"
            End If
        End If
                      
        If Not (Page.IsPostBack) Then
           
            'Set defaults for shipping
            shipsame.Checked = True
            shipsameres.Checked = True
            
            'Bypass Billing Address if returning customer is already signed in 
            If pd.isSignedIn() = "Yes" And task <> "edit" Then
            
                'Get customer data
                pd.getCustomerVariables(customerid)
                
                'If customer account does not have address
                If pd.sName = "" Then
                    pd.pdRedirect("chgprofile.aspx?refer=checkout1.aspx")
                End If
                
                'Check for temporarily stored Order Notes
                notes3value = pd.getordernotes(cartid, orderid)
                
                'Prepare Database - Argument (database tablename)
                pd.OpenDataWriter("orders")
                pd.AddData("billname", pd.sName, "T")
                pd.AddData("billcompany", pd.sCompany, "T")
                pd.AddData("billstreet1", pd.sStreet1, "T")
                pd.AddData("billstreet2", pd.sStreet2, "T")
                pd.AddData("billstate", pd.sState, "T")
                pd.AddData("billcity", pd.sCity, "T")
                pd.AddData("billcountry", pd.sCountry, "T")
                pd.AddData("billzip", pd.sZip, "T")
                pd.AddData("billemail", pd.sEmail, "T")
                pd.AddData("billphone", pd.sPhone, "T")
                pd.AddData("cartid", cartid, "T")
                pd.AddData("orderdate", pd.showdate(DateTime.Now.ToShortDateString), "D")
                pd.AddData("ordertime", DateTime.Now.ToLongTimeString, "T")
                pd.AddData("status", "Incomplete", "T")
                pd.AddData("ipaddr", Request.ServerVariables("REMOTE_ADDR"), "T")
                pd.AddData("customerid", customerid, "N")
                pd.AddData("orderno", 0, "N")
                pd.AddData("salestax", 0, "N2")
                pd.AddData("shipresdel", 1, "N")
                pd.AddData("ratemethod", 0, "N") 'Signifies that shipping step not completed.
                pd.AddData("affillink", pd.getcookie("affillink"), "T")
                pd.AddData("notes3", notes3value, "T")

                'Apply Discounts & Gift Cert. to order
                If pd.getcookie("disc") <> "" Then
                    discarr = Split(pd.getcookie("disc"), "|")
                    pd.AddData("discpct", Convert.ToDecimal(discarr(2)), "N")
                    pd.AddData("discamt", Convert.ToDecimal(discarr(1)), "N")
                    pd.AddData("disccode", discarr(0), "T")
                Else
                    pd.AddData("discpct", 0, "N")
                    pd.AddData("discamt", 0, "N")
                    pd.AddData("disccode", "", "T")
                End If
                If pd.getcookie("gift") <> "" Then
                    giftarr = Split(pd.getcookie("gift"), "|")
                    pd.AddData("giftcode", giftarr(0), "T")
                    pd.AddData("giftamt", Convert.ToDecimal(giftarr(1)), "N")
                Else
                    pd.AddData("giftcode", "", "T")
                    pd.AddData("giftamt", 0, "N")
                End If

                recid = pd.SaveData()
                pd.saveCookie("orderid", recid, 0)
                
                'Remove any temporary Order Notes
                pd.removetempnotes(cartid)
                
                pd.pdRedirect("checkout2.aspx")
                           
            End If
             
            'If already completed, open database and get values
            If task = "edit" Then
                pd.OpenDataReader("SELECT * FROM orders WHERE id=" & orderid & " AND cartid='" & cartid & "'")
                If pd.ReadDataItem.Read Then

                    name.Text = pd.ReadData("billname")
                    If pd.compen > 0 Then
                        company.Text = pd.ReadData("billcompany")
                    End If
                    street1.Text = pd.ReadData("billstreet1")
                    street2.Text = pd.ReadData("billstreet2")
                    city.Text = pd.ReadData("billcity")
                    zip.Text = pd.ReadData("billzip")
                    email.Text = pd.ReadData("billemail")
                    phone.Text = pd.ReadData("billphone")
                    tempstate = pd.ReadData("billstate")
                    tempcountry = pd.ReadData("billcountry")
                    
                End If
                pd.CloseData()
            End If
  
            'Get Default State/Country if needed
            If pd.checkNull(tempstate) = "" Then tempstate = pd.defaultstate
            If pd.checkNull(tempcountry) = "" Then tempcountry = pd.defaultcountry
            
            'Get States & Countries Lists
            country.DataSource = pd.getcountrylist()
            country.DataBind()
            state.DataSource = pd.getstatelist(tempcountry)
            state.DataBind()
            
            If state.Items.Count = 1 Then
                state.Enabled = False
            Else
                state.Enabled = True
            End If
                
            'Handle Demo Mode
            If pd.shopdemomode = "Yes" Then
                If pd.getCookie("demou") <> "" Then
                    email.Text = pd.getCookie("demou")
                Else
                    email.Text = "test_" & Left(pd.getrandseq(), 15) & "@pdshop.com"
                End If
                name.Text = "Your Name"
                If pd.compen > 0 Then
                    company.Text = "Your Company, Inc."
                End If
                street1.Text = "555 Main Street"
                city.Text = "Anywhere"
                zip.Text = "55555"
                phone.Text = "555-555-5555"
                tempstate = "NY"
                tempcountry = "United States"
            End If
            
            'Set Selected State/Country          
            state.SelectedIndex = state.Items.IndexOf(state.Items.FindByValue(tempstate))
            country.SelectedIndex = country.Items.IndexOf(country.Items.FindByText(tempcountry))
             
        End If
        

        If Page.IsPostBack And updatestatelist <> "Yes" Then
            
           
            'Prepare Database
            If task = "edit" Then
                pd.OpenDataWriter("orders WHERE id=" & orderid & " AND cartid='" & cartid & "'")
            Else
                
                'Check for temporarily stored Order Notes
                notes3value = pd.getordernotes(cartid, orderid)
                
                pd.OpenDataWriter("orders")
                
                pd.AddData("orderdate", pd.showdate(DateTime.Now.ToShortDateString), "D")
                pd.AddData("ordertime", DateTime.Now.ToLongTimeString, "T")
                pd.AddData("status", "Incomplete", "T")
                pd.AddData("ipaddr", Request.ServerVariables("REMOTE_ADDR"), "T")
                pd.AddData("customerid", 0, "N")
                pd.AddData("orderno", 0, "N")
                pd.AddData("affillink", pd.getcookie("affillink"), "T")
                pd.AddData("cartid", cartid, "T")
                pd.AddData("salestax", 0, "N")
                pd.AddData("shipresdel", 1, "N")
                pd.AddData("ratemethod", 0, "N") 'Signifies that shipping step not completed.
                pd.AddData("notes3", notes3value, "T")
                
                'Apply Discounts & Gift Cert. to order
                If pd.getcookie("disc") <> "" Then
                    discarr = Split(pd.getcookie("disc"), "|")
                    pd.AddData("discpct", Convert.ToDecimal(discarr(2)), "N")
                    pd.AddData("discamt", Convert.ToDecimal(discarr(1)), "N")
                    pd.AddData("disccode", discarr(0), "T")
                Else
                    pd.AddData("discpct", 0, "N")
                    pd.AddData("discamt", 0, "N")
                    pd.AddData("disccode", "", "T")
                End If
                If pd.getcookie("gift") <> "" Then
                    giftarr = Split(pd.getcookie("gift"), "|")
                    pd.AddData("giftcode", giftarr(0), "T")
                    pd.AddData("giftamt", Convert.ToDecimal(giftarr(1)), "N")
                Else
                    pd.AddData("giftcode", "", "T")
                    pd.AddData("giftamt", 0, "N")
                End If
                
            End If

            'Function Arguments (column name, form id.text, Name of Field, Field Type, Min Characters, Max Characters)
            pd.AddFormData("billname", name.Text, pd.getsystext("sys26"), "T", 5, 50)
            If pd.compen = 1 Then
                pd.AddFormData("billcompany", company.Text, pd.getsystext("sys147"), "T", 0, 50)
            End If
            If pd.compen = 2 Then
                pd.AddFormData("billcompany", company.Text, pd.getsystext("sys147"), "T", 5, 50)
            End If
            pd.AddFormData("billstreet1", street1.Text, pd.getsystext("sys28"), "T", 3, 50)
            pd.AddFormData("billstreet2", street2.Text, pd.getsystext("sys28"), "T", 0, 50)
            pd.AddFormData("billstate", state.SelectedItem.Value, pd.getsystext("sys30"), "T", 0, 50)
            pd.AddFormData("billcity", city.Text, pd.getsystext("sys29"), "T", 2, 50)
            pd.AddFormData("billcountry", country.SelectedItem.Text, pd.getsystext("sys32"), "T", 0, 50)
            pd.AddFormData("billzip", zip.Text, pd.getsystext("sys31"), "T", 0, 50)
            If country.SelectedItem.Text = "United States" Or country.SelectedItem.Text = "Canada" Then
                pd.checkForm(zip.Text, pd.getsystext("sys31"), "T", 5, 50)
            End If
            pd.AddFormData("billemail", email.Text, pd.getsystext("sys23"), "E", 5, 50)
            pd.AddFormData("billphone", phone.Text, pd.getsystext("sys27"), "T", 5, 50)

            'If no errors, Add record to database
            If pd.formerror = "" Then

                recid = pd.SaveData()
                
                'Remove any temporary Order Notes
                pd.removetempnotes(cartid)
                
                If task = "edit" Then
                    pd.pdRedirect("orderreview.aspx")
                Else
                    pd.saveCookie("orderid", recid, 0)
                    
                    If shipsame.Checked = True Then
                        If shipsameres.Checked = True Then
                            pd.pdRedirect("checkout2.aspx?shipsame=res")
                        Else
                            pd.pdRedirect("checkout2.aspx?shipsame=com")
                        End If
                    Else
                        pd.pdRedirect("checkout2.aspx")
                    End If
                    
                End If

            End If

    
        End If
        
        'Prevent Page from loading if "Only Pre-registered customers" is enabled
        If pd.checkoutflow = 4 And pd.isSignedIn() = "No" Then pd.pdRedirect("signin.aspx?refer=checkout1.aspx")
         
        'Update State List for country selected
        If updatestatelist = "Yes" Then
            state.DataSource = pd.getstatelist(country.SelectedItem.Text)
            state.DataBind()
            
            If state.Items.Count = 1 Then
                state.Enabled = False
            Else
                state.Enabled = True
            End If
                 
        End If
    
        'Set Page Layout Type
        Master.pgtype = pd.pg9
        
    End Sub
       
    
    

</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <%= pd.startSection("heads5")%>
    <div class="form_container">
        <form method="POST" action="checkout1.aspx" id="aspnetForm" name="aspnetForm" runat="server">
        <input type="hidden" name="task" value="<%=task%>">
        <div class="messages">
            <%=pd.getFormError()%></div>
        <div class="formheadings">
            <%=pd.getsystext("sys23")%></div>
        <div>
            <asp:TextBox class="formfield" ID="email" runat="server" />
        </div>
        <div class="formheadings2">
            <%=pd.getsystext("sys33")%></div>
        <div class="formheadings">
            <%=pd.getsystext("sys26")%></div>
        <div>
            <asp:TextBox class="formfield" ID="name" runat="server" />
        </div>
        <% If pd.compen > 0 Then%>
        <div class="formheadings">
            <%= pd.getsystext("sys147")%></div>
        <div>
            <asp:TextBox class="formfield" ID="company" runat="server" />
        </div>
        <% End If%>
        <div class="formheadings">
            <%=pd.getsystext("sys28")%></div>
        <div>
            <asp:TextBox class="formfield" ID="street1" runat="server" />
        </div>
        <div>
            <asp:TextBox class="formfield" ID="street2" runat="server" />
        </div>
        <div class="formheadings">
            <%=pd.getsystext("sys29")%></div>
        <div>
            <asp:TextBox class="formfield" ID="city" runat="server" />
        </div>
        <div class="formheadings">
            <%=pd.getsystext("sys32")%></div>
        <div>
            <asp:DropDownList ID="country" runat="server" DataValueField="name" DataTextField="name" />
        </div>
        <div class="formheadings">
            <%=pd.getsystext("sys30")%></div>
        <div>
            <asp:DropDownList ID="state" runat="server" DataValueField="abbr" DataTextField="name" />
        </div>
        <div class="formheadings">
            <%=pd.getsystext("sys31")%></div>
        <div>
            <asp:TextBox class="formfield" ID="zip" runat="server" />
        </div>
        <div class="formheadings">
            <%=pd.getsystext("sys27")%></div>
        <div>
            <asp:TextBox class="formfield" ID="phone" runat="server" />
        </div>
        <% If task <> "edit" And pd.checkifshipping() = "Yes" Then%>
        <div class="formheadings2">
            Shipping Address</div>
        <div class="checkboxes_container">
            <asp:CheckBox ID="shipsame" runat="server" class="checkboxes" />
            <%=pd.getsystext("sys35")%></div>
        <div class="checkboxes_container">
            <asp:CheckBox ID="shipsameres" runat="server" class="checkboxes" />
            <%=pd.getsystext("sys37")%></div>
        <% End If%>
        <div class="formbuttons_container">
            <%= pd.getButton("butts14", "", "", "aspnetForm")%></div>
        </form>
    </div>
    <% = pd.EndSection()%>
</asp:Content>
