<%@ Page Language="VB" Explicit="False" MasterPageFile="template.master" %>

<%@ MasterType VirtualPath="template.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2012.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public listdownloadscount, listorderscount As Int32

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDshop()

        'Verify User.
        If pd.isSignedIn() = "No" Then pd.pdRedirect("signin.aspx")

        customerid = pd.getcookie("customerid")

        'Call customer address
        pd.getCustomerVariables(customerid)

        'Get Customer orders
        listorders.DataSource = pd.bindcustomerorders(customerid)
        listorderscount = listorders.DataSource.Count
        listorders.DataBind()

        'Get Customer Downloads
        listdownloads.DataSource = pd.bindcustomerdownloads(customerid, 0)
        listdownloadscount = listdownloads.DataSource.Count
        listdownloads.DataBind()


        If Not (Page.IsPostBack) Then

        End If

        If Page.IsPostBack Then

        End If

        'Set Page Layout Type
        Master.pgtype = pd.pg9
        
    End Sub


</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <%= pd.startSection("heads8")%>
    <div>
        <form method="POST" id="aspnetForm" name="aspnetForm" runat="server">
        <div class="messages">
            <%=pd.getFormError()%></div>
        <div class="listname">
            <%=pd.sName%><br />
            <%=pd.sEmail%>
        </div>
        <div style="clear: both; height: 10px;">
            <!-- -->
        </div>
        <div class="cartbuttons_container">
            <%=pd.getButton("butts16","","chgprofile.aspx","") %>
            <%=pd.getButton("butts10","", pd.shopurl & "continue.aspx","") %></div>
        <div style="clear: both; height: 10px;">
            <!-- -->
        </div>
        <% If listdownloadscount > 0 Then%>
        <div class="desktop_content">
        <asp:Repeater ID="listdownloads" runat="server">
            <HeaderTemplate>
                <hr class="rowline" />
                <div>
                    <div class="formheadings2 orderdownloadcolumn_1">
                        <%=pd.getsystext("sys65")%></div>
                    <div class="formheadings2 orderdownloadcolumn_2">
                        <%=pd.getsystext("sys1")%></div>
                    <div class="tr">
                    </div>
                </div>
                <hr class="rowline" />
            </HeaderTemplate>
            <ItemTemplate>
                <div>
                    <div class="cartdata orderdownloadcolumn_1">
                        <%# Container.DataItem("orderno") %></div>
                    <div class="cartdata orderdownloadcolumn_2">
                        <%# Container.DataItem("itemname") %></div>
                    <div class="cartdata orderdownloadcolumn_3">
                        <%# Container.DataItem("message") %><%# Container.DataItem("downloadbutton") %></div>
                    <div class="tr">
                    </div>
                </div>
            </ItemTemplate>
            <FooterTemplate>
            </FooterTemplate>
        </asp:Repeater>
        </div>
        <%End If%>
        <% If listorderscount > 0 Then%>
        <asp:Repeater ID="listorders" runat="server">
            <HeaderTemplate>
                <hr class="rowline" />
                <div>
                    <div class="formheadings2 orderstatuscolumn_1">
                        <%=pd.getsystext("sys65")%></div>
                    <div class="formheadings2 orderstatuscolumn_2">
                        <%= pd.getsystext("sys66")%></div>
                    <div class="formheadings2 orderstatuscolumn_3">
                        <%= pd.getsystext("sys67")%></div>
                    <div class="tr">
                    </div>
                </div>
                <hr class="rowline" />
            </HeaderTemplate>
            <ItemTemplate>
                <div>
                    <div class="cartdata orderstatuscolumn_1">
                        <%# Container.DataItem("orderno") %></div>
                    <div class="cartdata orderstatuscolumn_2">
                        <%# Container.DataItem("thedate") %></div>
                    <div class="cartdata orderstatuscolumn_3">
                        <%# Container.DataItem("status") %></div>
                    <div class="cartdata orderstatuscolumn_4">
                        <%# Container.DataItem("vieworderbutton") %></div>
                    <div class="tr">
                    </div>
                </div>
            </ItemTemplate>
            <FooterTemplate>
            </FooterTemplate>
        </asp:Repeater>
        <%End If%>
        </form>
    </div>
    <%= pd.endSection()%>
</asp:Content>
