<%@ Page Language="VB" Explicit="False" MasterPageFile="template.master" %>

<%@ MasterType VirtualPath="template.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2012.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDshop()

        orderid = pd.getrequest("orderid")
        cartid = pd.getrequest("cartid")
        ppic = pd.getrequest("ppic")
        disc = pd.getrequest("disc")
        gift = pd.getrequest("gift")
        
        'Get customer/order variables
        pd.getOrderVariables("", "", cartid)

        If ppic <> "Y" Or Master.pd.iItemcount = 0 Or IsNumeric(cartid) = False Then
            Response.Write("FAIL")
            pd.UnLoadPDshop()
            Response.End()
        End If

        'Initialize PayPal
        pd.getgatewayoptions()

        If pd.setPayPalExpressCheckout_InContext(cartid) = "Success" Then

            'Check for temporarily stored Order Notes
            notes3value = pd.getordernotes(cartid, "")
            'Remove any temporary Order Notes
            pd.removetempnotes(cartid)
                        
            'Create Order
            If IsNumeric(orderid) Then
                pd.OpenDataWriter("orders WHERE id=" & orderid & " AND cartid='" & cartid & "'")
            Else
                pd.OpenDataWriter("orders")
            End If

            'Temporarily store Token & CartID in order
            pd.AddData("cctrxid", pd.pptoken, "T")
            pd.AddData("cartid", cartid, "T")

            'Temporarily tag if this is a "Mark Flow" transaction
            If Len(pd.sShipName) > 0 Then
                pd.AddData("ccapproval", "Mark", "T")
            End If

            pd.AddData("orderdate", pd.showdate(DateTime.Now.ToShortDateString), "D")
            pd.AddData("ordertime", DateTime.Now.ToLongTimeString, "T")
            pd.AddData("status", "Incomplete", "T")
            pd.AddData("ipaddr", Request.ServerVariables("REMOTE_ADDR"), "T")
            pd.AddData("customerid", 0, "N")
            pd.AddData("orderno", pd.getorderno(), "N")
            pd.AddData("shipresdel", 1, "N")
            pd.AddData("ratemethod", 0, "N") 'Signifies that shipping step not completed.
            pd.AddData("affillink", pd.getcookie("affillink"), "T")
            pd.AddData("notes3", notes3value, "T")
            
            'Apply Discounts & Gift Cert. to order
            If pd.getcookie("disc") <> "" Then
                discarr = Split(disc, "|")
                pd.AddData("discpct", Convert.ToDecimal(discarr(2)), "N")
                pd.AddData("discamt", Convert.ToDecimal(discarr(1)), "N")
                pd.AddData("disccode", discarr(0), "T")
            Else
                pd.AddData("discpct", 0, "N")
                pd.AddData("discamt", 0, "N")
                pd.AddData("disccode", "", "T")
            End If
            If pd.getcookie("gift") <> "" Then
                giftarr = Split(gift, "|")
                pd.AddData("giftcode", giftarr(0), "T")
                pd.AddData("giftamt", Convert.ToDecimal(giftarr(1)), "N")
            Else
                pd.AddData("giftcode", "", "T")
                pd.AddData("giftamt", 0, "N")
            End If


            pd.SaveData()

            Response.Write(Master.pd.pptoken)
            pd.UnLoadPDshop()
            Response.End()

        Else

        End If

        'Set Page Layout Type
        Master.pgtype = pd.pg9
        
    End Sub

</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
</asp:Content>
